#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 924
#define LARGE_STATE_COUNT 3
#define SYMBOL_COUNT 208
#define ALIAS_COUNT 2
#define TOKEN_COUNT 143
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 1
#define MAX_ALIAS_SEQUENCE_LENGTH 14
#define PRODUCTION_ID_COUNT 26

enum ts_symbol_identifiers {
  sym_identifier = 1,
  anon_sym_include = 2,
  anon_sym_cpp_include = 3,
  anon_sym_namespace = 4,
  anon_sym_SEMI = 5,
  anon_sym_package = 6,
  anon_sym_STAR = 7,
  anon_sym_as3 = 8,
  anon_sym_c_glib = 9,
  anon_sym_cl = 10,
  anon_sym_cocoa = 11,
  anon_sym_cpp = 12,
  anon_sym_cpp2 = 13,
  anon_sym_cpp_DOTnoexist = 14,
  anon_sym_csharp = 15,
  anon_sym_d = 16,
  anon_sym_dart = 17,
  anon_sym_delphi = 18,
  anon_sym_erl = 19,
  anon_sym_go = 20,
  anon_sym_haxe = 21,
  anon_sym_java = 22,
  anon_sym_javame = 23,
  anon_sym_js = 24,
  anon_sym_kotlin = 25,
  anon_sym_lua = 26,
  anon_sym_netcore = 27,
  anon_sym_netstd = 28,
  anon_sym_nodejs = 29,
  anon_sym_nodets = 30,
  anon_sym_noexist = 31,
  anon_sym_ocaml = 32,
  anon_sym_perl = 33,
  anon_sym_php = 34,
  anon_sym_php_DOTpath = 35,
  anon_sym_py = 36,
  anon_sym_py_DOTtwisted = 37,
  anon_sym_rb = 38,
  anon_sym_rs = 39,
  anon_sym_smalltalk_DOTprefix = 40,
  anon_sym_smalltalk_DOTcategory = 41,
  anon_sym_st = 42,
  anon_sym_swift = 43,
  anon_sym_ts = 44,
  anon_sym_xml = 45,
  anon_sym_xsd = 46,
  anon_sym_cocoa_prefix = 47,
  anon_sym_cpp_namespace = 48,
  anon_sym_csharp_namespace = 49,
  anon_sym_delphi_namespace = 50,
  anon_sym_java_package = 51,
  anon_sym_perl_package = 52,
  anon_sym_php_namespace = 53,
  anon_sym_py_module = 54,
  anon_sym_ruby_namespace = 55,
  anon_sym_smalltalk_category = 56,
  anon_sym_smalltalk_prefix = 57,
  anon_sym_xsd_namespace = 58,
  anon_sym_android = 59,
  anon_sym_hack = 60,
  anon_sym_hack_DOTmodule = 61,
  anon_sym_hs = 62,
  anon_sym_hs2 = 63,
  anon_sym_java_DOTswift = 64,
  anon_sym_java_DOTswift_DOTconstants = 65,
  anon_sym_json = 66,
  anon_sym_py_DOTasyncio = 67,
  anon_sym_py3 = 68,
  anon_sym_rust = 69,
  anon_sym_scala = 70,
  anon_sym_LPAREN = 71,
  anon_sym_uri = 72,
  anon_sym_EQ = 73,
  anon_sym_RPAREN = 74,
  anon_sym_const = 75,
  anon_sym_typedef = 76,
  anon_sym_enum = 77,
  anon_sym_LBRACE = 78,
  anon_sym_RBRACE = 79,
  anon_sym_senum = 80,
  anon_sym_struct = 81,
  anon_sym_xsd_all = 82,
  anon_sym_union = 83,
  anon_sym_exception = 84,
  anon_sym_client = 85,
  anon_sym_permanent = 86,
  anon_sym_server = 87,
  anon_sym_safe = 88,
  anon_sym_stateful = 89,
  anon_sym_transient = 90,
  anon_sym_service = 91,
  anon_sym_extends = 92,
  anon_sym_performs = 93,
  anon_sym_interaction = 94,
  anon_sym_AMP = 95,
  anon_sym_xsd_optional = 96,
  anon_sym_xsd_nillable = 97,
  anon_sym_COLON = 98,
  anon_sym_required = 99,
  anon_sym_optional = 100,
  anon_sym_xsd_attrs = 101,
  anon_sym_COMMA = 102,
  anon_sym_async = 103,
  anon_sym_oneway = 104,
  anon_sym_readonly = 105,
  anon_sym_idempotent = 106,
  anon_sym_throws = 107,
  anon_sym_void = 108,
  anon_sym_binary = 109,
  anon_sym_bool = 110,
  anon_sym_byte = 111,
  anon_sym_i8 = 112,
  anon_sym_i16 = 113,
  anon_sym_i32 = 114,
  anon_sym_i64 = 115,
  anon_sym_float = 116,
  anon_sym_double = 117,
  anon_sym_string = 118,
  anon_sym_slist = 119,
  anon_sym_list = 120,
  anon_sym_LT = 121,
  anon_sym_GT = 122,
  anon_sym_map = 123,
  anon_sym_set = 124,
  anon_sym_sink = 125,
  anon_sym_stream = 126,
  anon_sym_AT = 127,
  sym_number = 128,
  sym_double = 129,
  anon_sym_true = 130,
  anon_sym_false = 131,
  anon_sym_LBRACK = 132,
  anon_sym_RBRACK = 133,
  anon_sym_DQUOTE = 134,
  anon_sym_SQUOTE = 135,
  sym_unescaped_double_string_fragment = 136,
  sym_unescaped_single_string_fragment = 137,
  aux_sym__escape_sequence_token1 = 138,
  sym_escape_sequence = 139,
  aux_sym__identifier_with_dots_token1 = 140,
  anon_sym_DOT = 141,
  sym_comment = 142,
  sym_document = 143,
  sym_header = 144,
  sym_include_statement = 145,
  sym_namespace_declaration = 146,
  sym_package_declaration = 147,
  sym_namespace_scope = 148,
  sym_namespace_uri = 149,
  sym_definition = 150,
  sym_const_definition = 151,
  sym_typedef_definition = 152,
  sym_enum_definition = 153,
  sym_senum_definition = 154,
  sym_struct_definition = 155,
  sym_union_definition = 156,
  sym_exception_definition = 157,
  sym_exception_modifier = 158,
  sym_service_definition = 159,
  sym_interaction_definition = 160,
  sym_field = 161,
  sym_field_id = 162,
  sym_field_modifier = 163,
  sym_xsd_attrs = 164,
  sym_function_definition = 165,
  sym_function_modifier = 166,
  sym_parameters = 167,
  sym_parameter = 168,
  sym_throws = 169,
  sym_type = 170,
  sym_definition_type = 171,
  sym_primitive = 172,
  sym_container_type = 173,
  sym_list = 174,
  sym_map = 175,
  sym_set = 176,
  sym_sink = 177,
  sym_stream = 178,
  sym_annotation_definition = 179,
  sym_fb_annotation_definition = 180,
  sym_literal = 181,
  sym_boolean = 182,
  sym_list_literal = 183,
  sym_map_literal = 184,
  sym_struct_literal = 185,
  sym_string = 186,
  sym__escape_sequence = 187,
  sym__identifier_with_dots = 188,
  sym_annotation_identifier = 189,
  aux_sym_document_repeat1 = 190,
  aux_sym_document_repeat2 = 191,
  aux_sym_package_declaration_repeat1 = 192,
  aux_sym_enum_definition_repeat1 = 193,
  aux_sym_senum_definition_repeat1 = 194,
  aux_sym_struct_definition_repeat1 = 195,
  aux_sym_exception_definition_repeat1 = 196,
  aux_sym_service_definition_repeat1 = 197,
  aux_sym_interaction_definition_repeat1 = 198,
  aux_sym_function_definition_repeat1 = 199,
  aux_sym_parameters_repeat1 = 200,
  aux_sym_annotation_definition_repeat1 = 201,
  aux_sym_fb_annotation_definition_repeat1 = 202,
  aux_sym_list_literal_repeat1 = 203,
  aux_sym_map_literal_repeat1 = 204,
  aux_sym_string_repeat1 = 205,
  aux_sym_string_repeat2 = 206,
  aux_sym__type_identifier_repeat1 = 207,
  alias_sym_namespace = 208,
  alias_sym_typedef_identifier = 209,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_include] = "include",
  [anon_sym_cpp_include] = "cpp_include",
  [anon_sym_namespace] = "namespace",
  [anon_sym_SEMI] = ";",
  [anon_sym_package] = "package",
  [anon_sym_STAR] = "*",
  [anon_sym_as3] = "as3",
  [anon_sym_c_glib] = "c_glib",
  [anon_sym_cl] = "cl",
  [anon_sym_cocoa] = "cocoa",
  [anon_sym_cpp] = "cpp",
  [anon_sym_cpp2] = "cpp2",
  [anon_sym_cpp_DOTnoexist] = "cpp.noexist",
  [anon_sym_csharp] = "csharp",
  [anon_sym_d] = "d",
  [anon_sym_dart] = "dart",
  [anon_sym_delphi] = "delphi",
  [anon_sym_erl] = "erl",
  [anon_sym_go] = "go",
  [anon_sym_haxe] = "haxe",
  [anon_sym_java] = "java",
  [anon_sym_javame] = "javame",
  [anon_sym_js] = "js",
  [anon_sym_kotlin] = "kotlin",
  [anon_sym_lua] = "lua",
  [anon_sym_netcore] = "netcore",
  [anon_sym_netstd] = "netstd",
  [anon_sym_nodejs] = "nodejs",
  [anon_sym_nodets] = "nodets",
  [anon_sym_noexist] = "noexist",
  [anon_sym_ocaml] = "ocaml",
  [anon_sym_perl] = "perl",
  [anon_sym_php] = "php",
  [anon_sym_php_DOTpath] = "php.path",
  [anon_sym_py] = "py",
  [anon_sym_py_DOTtwisted] = "py.twisted",
  [anon_sym_rb] = "rb",
  [anon_sym_rs] = "rs",
  [anon_sym_smalltalk_DOTprefix] = "smalltalk.prefix",
  [anon_sym_smalltalk_DOTcategory] = "smalltalk.category",
  [anon_sym_st] = "st",
  [anon_sym_swift] = "swift",
  [anon_sym_ts] = "ts",
  [anon_sym_xml] = "xml",
  [anon_sym_xsd] = "xsd",
  [anon_sym_cocoa_prefix] = "cocoa_prefix",
  [anon_sym_cpp_namespace] = "cpp_namespace",
  [anon_sym_csharp_namespace] = "csharp_namespace",
  [anon_sym_delphi_namespace] = "delphi_namespace",
  [anon_sym_java_package] = "java_package",
  [anon_sym_perl_package] = "perl_package",
  [anon_sym_php_namespace] = "php_namespace",
  [anon_sym_py_module] = "py_module",
  [anon_sym_ruby_namespace] = "ruby_namespace",
  [anon_sym_smalltalk_category] = "smalltalk_category",
  [anon_sym_smalltalk_prefix] = "smalltalk_prefix",
  [anon_sym_xsd_namespace] = "xsd_namespace",
  [anon_sym_android] = "android",
  [anon_sym_hack] = "hack",
  [anon_sym_hack_DOTmodule] = "hack.module",
  [anon_sym_hs] = "hs",
  [anon_sym_hs2] = "hs2",
  [anon_sym_java_DOTswift] = "java.swift",
  [anon_sym_java_DOTswift_DOTconstants] = "java.swift.constants",
  [anon_sym_json] = "json",
  [anon_sym_py_DOTasyncio] = "py.asyncio",
  [anon_sym_py3] = "py3",
  [anon_sym_rust] = "rust",
  [anon_sym_scala] = "scala",
  [anon_sym_LPAREN] = "(",
  [anon_sym_uri] = "uri",
  [anon_sym_EQ] = "=",
  [anon_sym_RPAREN] = ")",
  [anon_sym_const] = "const",
  [anon_sym_typedef] = "typedef",
  [anon_sym_enum] = "enum",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_senum] = "senum",
  [anon_sym_struct] = "struct",
  [anon_sym_xsd_all] = "xsd_all",
  [anon_sym_union] = "union",
  [anon_sym_exception] = "exception",
  [anon_sym_client] = "client",
  [anon_sym_permanent] = "permanent",
  [anon_sym_server] = "server",
  [anon_sym_safe] = "safe",
  [anon_sym_stateful] = "stateful",
  [anon_sym_transient] = "transient",
  [anon_sym_service] = "service",
  [anon_sym_extends] = "extends",
  [anon_sym_performs] = "performs",
  [anon_sym_interaction] = "interaction",
  [anon_sym_AMP] = "&",
  [anon_sym_xsd_optional] = "xsd_optional",
  [anon_sym_xsd_nillable] = "xsd_nillable",
  [anon_sym_COLON] = ":",
  [anon_sym_required] = "required",
  [anon_sym_optional] = "optional",
  [anon_sym_xsd_attrs] = "xsd_attrs",
  [anon_sym_COMMA] = ",",
  [anon_sym_async] = "async",
  [anon_sym_oneway] = "oneway",
  [anon_sym_readonly] = "readonly",
  [anon_sym_idempotent] = "idempotent",
  [anon_sym_throws] = "throws",
  [anon_sym_void] = "void",
  [anon_sym_binary] = "binary",
  [anon_sym_bool] = "bool",
  [anon_sym_byte] = "byte",
  [anon_sym_i8] = "i8",
  [anon_sym_i16] = "i16",
  [anon_sym_i32] = "i32",
  [anon_sym_i64] = "i64",
  [anon_sym_float] = "float",
  [anon_sym_double] = "double",
  [anon_sym_string] = "string",
  [anon_sym_slist] = "slist",
  [anon_sym_list] = "list",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_map] = "map",
  [anon_sym_set] = "set",
  [anon_sym_sink] = "sink",
  [anon_sym_stream] = "stream",
  [anon_sym_AT] = "@",
  [sym_number] = "number",
  [sym_double] = "double",
  [anon_sym_true] = "true",
  [anon_sym_false] = "false",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_SQUOTE] = "'",
  [sym_unescaped_double_string_fragment] = "string_fragment",
  [sym_unescaped_single_string_fragment] = "string_fragment",
  [aux_sym__escape_sequence_token1] = "_escape_sequence_token1",
  [sym_escape_sequence] = "escape_sequence",
  [aux_sym__identifier_with_dots_token1] = "identifier",
  [anon_sym_DOT] = ".",
  [sym_comment] = "comment",
  [sym_document] = "document",
  [sym_header] = "header",
  [sym_include_statement] = "include_statement",
  [sym_namespace_declaration] = "namespace_declaration",
  [sym_package_declaration] = "package_declaration",
  [sym_namespace_scope] = "namespace_scope",
  [sym_namespace_uri] = "namespace_uri",
  [sym_definition] = "definition",
  [sym_const_definition] = "const_definition",
  [sym_typedef_definition] = "typedef_definition",
  [sym_enum_definition] = "enum_definition",
  [sym_senum_definition] = "senum_definition",
  [sym_struct_definition] = "struct_definition",
  [sym_union_definition] = "union_definition",
  [sym_exception_definition] = "exception_definition",
  [sym_exception_modifier] = "exception_modifier",
  [sym_service_definition] = "service_definition",
  [sym_interaction_definition] = "interaction_definition",
  [sym_field] = "field",
  [sym_field_id] = "field_id",
  [sym_field_modifier] = "field_modifier",
  [sym_xsd_attrs] = "xsd_attrs",
  [sym_function_definition] = "function_definition",
  [sym_function_modifier] = "function_modifier",
  [sym_parameters] = "parameters",
  [sym_parameter] = "parameter",
  [sym_throws] = "throws",
  [sym_type] = "type",
  [sym_definition_type] = "definition_type",
  [sym_primitive] = "primitive",
  [sym_container_type] = "container_type",
  [sym_list] = "list",
  [sym_map] = "map",
  [sym_set] = "set",
  [sym_sink] = "sink",
  [sym_stream] = "stream",
  [sym_annotation_definition] = "annotation_definition",
  [sym_fb_annotation_definition] = "fb_annotation_definition",
  [sym_literal] = "literal",
  [sym_boolean] = "boolean",
  [sym_list_literal] = "list_literal",
  [sym_map_literal] = "map_literal",
  [sym_struct_literal] = "struct_literal",
  [sym_string] = "string",
  [sym__escape_sequence] = "_escape_sequence",
  [sym__identifier_with_dots] = "_identifier_with_dots",
  [sym_annotation_identifier] = "annotation_identifier",
  [aux_sym_document_repeat1] = "document_repeat1",
  [aux_sym_document_repeat2] = "document_repeat2",
  [aux_sym_package_declaration_repeat1] = "package_declaration_repeat1",
  [aux_sym_enum_definition_repeat1] = "enum_definition_repeat1",
  [aux_sym_senum_definition_repeat1] = "senum_definition_repeat1",
  [aux_sym_struct_definition_repeat1] = "struct_definition_repeat1",
  [aux_sym_exception_definition_repeat1] = "exception_definition_repeat1",
  [aux_sym_service_definition_repeat1] = "service_definition_repeat1",
  [aux_sym_interaction_definition_repeat1] = "interaction_definition_repeat1",
  [aux_sym_function_definition_repeat1] = "function_definition_repeat1",
  [aux_sym_parameters_repeat1] = "parameters_repeat1",
  [aux_sym_annotation_definition_repeat1] = "annotation_definition_repeat1",
  [aux_sym_fb_annotation_definition_repeat1] = "fb_annotation_definition_repeat1",
  [aux_sym_list_literal_repeat1] = "list_literal_repeat1",
  [aux_sym_map_literal_repeat1] = "map_literal_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_repeat2] = "string_repeat2",
  [aux_sym__type_identifier_repeat1] = "_type_identifier_repeat1",
  [alias_sym_namespace] = "namespace",
  [alias_sym_typedef_identifier] = "typedef_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [anon_sym_include] = anon_sym_include,
  [anon_sym_cpp_include] = anon_sym_cpp_include,
  [anon_sym_namespace] = anon_sym_namespace,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_package] = anon_sym_package,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_as3] = anon_sym_as3,
  [anon_sym_c_glib] = anon_sym_c_glib,
  [anon_sym_cl] = anon_sym_cl,
  [anon_sym_cocoa] = anon_sym_cocoa,
  [anon_sym_cpp] = anon_sym_cpp,
  [anon_sym_cpp2] = anon_sym_cpp2,
  [anon_sym_cpp_DOTnoexist] = anon_sym_cpp_DOTnoexist,
  [anon_sym_csharp] = anon_sym_csharp,
  [anon_sym_d] = anon_sym_d,
  [anon_sym_dart] = anon_sym_dart,
  [anon_sym_delphi] = anon_sym_delphi,
  [anon_sym_erl] = anon_sym_erl,
  [anon_sym_go] = anon_sym_go,
  [anon_sym_haxe] = anon_sym_haxe,
  [anon_sym_java] = anon_sym_java,
  [anon_sym_javame] = anon_sym_javame,
  [anon_sym_js] = anon_sym_js,
  [anon_sym_kotlin] = anon_sym_kotlin,
  [anon_sym_lua] = anon_sym_lua,
  [anon_sym_netcore] = anon_sym_netcore,
  [anon_sym_netstd] = anon_sym_netstd,
  [anon_sym_nodejs] = anon_sym_nodejs,
  [anon_sym_nodets] = anon_sym_nodets,
  [anon_sym_noexist] = anon_sym_noexist,
  [anon_sym_ocaml] = anon_sym_ocaml,
  [anon_sym_perl] = anon_sym_perl,
  [anon_sym_php] = anon_sym_php,
  [anon_sym_php_DOTpath] = anon_sym_php_DOTpath,
  [anon_sym_py] = anon_sym_py,
  [anon_sym_py_DOTtwisted] = anon_sym_py_DOTtwisted,
  [anon_sym_rb] = anon_sym_rb,
  [anon_sym_rs] = anon_sym_rs,
  [anon_sym_smalltalk_DOTprefix] = anon_sym_smalltalk_DOTprefix,
  [anon_sym_smalltalk_DOTcategory] = anon_sym_smalltalk_DOTcategory,
  [anon_sym_st] = anon_sym_st,
  [anon_sym_swift] = anon_sym_swift,
  [anon_sym_ts] = anon_sym_ts,
  [anon_sym_xml] = anon_sym_xml,
  [anon_sym_xsd] = anon_sym_xsd,
  [anon_sym_cocoa_prefix] = anon_sym_cocoa_prefix,
  [anon_sym_cpp_namespace] = anon_sym_cpp_namespace,
  [anon_sym_csharp_namespace] = anon_sym_csharp_namespace,
  [anon_sym_delphi_namespace] = anon_sym_delphi_namespace,
  [anon_sym_java_package] = anon_sym_java_package,
  [anon_sym_perl_package] = anon_sym_perl_package,
  [anon_sym_php_namespace] = anon_sym_php_namespace,
  [anon_sym_py_module] = anon_sym_py_module,
  [anon_sym_ruby_namespace] = anon_sym_ruby_namespace,
  [anon_sym_smalltalk_category] = anon_sym_smalltalk_category,
  [anon_sym_smalltalk_prefix] = anon_sym_smalltalk_prefix,
  [anon_sym_xsd_namespace] = anon_sym_xsd_namespace,
  [anon_sym_android] = anon_sym_android,
  [anon_sym_hack] = anon_sym_hack,
  [anon_sym_hack_DOTmodule] = anon_sym_hack_DOTmodule,
  [anon_sym_hs] = anon_sym_hs,
  [anon_sym_hs2] = anon_sym_hs2,
  [anon_sym_java_DOTswift] = anon_sym_java_DOTswift,
  [anon_sym_java_DOTswift_DOTconstants] = anon_sym_java_DOTswift_DOTconstants,
  [anon_sym_json] = anon_sym_json,
  [anon_sym_py_DOTasyncio] = anon_sym_py_DOTasyncio,
  [anon_sym_py3] = anon_sym_py3,
  [anon_sym_rust] = anon_sym_rust,
  [anon_sym_scala] = anon_sym_scala,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_uri] = anon_sym_uri,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_typedef] = anon_sym_typedef,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_senum] = anon_sym_senum,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_xsd_all] = anon_sym_xsd_all,
  [anon_sym_union] = anon_sym_union,
  [anon_sym_exception] = anon_sym_exception,
  [anon_sym_client] = anon_sym_client,
  [anon_sym_permanent] = anon_sym_permanent,
  [anon_sym_server] = anon_sym_server,
  [anon_sym_safe] = anon_sym_safe,
  [anon_sym_stateful] = anon_sym_stateful,
  [anon_sym_transient] = anon_sym_transient,
  [anon_sym_service] = anon_sym_service,
  [anon_sym_extends] = anon_sym_extends,
  [anon_sym_performs] = anon_sym_performs,
  [anon_sym_interaction] = anon_sym_interaction,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_xsd_optional] = anon_sym_xsd_optional,
  [anon_sym_xsd_nillable] = anon_sym_xsd_nillable,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_required] = anon_sym_required,
  [anon_sym_optional] = anon_sym_optional,
  [anon_sym_xsd_attrs] = anon_sym_xsd_attrs,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_oneway] = anon_sym_oneway,
  [anon_sym_readonly] = anon_sym_readonly,
  [anon_sym_idempotent] = anon_sym_idempotent,
  [anon_sym_throws] = anon_sym_throws,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_binary] = anon_sym_binary,
  [anon_sym_bool] = anon_sym_bool,
  [anon_sym_byte] = anon_sym_byte,
  [anon_sym_i8] = anon_sym_i8,
  [anon_sym_i16] = anon_sym_i16,
  [anon_sym_i32] = anon_sym_i32,
  [anon_sym_i64] = anon_sym_i64,
  [anon_sym_float] = anon_sym_float,
  [anon_sym_double] = anon_sym_double,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_slist] = anon_sym_slist,
  [anon_sym_list] = anon_sym_list,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_map] = anon_sym_map,
  [anon_sym_set] = anon_sym_set,
  [anon_sym_sink] = anon_sym_sink,
  [anon_sym_stream] = anon_sym_stream,
  [anon_sym_AT] = anon_sym_AT,
  [sym_number] = sym_number,
  [sym_double] = sym_double,
  [anon_sym_true] = anon_sym_true,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [sym_unescaped_double_string_fragment] = sym_unescaped_double_string_fragment,
  [sym_unescaped_single_string_fragment] = sym_unescaped_double_string_fragment,
  [aux_sym__escape_sequence_token1] = aux_sym__escape_sequence_token1,
  [sym_escape_sequence] = sym_escape_sequence,
  [aux_sym__identifier_with_dots_token1] = sym_identifier,
  [anon_sym_DOT] = anon_sym_DOT,
  [sym_comment] = sym_comment,
  [sym_document] = sym_document,
  [sym_header] = sym_header,
  [sym_include_statement] = sym_include_statement,
  [sym_namespace_declaration] = sym_namespace_declaration,
  [sym_package_declaration] = sym_package_declaration,
  [sym_namespace_scope] = sym_namespace_scope,
  [sym_namespace_uri] = sym_namespace_uri,
  [sym_definition] = sym_definition,
  [sym_const_definition] = sym_const_definition,
  [sym_typedef_definition] = sym_typedef_definition,
  [sym_enum_definition] = sym_enum_definition,
  [sym_senum_definition] = sym_senum_definition,
  [sym_struct_definition] = sym_struct_definition,
  [sym_union_definition] = sym_union_definition,
  [sym_exception_definition] = sym_exception_definition,
  [sym_exception_modifier] = sym_exception_modifier,
  [sym_service_definition] = sym_service_definition,
  [sym_interaction_definition] = sym_interaction_definition,
  [sym_field] = sym_field,
  [sym_field_id] = sym_field_id,
  [sym_field_modifier] = sym_field_modifier,
  [sym_xsd_attrs] = sym_xsd_attrs,
  [sym_function_definition] = sym_function_definition,
  [sym_function_modifier] = sym_function_modifier,
  [sym_parameters] = sym_parameters,
  [sym_parameter] = sym_parameter,
  [sym_throws] = sym_throws,
  [sym_type] = sym_type,
  [sym_definition_type] = sym_definition_type,
  [sym_primitive] = sym_primitive,
  [sym_container_type] = sym_container_type,
  [sym_list] = sym_list,
  [sym_map] = sym_map,
  [sym_set] = sym_set,
  [sym_sink] = sym_sink,
  [sym_stream] = sym_stream,
  [sym_annotation_definition] = sym_annotation_definition,
  [sym_fb_annotation_definition] = sym_fb_annotation_definition,
  [sym_literal] = sym_literal,
  [sym_boolean] = sym_boolean,
  [sym_list_literal] = sym_list_literal,
  [sym_map_literal] = sym_map_literal,
  [sym_struct_literal] = sym_struct_literal,
  [sym_string] = sym_string,
  [sym__escape_sequence] = sym__escape_sequence,
  [sym__identifier_with_dots] = sym__identifier_with_dots,
  [sym_annotation_identifier] = sym_annotation_identifier,
  [aux_sym_document_repeat1] = aux_sym_document_repeat1,
  [aux_sym_document_repeat2] = aux_sym_document_repeat2,
  [aux_sym_package_declaration_repeat1] = aux_sym_package_declaration_repeat1,
  [aux_sym_enum_definition_repeat1] = aux_sym_enum_definition_repeat1,
  [aux_sym_senum_definition_repeat1] = aux_sym_senum_definition_repeat1,
  [aux_sym_struct_definition_repeat1] = aux_sym_struct_definition_repeat1,
  [aux_sym_exception_definition_repeat1] = aux_sym_exception_definition_repeat1,
  [aux_sym_service_definition_repeat1] = aux_sym_service_definition_repeat1,
  [aux_sym_interaction_definition_repeat1] = aux_sym_interaction_definition_repeat1,
  [aux_sym_function_definition_repeat1] = aux_sym_function_definition_repeat1,
  [aux_sym_parameters_repeat1] = aux_sym_parameters_repeat1,
  [aux_sym_annotation_definition_repeat1] = aux_sym_annotation_definition_repeat1,
  [aux_sym_fb_annotation_definition_repeat1] = aux_sym_fb_annotation_definition_repeat1,
  [aux_sym_list_literal_repeat1] = aux_sym_list_literal_repeat1,
  [aux_sym_map_literal_repeat1] = aux_sym_map_literal_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_repeat2] = aux_sym_string_repeat2,
  [aux_sym__type_identifier_repeat1] = aux_sym__type_identifier_repeat1,
  [alias_sym_namespace] = alias_sym_namespace,
  [alias_sym_typedef_identifier] = alias_sym_typedef_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_include] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_cpp_include] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_namespace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_package] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as3] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_c_glib] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_cl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_cocoa] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_cpp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_cpp2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_cpp_DOTnoexist] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_csharp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_d] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_dart] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delphi] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_erl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_go] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_haxe] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_java] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_javame] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_js] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_kotlin] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lua] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_netcore] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_netstd] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nodejs] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nodets] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noexist] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ocaml] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_perl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_php] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_php_DOTpath] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_py] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_py_DOTtwisted] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_rb] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_rs] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_smalltalk_DOTprefix] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_smalltalk_DOTcategory] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_st] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_swift] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ts] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xml] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xsd] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_cocoa_prefix] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_cpp_namespace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_csharp_namespace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delphi_namespace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_java_package] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_perl_package] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_php_namespace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_py_module] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ruby_namespace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_smalltalk_category] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_smalltalk_prefix] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xsd_namespace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_android] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_hack] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_hack_DOTmodule] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_hs] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_hs2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_java_DOTswift] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_java_DOTswift_DOTconstants] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_json] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_py_DOTasyncio] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_py3] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_rust] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_scala] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uri] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typedef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_senum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xsd_all] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_union] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_exception] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_client] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_permanent] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_server] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_safe] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_stateful] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_transient] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_service] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_performs] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_interaction] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xsd_optional] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xsd_nillable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_required] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_optional] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xsd_attrs] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_oneway] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_readonly] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_idempotent] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throws] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_binary] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bool] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_byte] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_i8] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_i16] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_i32] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_i64] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_float] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_double] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_slist] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_list] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_map] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sink] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_stream] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_double] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_unescaped_double_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_unescaped_single_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__escape_sequence_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__identifier_with_dots_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_document] = {
    .visible = true,
    .named = true,
  },
  [sym_header] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_include_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_package_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_scope] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_uri] = {
    .visible = true,
    .named = true,
  },
  [sym_definition] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_const_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_typedef_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_senum_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_union_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_exception_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_exception_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_service_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_interaction_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_field] = {
    .visible = true,
    .named = true,
  },
  [sym_field_id] = {
    .visible = true,
    .named = true,
  },
  [sym_field_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_xsd_attrs] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_function_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_throws] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = true,
    .named = true,
  },
  [sym_definition_type] = {
    .visible = true,
    .named = true,
  },
  [sym_primitive] = {
    .visible = true,
    .named = true,
  },
  [sym_container_type] = {
    .visible = true,
    .named = true,
  },
  [sym_list] = {
    .visible = true,
    .named = true,
  },
  [sym_map] = {
    .visible = true,
    .named = true,
  },
  [sym_set] = {
    .visible = true,
    .named = true,
  },
  [sym_sink] = {
    .visible = true,
    .named = true,
  },
  [sym_stream] = {
    .visible = true,
    .named = true,
  },
  [sym_annotation_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_fb_annotation_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym_list_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_map_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym__escape_sequence] = {
    .visible = false,
    .named = true,
  },
  [sym__identifier_with_dots] = {
    .visible = false,
    .named = true,
  },
  [sym_annotation_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_document_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_document_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_package_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_senum_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_struct_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_exception_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_service_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_interaction_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_annotation_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_fb_annotation_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_list_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_map_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_identifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_namespace] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_typedef_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_type = 1,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_type] = "type",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [2] = {.index = 1, .length = 1},
  [4] = {.index = 1, .length = 1},
  [6] = {.index = 2, .length = 1},
  [7] = {.index = 3, .length = 2},
  [8] = {.index = 5, .length = 2},
  [10] = {.index = 1, .length = 1},
  [11] = {.index = 7, .length = 2},
  [12] = {.index = 9, .length = 2},
  [13] = {.index = 11, .length = 2},
  [14] = {.index = 13, .length = 3},
  [15] = {.index = 16, .length = 2},
  [16] = {.index = 18, .length = 2},
  [17] = {.index = 20, .length = 2},
  [18] = {.index = 22, .length = 3},
  [19] = {.index = 25, .length = 3},
  [20] = {.index = 28, .length = 3},
  [21] = {.index = 31, .length = 2},
  [22] = {.index = 33, .length = 3},
  [23] = {.index = 36, .length = 3},
  [24] = {.index = 39, .length = 3},
  [25] = {.index = 42, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_type, 0},
  [1] =
    {field_type, 2},
  [2] =
    {field_type, 1},
  [3] =
    {field_type, 1},
    {field_type, 3, .inherited = true},
  [5] =
    {field_type, 0, .inherited = true},
    {field_type, 1, .inherited = true},
  [7] =
    {field_type, 1},
    {field_type, 3},
  [9] =
    {field_type, 1},
    {field_type, 4, .inherited = true},
  [11] =
    {field_type, 2},
    {field_type, 4, .inherited = true},
  [13] =
    {field_type, 1},
    {field_type, 3},
    {field_type, 5, .inherited = true},
  [16] =
    {field_type, 1},
    {field_type, 4},
  [18] =
    {field_type, 2},
    {field_type, 4},
  [20] =
    {field_type, 2},
    {field_type, 5, .inherited = true},
  [22] =
    {field_type, 1},
    {field_type, 3},
    {field_type, 6, .inherited = true},
  [25] =
    {field_type, 1},
    {field_type, 4},
    {field_type, 6, .inherited = true},
  [28] =
    {field_type, 2},
    {field_type, 4},
    {field_type, 6, .inherited = true},
  [31] =
    {field_type, 2},
    {field_type, 5},
  [33] =
    {field_type, 1},
    {field_type, 4},
    {field_type, 7, .inherited = true},
  [36] =
    {field_type, 2},
    {field_type, 4},
    {field_type, 7, .inherited = true},
  [39] =
    {field_type, 2},
    {field_type, 5},
    {field_type, 7, .inherited = true},
  [42] =
    {field_type, 2},
    {field_type, 5},
    {field_type, 8, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [2] = {
    [2] = alias_sym_namespace,
  },
  [3] = {
    [2] = alias_sym_typedef_identifier,
  },
  [4] = {
    [2] = alias_sym_namespace,
    [3] = alias_sym_namespace,
  },
  [5] = {
    [3] = alias_sym_typedef_identifier,
  },
  [9] = {
    [4] = alias_sym_typedef_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 34,
  [35] = 35,
  [36] = 36,
  [37] = 37,
  [38] = 38,
  [39] = 39,
  [40] = 40,
  [41] = 41,
  [42] = 42,
  [43] = 43,
  [44] = 44,
  [45] = 45,
  [46] = 46,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 50,
  [51] = 51,
  [52] = 52,
  [53] = 53,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 59,
  [60] = 60,
  [61] = 61,
  [62] = 62,
  [63] = 63,
  [64] = 64,
  [65] = 65,
  [66] = 66,
  [67] = 67,
  [68] = 68,
  [69] = 69,
  [70] = 70,
  [71] = 71,
  [72] = 72,
  [73] = 73,
  [74] = 74,
  [75] = 75,
  [76] = 76,
  [77] = 77,
  [78] = 78,
  [79] = 79,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 87,
  [88] = 88,
  [89] = 89,
  [90] = 90,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 101,
  [102] = 102,
  [103] = 103,
  [104] = 104,
  [105] = 105,
  [106] = 106,
  [107] = 107,
  [108] = 108,
  [109] = 109,
  [110] = 110,
  [111] = 111,
  [112] = 112,
  [113] = 113,
  [114] = 114,
  [115] = 115,
  [116] = 116,
  [117] = 117,
  [118] = 118,
  [119] = 119,
  [120] = 120,
  [121] = 121,
  [122] = 122,
  [123] = 123,
  [124] = 124,
  [125] = 125,
  [126] = 126,
  [127] = 127,
  [128] = 128,
  [129] = 129,
  [130] = 130,
  [131] = 131,
  [132] = 132,
  [133] = 133,
  [134] = 134,
  [135] = 135,
  [136] = 136,
  [137] = 137,
  [138] = 138,
  [139] = 139,
  [140] = 140,
  [141] = 141,
  [142] = 142,
  [143] = 143,
  [144] = 144,
  [145] = 145,
  [146] = 89,
  [147] = 95,
  [148] = 148,
  [149] = 149,
  [150] = 150,
  [151] = 151,
  [152] = 152,
  [153] = 153,
  [154] = 154,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 160,
  [161] = 161,
  [162] = 162,
  [163] = 163,
  [164] = 164,
  [165] = 165,
  [166] = 166,
  [167] = 167,
  [168] = 168,
  [169] = 169,
  [170] = 170,
  [171] = 171,
  [172] = 172,
  [173] = 173,
  [174] = 174,
  [175] = 175,
  [176] = 176,
  [177] = 177,
  [178] = 3,
  [179] = 179,
  [180] = 180,
  [181] = 181,
  [182] = 182,
  [183] = 183,
  [184] = 184,
  [185] = 185,
  [186] = 186,
  [187] = 187,
  [188] = 188,
  [189] = 189,
  [190] = 190,
  [191] = 191,
  [192] = 192,
  [193] = 193,
  [194] = 194,
  [195] = 195,
  [196] = 196,
  [197] = 197,
  [198] = 198,
  [199] = 199,
  [200] = 200,
  [201] = 201,
  [202] = 202,
  [203] = 203,
  [204] = 204,
  [205] = 205,
  [206] = 206,
  [207] = 207,
  [208] = 208,
  [209] = 209,
  [210] = 210,
  [211] = 211,
  [212] = 212,
  [213] = 213,
  [214] = 214,
  [215] = 215,
  [216] = 216,
  [217] = 217,
  [218] = 218,
  [219] = 219,
  [220] = 220,
  [221] = 221,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 223,
  [226] = 226,
  [227] = 227,
  [228] = 228,
  [229] = 229,
  [230] = 4,
  [231] = 231,
  [232] = 216,
  [233] = 222,
  [234] = 228,
  [235] = 205,
  [236] = 207,
  [237] = 208,
  [238] = 229,
  [239] = 231,
  [240] = 219,
  [241] = 226,
  [242] = 216,
  [243] = 221,
  [244] = 244,
  [245] = 244,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 258,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 88,
  [297] = 87,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 121,
  [305] = 140,
  [306] = 306,
  [307] = 142,
  [308] = 144,
  [309] = 143,
  [310] = 145,
  [311] = 311,
  [312] = 137,
  [313] = 313,
  [314] = 314,
  [315] = 138,
  [316] = 141,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 325,
  [326] = 326,
  [327] = 327,
  [328] = 328,
  [329] = 329,
  [330] = 330,
  [331] = 331,
  [332] = 332,
  [333] = 333,
  [334] = 334,
  [335] = 335,
  [336] = 336,
  [337] = 337,
  [338] = 338,
  [339] = 339,
  [340] = 340,
  [341] = 341,
  [342] = 342,
  [343] = 343,
  [344] = 344,
  [345] = 345,
  [346] = 346,
  [347] = 347,
  [348] = 348,
  [349] = 349,
  [350] = 350,
  [351] = 351,
  [352] = 352,
  [353] = 353,
  [354] = 354,
  [355] = 355,
  [356] = 356,
  [357] = 357,
  [358] = 358,
  [359] = 359,
  [360] = 360,
  [361] = 361,
  [362] = 362,
  [363] = 363,
  [364] = 364,
  [365] = 365,
  [366] = 366,
  [367] = 367,
  [368] = 368,
  [369] = 369,
  [370] = 370,
  [371] = 371,
  [372] = 83,
  [373] = 82,
  [374] = 81,
  [375] = 80,
  [376] = 78,
  [377] = 79,
  [378] = 378,
  [379] = 379,
  [380] = 380,
  [381] = 381,
  [382] = 382,
  [383] = 383,
  [384] = 384,
  [385] = 385,
  [386] = 386,
  [387] = 387,
  [388] = 388,
  [389] = 389,
  [390] = 390,
  [391] = 391,
  [392] = 392,
  [393] = 393,
  [394] = 394,
  [395] = 395,
  [396] = 396,
  [397] = 397,
  [398] = 398,
  [399] = 399,
  [400] = 400,
  [401] = 401,
  [402] = 402,
  [403] = 403,
  [404] = 404,
  [405] = 405,
  [406] = 406,
  [407] = 407,
  [408] = 408,
  [409] = 409,
  [410] = 410,
  [411] = 411,
  [412] = 412,
  [413] = 413,
  [414] = 414,
  [415] = 415,
  [416] = 416,
  [417] = 417,
  [418] = 418,
  [419] = 419,
  [420] = 420,
  [421] = 421,
  [422] = 422,
  [423] = 423,
  [424] = 424,
  [425] = 425,
  [426] = 426,
  [427] = 427,
  [428] = 428,
  [429] = 429,
  [430] = 430,
  [431] = 431,
  [432] = 432,
  [433] = 433,
  [434] = 434,
  [435] = 435,
  [436] = 436,
  [437] = 437,
  [438] = 438,
  [439] = 439,
  [440] = 440,
  [441] = 441,
  [442] = 442,
  [443] = 443,
  [444] = 444,
  [445] = 445,
  [446] = 446,
  [447] = 447,
  [448] = 448,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 453,
  [454] = 454,
  [455] = 455,
  [456] = 456,
  [457] = 457,
  [458] = 458,
  [459] = 459,
  [460] = 460,
  [461] = 438,
  [462] = 452,
  [463] = 455,
  [464] = 456,
  [465] = 438,
  [466] = 452,
  [467] = 455,
  [468] = 456,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 472,
  [473] = 473,
  [474] = 474,
  [475] = 475,
  [476] = 476,
  [477] = 477,
  [478] = 478,
  [479] = 479,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 88,
  [484] = 484,
  [485] = 87,
  [486] = 486,
  [487] = 487,
  [488] = 488,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 3,
  [493] = 493,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 497,
  [498] = 498,
  [499] = 499,
  [500] = 488,
  [501] = 501,
  [502] = 488,
  [503] = 4,
  [504] = 89,
  [505] = 95,
  [506] = 137,
  [507] = 121,
  [508] = 141,
  [509] = 142,
  [510] = 138,
  [511] = 143,
  [512] = 144,
  [513] = 145,
  [514] = 140,
  [515] = 515,
  [516] = 516,
  [517] = 517,
  [518] = 518,
  [519] = 81,
  [520] = 79,
  [521] = 78,
  [522] = 80,
  [523] = 523,
  [524] = 524,
  [525] = 525,
  [526] = 83,
  [527] = 82,
  [528] = 528,
  [529] = 529,
  [530] = 530,
  [531] = 531,
  [532] = 532,
  [533] = 531,
  [534] = 534,
  [535] = 535,
  [536] = 529,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 3,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 529,
  [549] = 549,
  [550] = 550,
  [551] = 531,
  [552] = 552,
  [553] = 88,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 534,
  [558] = 558,
  [559] = 559,
  [560] = 560,
  [561] = 561,
  [562] = 562,
  [563] = 563,
  [564] = 564,
  [565] = 565,
  [566] = 552,
  [567] = 534,
  [568] = 568,
  [569] = 565,
  [570] = 552,
  [571] = 571,
  [572] = 562,
  [573] = 563,
  [574] = 564,
  [575] = 565,
  [576] = 88,
  [577] = 87,
  [578] = 87,
  [579] = 562,
  [580] = 563,
  [581] = 564,
  [582] = 565,
  [583] = 562,
  [584] = 563,
  [585] = 564,
  [586] = 4,
  [587] = 6,
  [588] = 588,
  [589] = 589,
  [590] = 590,
  [591] = 591,
  [592] = 592,
  [593] = 593,
  [594] = 594,
  [595] = 595,
  [596] = 596,
  [597] = 597,
  [598] = 598,
  [599] = 599,
  [600] = 600,
  [601] = 601,
  [602] = 602,
  [603] = 603,
  [604] = 543,
  [605] = 5,
  [606] = 541,
  [607] = 607,
  [608] = 608,
  [609] = 609,
  [610] = 610,
  [611] = 593,
  [612] = 612,
  [613] = 613,
  [614] = 614,
  [615] = 615,
  [616] = 616,
  [617] = 617,
  [618] = 618,
  [619] = 619,
  [620] = 620,
  [621] = 621,
  [622] = 622,
  [623] = 623,
  [624] = 624,
  [625] = 625,
  [626] = 626,
  [627] = 626,
  [628] = 628,
  [629] = 588,
  [630] = 618,
  [631] = 631,
  [632] = 632,
  [633] = 633,
  [634] = 634,
  [635] = 635,
  [636] = 636,
  [637] = 637,
  [638] = 638,
  [639] = 639,
  [640] = 640,
  [641] = 555,
  [642] = 642,
  [643] = 643,
  [644] = 644,
  [645] = 571,
  [646] = 646,
  [647] = 647,
  [648] = 648,
  [649] = 649,
  [650] = 648,
  [651] = 651,
  [652] = 652,
  [653] = 653,
  [654] = 654,
  [655] = 7,
  [656] = 656,
  [657] = 657,
  [658] = 558,
  [659] = 559,
  [660] = 660,
  [661] = 661,
  [662] = 568,
  [663] = 663,
  [664] = 664,
  [665] = 554,
  [666] = 648,
  [667] = 667,
  [668] = 556,
  [669] = 669,
  [670] = 670,
  [671] = 671,
  [672] = 653,
  [673] = 673,
  [674] = 643,
  [675] = 675,
  [676] = 676,
  [677] = 677,
  [678] = 620,
  [679] = 679,
  [680] = 622,
  [681] = 681,
  [682] = 628,
  [683] = 683,
  [684] = 684,
  [685] = 685,
  [686] = 686,
  [687] = 632,
  [688] = 688,
  [689] = 689,
  [690] = 635,
  [691] = 691,
  [692] = 636,
  [693] = 693,
  [694] = 694,
  [695] = 695,
  [696] = 613,
  [697] = 614,
  [698] = 698,
  [699] = 615,
  [700] = 616,
  [701] = 701,
  [702] = 617,
  [703] = 703,
  [704] = 623,
  [705] = 705,
  [706] = 706,
  [707] = 619,
  [708] = 676,
  [709] = 625,
  [710] = 633,
  [711] = 637,
  [712] = 89,
  [713] = 95,
  [714] = 714,
  [715] = 715,
  [716] = 716,
  [717] = 717,
  [718] = 718,
  [719] = 719,
  [720] = 720,
  [721] = 721,
  [722] = 722,
  [723] = 723,
  [724] = 724,
  [725] = 725,
  [726] = 726,
  [727] = 727,
  [728] = 728,
  [729] = 729,
  [730] = 730,
  [731] = 731,
  [732] = 732,
  [733] = 677,
  [734] = 676,
  [735] = 717,
  [736] = 723,
  [737] = 737,
  [738] = 738,
  [739] = 739,
  [740] = 740,
  [741] = 741,
  [742] = 684,
  [743] = 688,
  [744] = 739,
  [745] = 745,
  [746] = 724,
  [747] = 747,
  [748] = 748,
  [749] = 749,
  [750] = 750,
  [751] = 751,
  [752] = 752,
  [753] = 745,
  [754] = 754,
  [755] = 755,
  [756] = 685,
  [757] = 686,
  [758] = 689,
  [759] = 691,
  [760] = 694,
  [761] = 716,
  [762] = 762,
  [763] = 719,
  [764] = 721,
  [765] = 752,
  [766] = 639,
  [767] = 612,
  [768] = 768,
  [769] = 599,
  [770] = 754,
  [771] = 8,
  [772] = 732,
  [773] = 773,
  [774] = 684,
  [775] = 688,
  [776] = 776,
  [777] = 750,
  [778] = 751,
  [779] = 685,
  [780] = 686,
  [781] = 689,
  [782] = 691,
  [783] = 719,
  [784] = 721,
  [785] = 785,
  [786] = 786,
  [787] = 787,
  [788] = 788,
  [789] = 789,
  [790] = 790,
  [791] = 738,
  [792] = 776,
  [793] = 732,
  [794] = 750,
  [795] = 795,
  [796] = 751,
  [797] = 797,
  [798] = 798,
  [799] = 714,
  [800] = 800,
  [801] = 730,
  [802] = 768,
  [803] = 803,
  [804] = 624,
  [805] = 776,
  [806] = 806,
  [807] = 807,
  [808] = 808,
  [809] = 10,
  [810] = 810,
  [811] = 11,
  [812] = 812,
  [813] = 813,
  [814] = 807,
  [815] = 815,
  [816] = 816,
  [817] = 817,
  [818] = 818,
  [819] = 819,
  [820] = 820,
  [821] = 821,
  [822] = 822,
  [823] = 823,
  [824] = 824,
  [825] = 825,
  [826] = 826,
  [827] = 825,
  [828] = 828,
  [829] = 829,
  [830] = 830,
  [831] = 831,
  [832] = 832,
  [833] = 825,
  [834] = 834,
  [835] = 835,
  [836] = 836,
  [837] = 837,
  [838] = 838,
  [839] = 839,
  [840] = 835,
  [841] = 841,
  [842] = 842,
  [843] = 843,
  [844] = 844,
  [845] = 845,
  [846] = 846,
  [847] = 847,
  [848] = 848,
  [849] = 848,
  [850] = 850,
  [851] = 851,
  [852] = 852,
  [853] = 853,
  [854] = 854,
  [855] = 842,
  [856] = 856,
  [857] = 841,
  [858] = 856,
  [859] = 859,
  [860] = 831,
  [861] = 861,
  [862] = 851,
  [863] = 863,
  [864] = 864,
  [865] = 865,
  [866] = 866,
  [867] = 867,
  [868] = 868,
  [869] = 869,
  [870] = 870,
  [871] = 871,
  [872] = 872,
  [873] = 873,
  [874] = 874,
  [875] = 875,
  [876] = 876,
  [877] = 876,
  [878] = 878,
  [879] = 859,
  [880] = 880,
  [881] = 881,
  [882] = 882,
  [883] = 883,
  [884] = 884,
  [885] = 885,
  [886] = 886,
  [887] = 887,
  [888] = 825,
  [889] = 889,
  [890] = 890,
  [891] = 891,
  [892] = 892,
  [893] = 873,
  [894] = 873,
  [895] = 895,
  [896] = 896,
  [897] = 897,
  [898] = 854,
  [899] = 899,
  [900] = 900,
  [901] = 901,
  [902] = 902,
  [903] = 890,
  [904] = 904,
  [905] = 897,
  [906] = 906,
  [907] = 904,
  [908] = 908,
  [909] = 909,
  [910] = 901,
  [911] = 911,
  [912] = 838,
  [913] = 913,
  [914] = 911,
  [915] = 834,
  [916] = 890,
  [917] = 917,
  [918] = 918,
  [919] = 919,
  [920] = 920,
  [921] = 870,
  [922] = 881,
  [923] = 923,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(87);
      ADVANCE_MAP(
        '"', 125,
        '#', 168,
        '&', 109,
        '\'', 126,
        '(', 104,
        ')', 106,
        '*', 89,
        ',', 111,
        '.', 166,
        '/', 6,
        '0', 115,
        ':', 110,
        ';', 88,
        '<', 112,
        '=', 105,
        '>', 113,
        '@', 114,
        '[', 123,
        '\\', 11,
        ']', 124,
        'c', 160,
        'h', 145,
        'j', 146,
        'p', 151,
        's', 157,
        '{', 107,
        '}', 108,
        '+', 9,
        '-', 9,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(85);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(116);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(163);
      END_STATE();
    case 1:
      if (lookahead == '\r') ADVANCE(169);
      if (lookahead != 0) ADVANCE(168);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '"', 125,
        '#', 168,
        '&', 109,
        '\'', 126,
        '(', 104,
        ',', 111,
        '.', 165,
        '/', 6,
        ';', 88,
        '=', 105,
        '@', 114,
        '{', 107,
        '}', 108,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(2);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(164);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '"', 125,
        '#', 168,
        '\'', 126,
        '(', 104,
        ',', 111,
        '.', 166,
        '/', 6,
        '0', 115,
        ';', 88,
        '[', 123,
        ']', 124,
        '{', 107,
        '}', 108,
        '+', 9,
        '-', 9,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(3);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(116);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(163);
      END_STATE();
    case 4:
      if (lookahead == '"') ADVANCE(125);
      if (lookahead == '#') ADVANCE(127);
      if (lookahead == '/') ADVANCE(129);
      if (lookahead == '\\') ADVANCE(11);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(128);
      if (lookahead != 0) ADVANCE(132);
      END_STATE();
    case 5:
      if (lookahead == '#') ADVANCE(133);
      if (lookahead == '\'') ADVANCE(126);
      if (lookahead == '/') ADVANCE(135);
      if (lookahead == '\\') ADVANCE(11);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(134);
      if (lookahead != 0) ADVANCE(138);
      END_STATE();
    case 6:
      if (lookahead == '*') ADVANCE(8);
      if (lookahead == '/') ADVANCE(168);
      END_STATE();
    case 7:
      if (lookahead == '*') ADVANCE(7);
      if (lookahead == '/') ADVANCE(167);
      if (lookahead != 0) ADVANCE(8);
      END_STATE();
    case 8:
      if (lookahead == '*') ADVANCE(7);
      if (lookahead != 0) ADVANCE(8);
      END_STATE();
    case 9:
      if (lookahead == '.') ADVANCE(73);
      if (lookahead == '0') ADVANCE(115);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(116);
      END_STATE();
    case 10:
      if (lookahead == '0') ADVANCE(117);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(120);
      END_STATE();
    case 11:
      if (lookahead == 'U') ADVANCE(141);
      if (lookahead == 'u') ADVANCE(69);
      if (lookahead == 'x') ADVANCE(80);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(140);
      if (lookahead == '"' ||
          lookahead == '\'' ||
          lookahead == '?' ||
          lookahead == '\\' ||
          lookahead == 'a' ||
          lookahead == 'b' ||
          lookahead == 'f' ||
          lookahead == 'n' ||
          lookahead == 'r' ||
          ('t' <= lookahead && lookahead <= 'v')) ADVANCE(142);
      if (lookahead != 0) ADVANCE(139);
      END_STATE();
    case 12:
      if (lookahead == 'a') ADVANCE(49);
      if (lookahead == 't') ADVANCE(63);
      END_STATE();
    case 13:
      if (lookahead == 'a') ADVANCE(55);
      END_STATE();
    case 14:
      if (lookahead == 'a') ADVANCE(39);
      END_STATE();
    case 15:
      if (lookahead == 'a') ADVANCE(61);
      END_STATE();
    case 16:
      if (lookahead == 'c') ADVANCE(33);
      END_STATE();
    case 17:
      if (lookahead == 'c') ADVANCE(45);
      END_STATE();
    case 18:
      if (lookahead == 'c') ADVANCE(15);
      if (lookahead == 'p') ADVANCE(48);
      END_STATE();
    case 19:
      if (lookahead == 'd') ADVANCE(62);
      END_STATE();
    case 20:
      if (lookahead == 'd') ADVANCE(96);
      END_STATE();
    case 21:
      if (lookahead == 'e') ADVANCE(66);
      END_STATE();
    case 22:
      if (lookahead == 'e') ADVANCE(100);
      END_STATE();
    case 23:
      if (lookahead == 'e') ADVANCE(28);
      END_STATE();
    case 24:
      if (lookahead == 'e') ADVANCE(20);
      END_STATE();
    case 25:
      if (lookahead == 'e') ADVANCE(27);
      END_STATE();
    case 26:
      if (lookahead == 'f') ADVANCE(56);
      END_STATE();
    case 27:
      if (lookahead == 'f') ADVANCE(31);
      END_STATE();
    case 28:
      if (lookahead == 'g') ADVANCE(44);
      END_STATE();
    case 29:
      if (lookahead == 'h') ADVANCE(94);
      END_STATE();
    case 30:
      if (lookahead == 'i') ADVANCE(26);
      END_STATE();
    case 31:
      if (lookahead == 'i') ADVANCE(65);
      END_STATE();
    case 32:
      if (lookahead == 'i') ADVANCE(51);
      END_STATE();
    case 33:
      if (lookahead == 'i') ADVANCE(43);
      END_STATE();
    case 34:
      if (lookahead == 'i') ADVANCE(52);
      END_STATE();
    case 35:
      if (lookahead == 'l') ADVANCE(22);
      END_STATE();
    case 36:
      if (lookahead == 'm') ADVANCE(42);
      END_STATE();
    case 37:
      if (lookahead == 'n') ADVANCE(41);
      END_STATE();
    case 38:
      if (lookahead == 'n') ADVANCE(16);
      END_STATE();
    case 39:
      if (lookahead == 'n') ADVANCE(60);
      END_STATE();
    case 40:
      if (lookahead == 'n') ADVANCE(53);
      END_STATE();
    case 41:
      if (lookahead == 'o') ADVANCE(21);
      END_STATE();
    case 42:
      if (lookahead == 'o') ADVANCE(19);
      END_STATE();
    case 43:
      if (lookahead == 'o') ADVANCE(103);
      END_STATE();
    case 44:
      if (lookahead == 'o') ADVANCE(47);
      END_STATE();
    case 45:
      if (lookahead == 'o') ADVANCE(40);
      END_STATE();
    case 46:
      if (lookahead == 'p') ADVANCE(13);
      END_STATE();
    case 47:
      if (lookahead == 'r') ADVANCE(67);
      END_STATE();
    case 48:
      if (lookahead == 'r') ADVANCE(25);
      END_STATE();
    case 49:
      if (lookahead == 's') ADVANCE(68);
      END_STATE();
    case 50:
      if (lookahead == 's') ADVANCE(102);
      END_STATE();
    case 51:
      if (lookahead == 's') ADVANCE(59);
      END_STATE();
    case 52:
      if (lookahead == 's') ADVANCE(57);
      END_STATE();
    case 53:
      if (lookahead == 's') ADVANCE(58);
      END_STATE();
    case 54:
      if (lookahead == 's') ADVANCE(64);
      END_STATE();
    case 55:
      if (lookahead == 't') ADVANCE(29);
      END_STATE();
    case 56:
      if (lookahead == 't') ADVANCE(101);
      END_STATE();
    case 57:
      if (lookahead == 't') ADVANCE(91);
      END_STATE();
    case 58:
      if (lookahead == 't') ADVANCE(14);
      END_STATE();
    case 59:
      if (lookahead == 't') ADVANCE(24);
      END_STATE();
    case 60:
      if (lookahead == 't') ADVANCE(50);
      END_STATE();
    case 61:
      if (lookahead == 't') ADVANCE(23);
      END_STATE();
    case 62:
      if (lookahead == 'u') ADVANCE(35);
      END_STATE();
    case 63:
      if (lookahead == 'w') ADVANCE(32);
      END_STATE();
    case 64:
      if (lookahead == 'w') ADVANCE(30);
      END_STATE();
    case 65:
      if (lookahead == 'x') ADVANCE(97);
      END_STATE();
    case 66:
      if (lookahead == 'x') ADVANCE(34);
      END_STATE();
    case 67:
      if (lookahead == 'y') ADVANCE(98);
      END_STATE();
    case 68:
      if (lookahead == 'y') ADVANCE(38);
      END_STATE();
    case 69:
      if (lookahead == '{') ADVANCE(78);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(79);
      END_STATE();
    case 70:
      if (lookahead == '}') ADVANCE(142);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(70);
      END_STATE();
    case 71:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(75);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(122);
      END_STATE();
    case 72:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(118);
      END_STATE();
    case 73:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(121);
      END_STATE();
    case 74:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(120);
      END_STATE();
    case 75:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(122);
      END_STATE();
    case 76:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(142);
      END_STATE();
    case 77:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(119);
      END_STATE();
    case 78:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(70);
      END_STATE();
    case 79:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(80);
      END_STATE();
    case 80:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(76);
      END_STATE();
    case 81:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(79);
      END_STATE();
    case 82:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(81);
      END_STATE();
    case 83:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(82);
      END_STATE();
    case 84:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(83);
      END_STATE();
    case 85:
      if (eof) ADVANCE(87);
      ADVANCE_MAP(
        '"', 125,
        '#', 168,
        '&', 109,
        '\'', 126,
        '(', 104,
        ')', 106,
        '*', 89,
        ',', 111,
        '.', 166,
        '/', 6,
        '0', 115,
        ':', 110,
        ';', 88,
        '<', 112,
        '=', 105,
        '>', 113,
        '@', 114,
        '[', 123,
        ']', 124,
        'c', 160,
        'h', 145,
        'j', 146,
        'p', 151,
        's', 157,
        '{', 107,
        '}', 108,
        '+', 9,
        '-', 9,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(85);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(116);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(163);
      END_STATE();
    case 86:
      if (eof) ADVANCE(87);
      ADVANCE_MAP(
        '"', 125,
        '#', 168,
        '\'', 126,
        '(', 104,
        ')', 106,
        ',', 111,
        '.', 165,
        '/', 6,
        '0', 117,
        ':', 110,
        ';', 88,
        '<', 112,
        '=', 105,
        '>', 113,
        '@', 114,
        '{', 107,
        '}', 108,
        '+', 10,
        '-', 10,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(86);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(120);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(163);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_cpp);
      if (lookahead == '.') ADVANCE(37);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(163);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_cpp_DOTnoexist);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_java);
      if (lookahead == '.') ADVANCE(54);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(163);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_php);
      if (lookahead == '.') ADVANCE(46);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(163);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_php_DOTpath);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_py);
      if (lookahead == '.') ADVANCE(12);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(163);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_py_DOTtwisted);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_smalltalk_DOTprefix);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_smalltalk_DOTcategory);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_hack);
      if (lookahead == '.') ADVANCE(36);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(163);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_hack_DOTmodule);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_java_DOTswift);
      if (lookahead == '.') ADVANCE(17);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_java_DOTswift_DOTconstants);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_py_DOTasyncio);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(sym_number);
      ADVANCE_MAP(
        '.', 73,
        '0', 116,
        '_', 74,
        'B', 72,
        'b', 72,
        'E', 71,
        'e', 71,
        'X', 77,
        'x', 77,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(116);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(73);
      if (lookahead == '_') ADVANCE(74);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(71);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(116);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '0') ADVANCE(120);
      if (lookahead == '_') ADVANCE(74);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(72);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(77);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(120);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(72);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(118);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(119);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(74);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(120);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(sym_double);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(71);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(121);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_double);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(122);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '\n') ADVANCE(132);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(127);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '#') ADVANCE(127);
      if (lookahead == '/') ADVANCE(129);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(128);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '#' &&
          lookahead != '\\') ADVANCE(132);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(131);
      if (lookahead == '/') ADVANCE(127);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(132);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(130);
      if (lookahead == '/') ADVANCE(132);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(131);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(130);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(131);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(132);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '\n') ADVANCE(138);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(133);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '#') ADVANCE(133);
      if (lookahead == '/') ADVANCE(135);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(134);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(138);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(137);
      if (lookahead == '/') ADVANCE(133);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(138);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(136);
      if (lookahead == '/') ADVANCE(138);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(137);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(136);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(137);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(138);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(aux_sym__escape_sequence_token1);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(aux_sym__escape_sequence_token1);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(143);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(aux_sym__escape_sequence_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(84);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(142);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(18);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(163);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(150);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(163);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(162);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(163);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(156);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(163);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(92);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(163);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(155);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(163);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(152);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(163);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'h') ADVANCE(159);
      if (lookahead == 'y') ADVANCE(95);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(163);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'k') ADVANCE(99);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(163);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'k') ADVANCE(144);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(163);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(161);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(163);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(153);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(163);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(154);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(163);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'm') ADVANCE(147);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(163);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p') ADVANCE(90);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(163);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p') ADVANCE(93);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(163);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p') ADVANCE(158);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(163);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(149);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(163);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'v') ADVANCE(148);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(163);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(163);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(aux_sym__identifier_with_dots_token1);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(164);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(121);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(1);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(168);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(1);
      if (lookahead != 0) ADVANCE(168);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'a', 1,
        'b', 2,
        'c', 3,
        'd', 4,
        'e', 5,
        'f', 6,
        'g', 7,
        'h', 8,
        'i', 9,
        'j', 10,
        'k', 11,
        'l', 12,
        'm', 13,
        'n', 14,
        'o', 15,
        'p', 16,
        'r', 17,
        's', 18,
        't', 19,
        'u', 20,
        'v', 21,
        'x', 22,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'n') ADVANCE(23);
      if (lookahead == 's') ADVANCE(24);
      END_STATE();
    case 2:
      if (lookahead == 'i') ADVANCE(25);
      if (lookahead == 'o') ADVANCE(26);
      if (lookahead == 'y') ADVANCE(27);
      END_STATE();
    case 3:
      if (lookahead == '_') ADVANCE(28);
      if (lookahead == 'l') ADVANCE(29);
      if (lookahead == 'o') ADVANCE(30);
      if (lookahead == 'p') ADVANCE(31);
      if (lookahead == 's') ADVANCE(32);
      END_STATE();
    case 4:
      ACCEPT_TOKEN(anon_sym_d);
      if (lookahead == 'a') ADVANCE(33);
      if (lookahead == 'e') ADVANCE(34);
      if (lookahead == 'o') ADVANCE(35);
      END_STATE();
    case 5:
      if (lookahead == 'n') ADVANCE(36);
      if (lookahead == 'r') ADVANCE(37);
      if (lookahead == 'x') ADVANCE(38);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(39);
      if (lookahead == 'l') ADVANCE(40);
      END_STATE();
    case 7:
      if (lookahead == 'o') ADVANCE(41);
      END_STATE();
    case 8:
      if (lookahead == 'a') ADVANCE(42);
      if (lookahead == 's') ADVANCE(43);
      END_STATE();
    case 9:
      if (lookahead == '1') ADVANCE(44);
      if (lookahead == '3') ADVANCE(45);
      if (lookahead == '6') ADVANCE(46);
      if (lookahead == '8') ADVANCE(47);
      if (lookahead == 'd') ADVANCE(48);
      if (lookahead == 'n') ADVANCE(49);
      END_STATE();
    case 10:
      if (lookahead == 'a') ADVANCE(50);
      if (lookahead == 's') ADVANCE(51);
      END_STATE();
    case 11:
      if (lookahead == 'o') ADVANCE(52);
      END_STATE();
    case 12:
      if (lookahead == 'i') ADVANCE(53);
      if (lookahead == 'u') ADVANCE(54);
      END_STATE();
    case 13:
      if (lookahead == 'a') ADVANCE(55);
      END_STATE();
    case 14:
      if (lookahead == 'a') ADVANCE(56);
      if (lookahead == 'e') ADVANCE(57);
      if (lookahead == 'o') ADVANCE(58);
      END_STATE();
    case 15:
      if (lookahead == 'c') ADVANCE(59);
      if (lookahead == 'n') ADVANCE(60);
      if (lookahead == 'p') ADVANCE(61);
      END_STATE();
    case 16:
      if (lookahead == 'a') ADVANCE(62);
      if (lookahead == 'e') ADVANCE(63);
      if (lookahead == 'h') ADVANCE(64);
      if (lookahead == 'y') ADVANCE(65);
      END_STATE();
    case 17:
      if (lookahead == 'b') ADVANCE(66);
      if (lookahead == 'e') ADVANCE(67);
      if (lookahead == 's') ADVANCE(68);
      if (lookahead == 'u') ADVANCE(69);
      END_STATE();
    case 18:
      ADVANCE_MAP(
        'a', 70,
        'c', 71,
        'e', 72,
        'i', 73,
        'l', 74,
        'm', 75,
        't', 76,
        'w', 77,
      );
      END_STATE();
    case 19:
      if (lookahead == 'h') ADVANCE(78);
      if (lookahead == 'r') ADVANCE(79);
      if (lookahead == 's') ADVANCE(80);
      if (lookahead == 'y') ADVANCE(81);
      END_STATE();
    case 20:
      if (lookahead == 'n') ADVANCE(82);
      if (lookahead == 'r') ADVANCE(83);
      END_STATE();
    case 21:
      if (lookahead == 'o') ADVANCE(84);
      END_STATE();
    case 22:
      if (lookahead == 'm') ADVANCE(85);
      if (lookahead == 's') ADVANCE(86);
      END_STATE();
    case 23:
      if (lookahead == 'd') ADVANCE(87);
      END_STATE();
    case 24:
      if (lookahead == '3') ADVANCE(88);
      if (lookahead == 'y') ADVANCE(89);
      END_STATE();
    case 25:
      if (lookahead == 'n') ADVANCE(90);
      END_STATE();
    case 26:
      if (lookahead == 'o') ADVANCE(91);
      END_STATE();
    case 27:
      if (lookahead == 't') ADVANCE(92);
      END_STATE();
    case 28:
      if (lookahead == 'g') ADVANCE(93);
      END_STATE();
    case 29:
      ACCEPT_TOKEN(anon_sym_cl);
      if (lookahead == 'i') ADVANCE(94);
      END_STATE();
    case 30:
      if (lookahead == 'c') ADVANCE(95);
      if (lookahead == 'n') ADVANCE(96);
      END_STATE();
    case 31:
      if (lookahead == 'p') ADVANCE(97);
      END_STATE();
    case 32:
      if (lookahead == 'h') ADVANCE(98);
      END_STATE();
    case 33:
      if (lookahead == 'r') ADVANCE(99);
      END_STATE();
    case 34:
      if (lookahead == 'l') ADVANCE(100);
      END_STATE();
    case 35:
      if (lookahead == 'u') ADVANCE(101);
      END_STATE();
    case 36:
      if (lookahead == 'u') ADVANCE(102);
      END_STATE();
    case 37:
      if (lookahead == 'l') ADVANCE(103);
      END_STATE();
    case 38:
      if (lookahead == 'c') ADVANCE(104);
      if (lookahead == 't') ADVANCE(105);
      END_STATE();
    case 39:
      if (lookahead == 'l') ADVANCE(106);
      END_STATE();
    case 40:
      if (lookahead == 'o') ADVANCE(107);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_go);
      END_STATE();
    case 42:
      if (lookahead == 'x') ADVANCE(108);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_hs);
      if (lookahead == '2') ADVANCE(109);
      END_STATE();
    case 44:
      if (lookahead == '6') ADVANCE(110);
      END_STATE();
    case 45:
      if (lookahead == '2') ADVANCE(111);
      END_STATE();
    case 46:
      if (lookahead == '4') ADVANCE(112);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_i8);
      END_STATE();
    case 48:
      if (lookahead == 'e') ADVANCE(113);
      END_STATE();
    case 49:
      if (lookahead == 'c') ADVANCE(114);
      if (lookahead == 't') ADVANCE(115);
      END_STATE();
    case 50:
      if (lookahead == 'v') ADVANCE(116);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(anon_sym_js);
      if (lookahead == 'o') ADVANCE(117);
      END_STATE();
    case 52:
      if (lookahead == 't') ADVANCE(118);
      END_STATE();
    case 53:
      if (lookahead == 's') ADVANCE(119);
      END_STATE();
    case 54:
      if (lookahead == 'a') ADVANCE(120);
      END_STATE();
    case 55:
      if (lookahead == 'p') ADVANCE(121);
      END_STATE();
    case 56:
      if (lookahead == 'm') ADVANCE(122);
      END_STATE();
    case 57:
      if (lookahead == 't') ADVANCE(123);
      END_STATE();
    case 58:
      if (lookahead == 'd') ADVANCE(124);
      if (lookahead == 'e') ADVANCE(125);
      END_STATE();
    case 59:
      if (lookahead == 'a') ADVANCE(126);
      END_STATE();
    case 60:
      if (lookahead == 'e') ADVANCE(127);
      END_STATE();
    case 61:
      if (lookahead == 't') ADVANCE(128);
      END_STATE();
    case 62:
      if (lookahead == 'c') ADVANCE(129);
      END_STATE();
    case 63:
      if (lookahead == 'r') ADVANCE(130);
      END_STATE();
    case 64:
      if (lookahead == 'p') ADVANCE(131);
      END_STATE();
    case 65:
      if (lookahead == '3') ADVANCE(132);
      if (lookahead == '_') ADVANCE(133);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_rb);
      END_STATE();
    case 67:
      if (lookahead == 'a') ADVANCE(134);
      if (lookahead == 'q') ADVANCE(135);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_rs);
      END_STATE();
    case 69:
      if (lookahead == 'b') ADVANCE(136);
      if (lookahead == 's') ADVANCE(137);
      END_STATE();
    case 70:
      if (lookahead == 'f') ADVANCE(138);
      END_STATE();
    case 71:
      if (lookahead == 'a') ADVANCE(139);
      END_STATE();
    case 72:
      if (lookahead == 'n') ADVANCE(140);
      if (lookahead == 'r') ADVANCE(141);
      if (lookahead == 't') ADVANCE(142);
      END_STATE();
    case 73:
      if (lookahead == 'n') ADVANCE(143);
      END_STATE();
    case 74:
      if (lookahead == 'i') ADVANCE(144);
      END_STATE();
    case 75:
      if (lookahead == 'a') ADVANCE(145);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_st);
      if (lookahead == 'a') ADVANCE(146);
      if (lookahead == 'r') ADVANCE(147);
      END_STATE();
    case 77:
      if (lookahead == 'i') ADVANCE(148);
      END_STATE();
    case 78:
      if (lookahead == 'r') ADVANCE(149);
      END_STATE();
    case 79:
      if (lookahead == 'a') ADVANCE(150);
      if (lookahead == 'u') ADVANCE(151);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_ts);
      END_STATE();
    case 81:
      if (lookahead == 'p') ADVANCE(152);
      END_STATE();
    case 82:
      if (lookahead == 'i') ADVANCE(153);
      END_STATE();
    case 83:
      if (lookahead == 'i') ADVANCE(154);
      END_STATE();
    case 84:
      if (lookahead == 'i') ADVANCE(155);
      END_STATE();
    case 85:
      if (lookahead == 'l') ADVANCE(156);
      END_STATE();
    case 86:
      if (lookahead == 'd') ADVANCE(157);
      END_STATE();
    case 87:
      if (lookahead == 'r') ADVANCE(158);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_as3);
      END_STATE();
    case 89:
      if (lookahead == 'n') ADVANCE(159);
      END_STATE();
    case 90:
      if (lookahead == 'a') ADVANCE(160);
      END_STATE();
    case 91:
      if (lookahead == 'l') ADVANCE(161);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(162);
      END_STATE();
    case 93:
      if (lookahead == 'l') ADVANCE(163);
      END_STATE();
    case 94:
      if (lookahead == 'e') ADVANCE(164);
      END_STATE();
    case 95:
      if (lookahead == 'o') ADVANCE(165);
      END_STATE();
    case 96:
      if (lookahead == 's') ADVANCE(166);
      END_STATE();
    case 97:
      if (lookahead == '2') ADVANCE(167);
      if (lookahead == '_') ADVANCE(168);
      END_STATE();
    case 98:
      if (lookahead == 'a') ADVANCE(169);
      END_STATE();
    case 99:
      if (lookahead == 't') ADVANCE(170);
      END_STATE();
    case 100:
      if (lookahead == 'p') ADVANCE(171);
      END_STATE();
    case 101:
      if (lookahead == 'b') ADVANCE(172);
      END_STATE();
    case 102:
      if (lookahead == 'm') ADVANCE(173);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_erl);
      END_STATE();
    case 104:
      if (lookahead == 'e') ADVANCE(174);
      END_STATE();
    case 105:
      if (lookahead == 'e') ADVANCE(175);
      END_STATE();
    case 106:
      if (lookahead == 's') ADVANCE(176);
      END_STATE();
    case 107:
      if (lookahead == 'a') ADVANCE(177);
      END_STATE();
    case 108:
      if (lookahead == 'e') ADVANCE(178);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_hs2);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_i16);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_i32);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_i64);
      END_STATE();
    case 113:
      if (lookahead == 'm') ADVANCE(179);
      END_STATE();
    case 114:
      if (lookahead == 'l') ADVANCE(180);
      END_STATE();
    case 115:
      if (lookahead == 'e') ADVANCE(181);
      END_STATE();
    case 116:
      if (lookahead == 'a') ADVANCE(182);
      END_STATE();
    case 117:
      if (lookahead == 'n') ADVANCE(183);
      END_STATE();
    case 118:
      if (lookahead == 'l') ADVANCE(184);
      END_STATE();
    case 119:
      if (lookahead == 't') ADVANCE(185);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_lua);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_map);
      END_STATE();
    case 122:
      if (lookahead == 'e') ADVANCE(186);
      END_STATE();
    case 123:
      if (lookahead == 'c') ADVANCE(187);
      if (lookahead == 's') ADVANCE(188);
      END_STATE();
    case 124:
      if (lookahead == 'e') ADVANCE(189);
      END_STATE();
    case 125:
      if (lookahead == 'x') ADVANCE(190);
      END_STATE();
    case 126:
      if (lookahead == 'm') ADVANCE(191);
      END_STATE();
    case 127:
      if (lookahead == 'w') ADVANCE(192);
      END_STATE();
    case 128:
      if (lookahead == 'i') ADVANCE(193);
      END_STATE();
    case 129:
      if (lookahead == 'k') ADVANCE(194);
      END_STATE();
    case 130:
      if (lookahead == 'f') ADVANCE(195);
      if (lookahead == 'l') ADVANCE(196);
      if (lookahead == 'm') ADVANCE(197);
      END_STATE();
    case 131:
      if (lookahead == '_') ADVANCE(198);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_py3);
      END_STATE();
    case 133:
      if (lookahead == 'm') ADVANCE(199);
      END_STATE();
    case 134:
      if (lookahead == 'd') ADVANCE(200);
      END_STATE();
    case 135:
      if (lookahead == 'u') ADVANCE(201);
      END_STATE();
    case 136:
      if (lookahead == 'y') ADVANCE(202);
      END_STATE();
    case 137:
      if (lookahead == 't') ADVANCE(203);
      END_STATE();
    case 138:
      if (lookahead == 'e') ADVANCE(204);
      END_STATE();
    case 139:
      if (lookahead == 'l') ADVANCE(205);
      END_STATE();
    case 140:
      if (lookahead == 'u') ADVANCE(206);
      END_STATE();
    case 141:
      if (lookahead == 'v') ADVANCE(207);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_set);
      END_STATE();
    case 143:
      if (lookahead == 'k') ADVANCE(208);
      END_STATE();
    case 144:
      if (lookahead == 's') ADVANCE(209);
      END_STATE();
    case 145:
      if (lookahead == 'l') ADVANCE(210);
      END_STATE();
    case 146:
      if (lookahead == 't') ADVANCE(211);
      END_STATE();
    case 147:
      if (lookahead == 'e') ADVANCE(212);
      if (lookahead == 'i') ADVANCE(213);
      if (lookahead == 'u') ADVANCE(214);
      END_STATE();
    case 148:
      if (lookahead == 'f') ADVANCE(215);
      END_STATE();
    case 149:
      if (lookahead == 'o') ADVANCE(216);
      END_STATE();
    case 150:
      if (lookahead == 'n') ADVANCE(217);
      END_STATE();
    case 151:
      if (lookahead == 'e') ADVANCE(218);
      END_STATE();
    case 152:
      if (lookahead == 'e') ADVANCE(219);
      END_STATE();
    case 153:
      if (lookahead == 'o') ADVANCE(220);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_uri);
      END_STATE();
    case 155:
      if (lookahead == 'd') ADVANCE(221);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_xml);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_xsd);
      if (lookahead == '_') ADVANCE(222);
      END_STATE();
    case 158:
      if (lookahead == 'o') ADVANCE(223);
      END_STATE();
    case 159:
      if (lookahead == 'c') ADVANCE(224);
      END_STATE();
    case 160:
      if (lookahead == 'r') ADVANCE(225);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_bool);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_byte);
      END_STATE();
    case 163:
      if (lookahead == 'i') ADVANCE(226);
      END_STATE();
    case 164:
      if (lookahead == 'n') ADVANCE(227);
      END_STATE();
    case 165:
      if (lookahead == 'a') ADVANCE(228);
      END_STATE();
    case 166:
      if (lookahead == 't') ADVANCE(229);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_cpp2);
      END_STATE();
    case 168:
      if (lookahead == 'i') ADVANCE(230);
      if (lookahead == 'n') ADVANCE(231);
      END_STATE();
    case 169:
      if (lookahead == 'r') ADVANCE(232);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_dart);
      END_STATE();
    case 171:
      if (lookahead == 'h') ADVANCE(233);
      END_STATE();
    case 172:
      if (lookahead == 'l') ADVANCE(234);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 174:
      if (lookahead == 'p') ADVANCE(235);
      END_STATE();
    case 175:
      if (lookahead == 'n') ADVANCE(236);
      END_STATE();
    case 176:
      if (lookahead == 'e') ADVANCE(237);
      END_STATE();
    case 177:
      if (lookahead == 't') ADVANCE(238);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_haxe);
      END_STATE();
    case 179:
      if (lookahead == 'p') ADVANCE(239);
      END_STATE();
    case 180:
      if (lookahead == 'u') ADVANCE(240);
      END_STATE();
    case 181:
      if (lookahead == 'r') ADVANCE(241);
      END_STATE();
    case 182:
      if (lookahead == '_') ADVANCE(242);
      if (lookahead == 'm') ADVANCE(243);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_json);
      END_STATE();
    case 184:
      if (lookahead == 'i') ADVANCE(244);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_list);
      END_STATE();
    case 186:
      if (lookahead == 's') ADVANCE(245);
      END_STATE();
    case 187:
      if (lookahead == 'o') ADVANCE(246);
      END_STATE();
    case 188:
      if (lookahead == 't') ADVANCE(247);
      END_STATE();
    case 189:
      if (lookahead == 'j') ADVANCE(248);
      if (lookahead == 't') ADVANCE(249);
      END_STATE();
    case 190:
      if (lookahead == 'i') ADVANCE(250);
      END_STATE();
    case 191:
      if (lookahead == 'l') ADVANCE(251);
      END_STATE();
    case 192:
      if (lookahead == 'a') ADVANCE(252);
      END_STATE();
    case 193:
      if (lookahead == 'o') ADVANCE(253);
      END_STATE();
    case 194:
      if (lookahead == 'a') ADVANCE(254);
      END_STATE();
    case 195:
      if (lookahead == 'o') ADVANCE(255);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_perl);
      if (lookahead == '_') ADVANCE(256);
      END_STATE();
    case 197:
      if (lookahead == 'a') ADVANCE(257);
      END_STATE();
    case 198:
      if (lookahead == 'n') ADVANCE(258);
      END_STATE();
    case 199:
      if (lookahead == 'o') ADVANCE(259);
      END_STATE();
    case 200:
      if (lookahead == 'o') ADVANCE(260);
      END_STATE();
    case 201:
      if (lookahead == 'i') ADVANCE(261);
      END_STATE();
    case 202:
      if (lookahead == '_') ADVANCE(262);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_rust);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_safe);
      END_STATE();
    case 205:
      if (lookahead == 'a') ADVANCE(263);
      END_STATE();
    case 206:
      if (lookahead == 'm') ADVANCE(264);
      END_STATE();
    case 207:
      if (lookahead == 'e') ADVANCE(265);
      if (lookahead == 'i') ADVANCE(266);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_sink);
      END_STATE();
    case 209:
      if (lookahead == 't') ADVANCE(267);
      END_STATE();
    case 210:
      if (lookahead == 'l') ADVANCE(268);
      END_STATE();
    case 211:
      if (lookahead == 'e') ADVANCE(269);
      END_STATE();
    case 212:
      if (lookahead == 'a') ADVANCE(270);
      END_STATE();
    case 213:
      if (lookahead == 'n') ADVANCE(271);
      END_STATE();
    case 214:
      if (lookahead == 'c') ADVANCE(272);
      END_STATE();
    case 215:
      if (lookahead == 't') ADVANCE(273);
      END_STATE();
    case 216:
      if (lookahead == 'w') ADVANCE(274);
      END_STATE();
    case 217:
      if (lookahead == 's') ADVANCE(275);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 219:
      if (lookahead == 'd') ADVANCE(276);
      END_STATE();
    case 220:
      if (lookahead == 'n') ADVANCE(277);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 222:
      if (lookahead == 'a') ADVANCE(278);
      if (lookahead == 'n') ADVANCE(279);
      if (lookahead == 'o') ADVANCE(280);
      END_STATE();
    case 223:
      if (lookahead == 'i') ADVANCE(281);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 225:
      if (lookahead == 'y') ADVANCE(282);
      END_STATE();
    case 226:
      if (lookahead == 'b') ADVANCE(283);
      END_STATE();
    case 227:
      if (lookahead == 't') ADVANCE(284);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_cocoa);
      if (lookahead == '_') ADVANCE(285);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 230:
      if (lookahead == 'n') ADVANCE(286);
      END_STATE();
    case 231:
      if (lookahead == 'a') ADVANCE(287);
      END_STATE();
    case 232:
      if (lookahead == 'p') ADVANCE(288);
      END_STATE();
    case 233:
      if (lookahead == 'i') ADVANCE(289);
      END_STATE();
    case 234:
      if (lookahead == 'e') ADVANCE(290);
      END_STATE();
    case 235:
      if (lookahead == 't') ADVANCE(291);
      END_STATE();
    case 236:
      if (lookahead == 'd') ADVANCE(292);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_float);
      END_STATE();
    case 239:
      if (lookahead == 'o') ADVANCE(293);
      END_STATE();
    case 240:
      if (lookahead == 'd') ADVANCE(294);
      END_STATE();
    case 241:
      if (lookahead == 'a') ADVANCE(295);
      END_STATE();
    case 242:
      if (lookahead == 'p') ADVANCE(296);
      END_STATE();
    case 243:
      if (lookahead == 'e') ADVANCE(297);
      END_STATE();
    case 244:
      if (lookahead == 'n') ADVANCE(298);
      END_STATE();
    case 245:
      if (lookahead == 'p') ADVANCE(299);
      END_STATE();
    case 246:
      if (lookahead == 'r') ADVANCE(300);
      END_STATE();
    case 247:
      if (lookahead == 'd') ADVANCE(301);
      END_STATE();
    case 248:
      if (lookahead == 's') ADVANCE(302);
      END_STATE();
    case 249:
      if (lookahead == 's') ADVANCE(303);
      END_STATE();
    case 250:
      if (lookahead == 's') ADVANCE(304);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(anon_sym_ocaml);
      END_STATE();
    case 252:
      if (lookahead == 'y') ADVANCE(305);
      END_STATE();
    case 253:
      if (lookahead == 'n') ADVANCE(306);
      END_STATE();
    case 254:
      if (lookahead == 'g') ADVANCE(307);
      END_STATE();
    case 255:
      if (lookahead == 'r') ADVANCE(308);
      END_STATE();
    case 256:
      if (lookahead == 'p') ADVANCE(309);
      END_STATE();
    case 257:
      if (lookahead == 'n') ADVANCE(310);
      END_STATE();
    case 258:
      if (lookahead == 'a') ADVANCE(311);
      END_STATE();
    case 259:
      if (lookahead == 'd') ADVANCE(312);
      END_STATE();
    case 260:
      if (lookahead == 'n') ADVANCE(313);
      END_STATE();
    case 261:
      if (lookahead == 'r') ADVANCE(314);
      END_STATE();
    case 262:
      if (lookahead == 'n') ADVANCE(315);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_scala);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(anon_sym_senum);
      END_STATE();
    case 265:
      if (lookahead == 'r') ADVANCE(316);
      END_STATE();
    case 266:
      if (lookahead == 'c') ADVANCE(317);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(anon_sym_slist);
      END_STATE();
    case 268:
      if (lookahead == 't') ADVANCE(318);
      END_STATE();
    case 269:
      if (lookahead == 'f') ADVANCE(319);
      END_STATE();
    case 270:
      if (lookahead == 'm') ADVANCE(320);
      END_STATE();
    case 271:
      if (lookahead == 'g') ADVANCE(321);
      END_STATE();
    case 272:
      if (lookahead == 't') ADVANCE(322);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(anon_sym_swift);
      END_STATE();
    case 274:
      if (lookahead == 's') ADVANCE(323);
      END_STATE();
    case 275:
      if (lookahead == 'i') ADVANCE(324);
      END_STATE();
    case 276:
      if (lookahead == 'e') ADVANCE(325);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(anon_sym_union);
      END_STATE();
    case 278:
      if (lookahead == 'l') ADVANCE(326);
      if (lookahead == 't') ADVANCE(327);
      END_STATE();
    case 279:
      if (lookahead == 'a') ADVANCE(328);
      if (lookahead == 'i') ADVANCE(329);
      END_STATE();
    case 280:
      if (lookahead == 'p') ADVANCE(330);
      END_STATE();
    case 281:
      if (lookahead == 'd') ADVANCE(331);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(anon_sym_binary);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(anon_sym_c_glib);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(anon_sym_client);
      END_STATE();
    case 285:
      if (lookahead == 'p') ADVANCE(332);
      END_STATE();
    case 286:
      if (lookahead == 'c') ADVANCE(333);
      END_STATE();
    case 287:
      if (lookahead == 'm') ADVANCE(334);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(anon_sym_csharp);
      if (lookahead == '_') ADVANCE(335);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(anon_sym_delphi);
      if (lookahead == '_') ADVANCE(336);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(anon_sym_double);
      END_STATE();
    case 291:
      if (lookahead == 'i') ADVANCE(337);
      END_STATE();
    case 292:
      if (lookahead == 's') ADVANCE(338);
      END_STATE();
    case 293:
      if (lookahead == 't') ADVANCE(339);
      END_STATE();
    case 294:
      if (lookahead == 'e') ADVANCE(340);
      END_STATE();
    case 295:
      if (lookahead == 'c') ADVANCE(341);
      END_STATE();
    case 296:
      if (lookahead == 'a') ADVANCE(342);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(anon_sym_javame);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(anon_sym_kotlin);
      END_STATE();
    case 299:
      if (lookahead == 'a') ADVANCE(343);
      END_STATE();
    case 300:
      if (lookahead == 'e') ADVANCE(344);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(anon_sym_netstd);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(anon_sym_nodejs);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(anon_sym_nodets);
      END_STATE();
    case 304:
      if (lookahead == 't') ADVANCE(345);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(anon_sym_oneway);
      END_STATE();
    case 306:
      if (lookahead == 'a') ADVANCE(346);
      END_STATE();
    case 307:
      if (lookahead == 'e') ADVANCE(347);
      END_STATE();
    case 308:
      if (lookahead == 'm') ADVANCE(348);
      END_STATE();
    case 309:
      if (lookahead == 'a') ADVANCE(349);
      END_STATE();
    case 310:
      if (lookahead == 'e') ADVANCE(350);
      END_STATE();
    case 311:
      if (lookahead == 'm') ADVANCE(351);
      END_STATE();
    case 312:
      if (lookahead == 'u') ADVANCE(352);
      END_STATE();
    case 313:
      if (lookahead == 'l') ADVANCE(353);
      END_STATE();
    case 314:
      if (lookahead == 'e') ADVANCE(354);
      END_STATE();
    case 315:
      if (lookahead == 'a') ADVANCE(355);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(anon_sym_server);
      END_STATE();
    case 317:
      if (lookahead == 'e') ADVANCE(356);
      END_STATE();
    case 318:
      if (lookahead == 'a') ADVANCE(357);
      END_STATE();
    case 319:
      if (lookahead == 'u') ADVANCE(358);
      END_STATE();
    case 320:
      ACCEPT_TOKEN(anon_sym_stream);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(anon_sym_string);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(anon_sym_throws);
      END_STATE();
    case 324:
      if (lookahead == 'e') ADVANCE(359);
      END_STATE();
    case 325:
      if (lookahead == 'f') ADVANCE(360);
      END_STATE();
    case 326:
      if (lookahead == 'l') ADVANCE(361);
      END_STATE();
    case 327:
      if (lookahead == 't') ADVANCE(362);
      END_STATE();
    case 328:
      if (lookahead == 'm') ADVANCE(363);
      END_STATE();
    case 329:
      if (lookahead == 'l') ADVANCE(364);
      END_STATE();
    case 330:
      if (lookahead == 't') ADVANCE(365);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(anon_sym_android);
      END_STATE();
    case 332:
      if (lookahead == 'r') ADVANCE(366);
      END_STATE();
    case 333:
      if (lookahead == 'l') ADVANCE(367);
      END_STATE();
    case 334:
      if (lookahead == 'e') ADVANCE(368);
      END_STATE();
    case 335:
      if (lookahead == 'n') ADVANCE(369);
      END_STATE();
    case 336:
      if (lookahead == 'n') ADVANCE(370);
      END_STATE();
    case 337:
      if (lookahead == 'o') ADVANCE(371);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 339:
      if (lookahead == 'e') ADVANCE(372);
      END_STATE();
    case 340:
      ACCEPT_TOKEN(anon_sym_include);
      END_STATE();
    case 341:
      if (lookahead == 't') ADVANCE(373);
      END_STATE();
    case 342:
      if (lookahead == 'c') ADVANCE(374);
      END_STATE();
    case 343:
      if (lookahead == 'c') ADVANCE(375);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(anon_sym_netcore);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(anon_sym_noexist);
      END_STATE();
    case 346:
      if (lookahead == 'l') ADVANCE(376);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(anon_sym_package);
      END_STATE();
    case 348:
      if (lookahead == 's') ADVANCE(377);
      END_STATE();
    case 349:
      if (lookahead == 'c') ADVANCE(378);
      END_STATE();
    case 350:
      if (lookahead == 'n') ADVANCE(379);
      END_STATE();
    case 351:
      if (lookahead == 'e') ADVANCE(380);
      END_STATE();
    case 352:
      if (lookahead == 'l') ADVANCE(381);
      END_STATE();
    case 353:
      if (lookahead == 'y') ADVANCE(382);
      END_STATE();
    case 354:
      if (lookahead == 'd') ADVANCE(383);
      END_STATE();
    case 355:
      if (lookahead == 'm') ADVANCE(384);
      END_STATE();
    case 356:
      ACCEPT_TOKEN(anon_sym_service);
      END_STATE();
    case 357:
      if (lookahead == 'l') ADVANCE(385);
      END_STATE();
    case 358:
      if (lookahead == 'l') ADVANCE(386);
      END_STATE();
    case 359:
      if (lookahead == 'n') ADVANCE(387);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(anon_sym_typedef);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(anon_sym_xsd_all);
      END_STATE();
    case 362:
      if (lookahead == 'r') ADVANCE(388);
      END_STATE();
    case 363:
      if (lookahead == 'e') ADVANCE(389);
      END_STATE();
    case 364:
      if (lookahead == 'l') ADVANCE(390);
      END_STATE();
    case 365:
      if (lookahead == 'i') ADVANCE(391);
      END_STATE();
    case 366:
      if (lookahead == 'e') ADVANCE(392);
      END_STATE();
    case 367:
      if (lookahead == 'u') ADVANCE(393);
      END_STATE();
    case 368:
      if (lookahead == 's') ADVANCE(394);
      END_STATE();
    case 369:
      if (lookahead == 'a') ADVANCE(395);
      END_STATE();
    case 370:
      if (lookahead == 'a') ADVANCE(396);
      END_STATE();
    case 371:
      if (lookahead == 'n') ADVANCE(397);
      END_STATE();
    case 372:
      if (lookahead == 'n') ADVANCE(398);
      END_STATE();
    case 373:
      if (lookahead == 'i') ADVANCE(399);
      END_STATE();
    case 374:
      if (lookahead == 'k') ADVANCE(400);
      END_STATE();
    case 375:
      if (lookahead == 'e') ADVANCE(401);
      END_STATE();
    case 376:
      ACCEPT_TOKEN(anon_sym_optional);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(anon_sym_performs);
      END_STATE();
    case 378:
      if (lookahead == 'k') ADVANCE(402);
      END_STATE();
    case 379:
      if (lookahead == 't') ADVANCE(403);
      END_STATE();
    case 380:
      if (lookahead == 's') ADVANCE(404);
      END_STATE();
    case 381:
      if (lookahead == 'e') ADVANCE(405);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(anon_sym_readonly);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(anon_sym_required);
      END_STATE();
    case 384:
      if (lookahead == 'e') ADVANCE(406);
      END_STATE();
    case 385:
      if (lookahead == 'k') ADVANCE(407);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(anon_sym_stateful);
      END_STATE();
    case 387:
      if (lookahead == 't') ADVANCE(408);
      END_STATE();
    case 388:
      if (lookahead == 's') ADVANCE(409);
      END_STATE();
    case 389:
      if (lookahead == 's') ADVANCE(410);
      END_STATE();
    case 390:
      if (lookahead == 'a') ADVANCE(411);
      END_STATE();
    case 391:
      if (lookahead == 'o') ADVANCE(412);
      END_STATE();
    case 392:
      if (lookahead == 'f') ADVANCE(413);
      END_STATE();
    case 393:
      if (lookahead == 'd') ADVANCE(414);
      END_STATE();
    case 394:
      if (lookahead == 'p') ADVANCE(415);
      END_STATE();
    case 395:
      if (lookahead == 'm') ADVANCE(416);
      END_STATE();
    case 396:
      if (lookahead == 'm') ADVANCE(417);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(anon_sym_exception);
      END_STATE();
    case 398:
      if (lookahead == 't') ADVANCE(418);
      END_STATE();
    case 399:
      if (lookahead == 'o') ADVANCE(419);
      END_STATE();
    case 400:
      if (lookahead == 'a') ADVANCE(420);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(anon_sym_namespace);
      END_STATE();
    case 402:
      if (lookahead == 'a') ADVANCE(421);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(anon_sym_permanent);
      END_STATE();
    case 404:
      if (lookahead == 'p') ADVANCE(422);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(anon_sym_py_module);
      END_STATE();
    case 406:
      if (lookahead == 's') ADVANCE(423);
      END_STATE();
    case 407:
      if (lookahead == '_') ADVANCE(424);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(anon_sym_transient);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(anon_sym_xsd_attrs);
      END_STATE();
    case 410:
      if (lookahead == 'p') ADVANCE(425);
      END_STATE();
    case 411:
      if (lookahead == 'b') ADVANCE(426);
      END_STATE();
    case 412:
      if (lookahead == 'n') ADVANCE(427);
      END_STATE();
    case 413:
      if (lookahead == 'i') ADVANCE(428);
      END_STATE();
    case 414:
      if (lookahead == 'e') ADVANCE(429);
      END_STATE();
    case 415:
      if (lookahead == 'a') ADVANCE(430);
      END_STATE();
    case 416:
      if (lookahead == 'e') ADVANCE(431);
      END_STATE();
    case 417:
      if (lookahead == 'e') ADVANCE(432);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(anon_sym_idempotent);
      END_STATE();
    case 419:
      if (lookahead == 'n') ADVANCE(433);
      END_STATE();
    case 420:
      if (lookahead == 'g') ADVANCE(434);
      END_STATE();
    case 421:
      if (lookahead == 'g') ADVANCE(435);
      END_STATE();
    case 422:
      if (lookahead == 'a') ADVANCE(436);
      END_STATE();
    case 423:
      if (lookahead == 'p') ADVANCE(437);
      END_STATE();
    case 424:
      if (lookahead == 'c') ADVANCE(438);
      if (lookahead == 'p') ADVANCE(439);
      END_STATE();
    case 425:
      if (lookahead == 'a') ADVANCE(440);
      END_STATE();
    case 426:
      if (lookahead == 'l') ADVANCE(441);
      END_STATE();
    case 427:
      if (lookahead == 'a') ADVANCE(442);
      END_STATE();
    case 428:
      if (lookahead == 'x') ADVANCE(443);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(anon_sym_cpp_include);
      END_STATE();
    case 430:
      if (lookahead == 'c') ADVANCE(444);
      END_STATE();
    case 431:
      if (lookahead == 's') ADVANCE(445);
      END_STATE();
    case 432:
      if (lookahead == 's') ADVANCE(446);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(anon_sym_interaction);
      END_STATE();
    case 434:
      if (lookahead == 'e') ADVANCE(447);
      END_STATE();
    case 435:
      if (lookahead == 'e') ADVANCE(448);
      END_STATE();
    case 436:
      if (lookahead == 'c') ADVANCE(449);
      END_STATE();
    case 437:
      if (lookahead == 'a') ADVANCE(450);
      END_STATE();
    case 438:
      if (lookahead == 'a') ADVANCE(451);
      END_STATE();
    case 439:
      if (lookahead == 'r') ADVANCE(452);
      END_STATE();
    case 440:
      if (lookahead == 'c') ADVANCE(453);
      END_STATE();
    case 441:
      if (lookahead == 'e') ADVANCE(454);
      END_STATE();
    case 442:
      if (lookahead == 'l') ADVANCE(455);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(anon_sym_cocoa_prefix);
      END_STATE();
    case 444:
      if (lookahead == 'e') ADVANCE(456);
      END_STATE();
    case 445:
      if (lookahead == 'p') ADVANCE(457);
      END_STATE();
    case 446:
      if (lookahead == 'p') ADVANCE(458);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(anon_sym_java_package);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(anon_sym_perl_package);
      END_STATE();
    case 449:
      if (lookahead == 'e') ADVANCE(459);
      END_STATE();
    case 450:
      if (lookahead == 'c') ADVANCE(460);
      END_STATE();
    case 451:
      if (lookahead == 't') ADVANCE(461);
      END_STATE();
    case 452:
      if (lookahead == 'e') ADVANCE(462);
      END_STATE();
    case 453:
      if (lookahead == 'e') ADVANCE(463);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(anon_sym_xsd_nillable);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym_xsd_optional);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(anon_sym_cpp_namespace);
      END_STATE();
    case 457:
      if (lookahead == 'a') ADVANCE(464);
      END_STATE();
    case 458:
      if (lookahead == 'a') ADVANCE(465);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_php_namespace);
      END_STATE();
    case 460:
      if (lookahead == 'e') ADVANCE(466);
      END_STATE();
    case 461:
      if (lookahead == 'e') ADVANCE(467);
      END_STATE();
    case 462:
      if (lookahead == 'f') ADVANCE(468);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym_xsd_namespace);
      END_STATE();
    case 464:
      if (lookahead == 'c') ADVANCE(469);
      END_STATE();
    case 465:
      if (lookahead == 'c') ADVANCE(470);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(anon_sym_ruby_namespace);
      END_STATE();
    case 467:
      if (lookahead == 'g') ADVANCE(471);
      END_STATE();
    case 468:
      if (lookahead == 'i') ADVANCE(472);
      END_STATE();
    case 469:
      if (lookahead == 'e') ADVANCE(473);
      END_STATE();
    case 470:
      if (lookahead == 'e') ADVANCE(474);
      END_STATE();
    case 471:
      if (lookahead == 'o') ADVANCE(475);
      END_STATE();
    case 472:
      if (lookahead == 'x') ADVANCE(476);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(anon_sym_csharp_namespace);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_delphi_namespace);
      END_STATE();
    case 475:
      if (lookahead == 'r') ADVANCE(477);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym_smalltalk_prefix);
      END_STATE();
    case 477:
      if (lookahead == 'y') ADVANCE(478);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(anon_sym_smalltalk_category);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 86},
  [2] = {.lex_state = 0},
  [3] = {.lex_state = 86},
  [4] = {.lex_state = 86},
  [5] = {.lex_state = 86},
  [6] = {.lex_state = 86},
  [7] = {.lex_state = 86},
  [8] = {.lex_state = 86},
  [9] = {.lex_state = 86},
  [10] = {.lex_state = 86},
  [11] = {.lex_state = 86},
  [12] = {.lex_state = 86},
  [13] = {.lex_state = 86},
  [14] = {.lex_state = 86},
  [15] = {.lex_state = 86},
  [16] = {.lex_state = 86},
  [17] = {.lex_state = 86},
  [18] = {.lex_state = 86},
  [19] = {.lex_state = 86},
  [20] = {.lex_state = 86},
  [21] = {.lex_state = 86},
  [22] = {.lex_state = 86},
  [23] = {.lex_state = 86},
  [24] = {.lex_state = 86},
  [25] = {.lex_state = 86},
  [26] = {.lex_state = 86},
  [27] = {.lex_state = 86},
  [28] = {.lex_state = 86},
  [29] = {.lex_state = 86},
  [30] = {.lex_state = 86},
  [31] = {.lex_state = 86},
  [32] = {.lex_state = 86},
  [33] = {.lex_state = 86},
  [34] = {.lex_state = 86},
  [35] = {.lex_state = 86},
  [36] = {.lex_state = 86},
  [37] = {.lex_state = 86},
  [38] = {.lex_state = 86},
  [39] = {.lex_state = 86},
  [40] = {.lex_state = 86},
  [41] = {.lex_state = 86},
  [42] = {.lex_state = 86},
  [43] = {.lex_state = 86},
  [44] = {.lex_state = 86},
  [45] = {.lex_state = 86},
  [46] = {.lex_state = 86},
  [47] = {.lex_state = 86},
  [48] = {.lex_state = 86},
  [49] = {.lex_state = 86},
  [50] = {.lex_state = 86},
  [51] = {.lex_state = 86},
  [52] = {.lex_state = 86},
  [53] = {.lex_state = 86},
  [54] = {.lex_state = 86},
  [55] = {.lex_state = 86},
  [56] = {.lex_state = 86},
  [57] = {.lex_state = 86},
  [58] = {.lex_state = 86},
  [59] = {.lex_state = 86},
  [60] = {.lex_state = 86},
  [61] = {.lex_state = 86},
  [62] = {.lex_state = 86},
  [63] = {.lex_state = 86},
  [64] = {.lex_state = 86},
  [65] = {.lex_state = 86},
  [66] = {.lex_state = 86},
  [67] = {.lex_state = 86},
  [68] = {.lex_state = 86},
  [69] = {.lex_state = 86},
  [70] = {.lex_state = 86},
  [71] = {.lex_state = 86},
  [72] = {.lex_state = 86},
  [73] = {.lex_state = 86},
  [74] = {.lex_state = 86},
  [75] = {.lex_state = 86},
  [76] = {.lex_state = 86},
  [77] = {.lex_state = 86},
  [78] = {.lex_state = 86},
  [79] = {.lex_state = 86},
  [80] = {.lex_state = 86},
  [81] = {.lex_state = 86},
  [82] = {.lex_state = 86},
  [83] = {.lex_state = 86},
  [84] = {.lex_state = 86},
  [85] = {.lex_state = 86},
  [86] = {.lex_state = 86},
  [87] = {.lex_state = 86},
  [88] = {.lex_state = 86},
  [89] = {.lex_state = 86},
  [90] = {.lex_state = 86},
  [91] = {.lex_state = 86},
  [92] = {.lex_state = 86},
  [93] = {.lex_state = 86},
  [94] = {.lex_state = 86},
  [95] = {.lex_state = 86},
  [96] = {.lex_state = 86},
  [97] = {.lex_state = 86},
  [98] = {.lex_state = 86},
  [99] = {.lex_state = 86},
  [100] = {.lex_state = 86},
  [101] = {.lex_state = 86},
  [102] = {.lex_state = 86},
  [103] = {.lex_state = 86},
  [104] = {.lex_state = 86},
  [105] = {.lex_state = 86},
  [106] = {.lex_state = 86},
  [107] = {.lex_state = 86},
  [108] = {.lex_state = 86},
  [109] = {.lex_state = 86},
  [110] = {.lex_state = 86},
  [111] = {.lex_state = 86},
  [112] = {.lex_state = 86},
  [113] = {.lex_state = 86},
  [114] = {.lex_state = 86},
  [115] = {.lex_state = 86},
  [116] = {.lex_state = 86},
  [117] = {.lex_state = 86},
  [118] = {.lex_state = 86},
  [119] = {.lex_state = 86},
  [120] = {.lex_state = 86},
  [121] = {.lex_state = 86},
  [122] = {.lex_state = 86},
  [123] = {.lex_state = 86},
  [124] = {.lex_state = 86},
  [125] = {.lex_state = 86},
  [126] = {.lex_state = 86},
  [127] = {.lex_state = 86},
  [128] = {.lex_state = 86},
  [129] = {.lex_state = 86},
  [130] = {.lex_state = 86},
  [131] = {.lex_state = 86},
  [132] = {.lex_state = 86},
  [133] = {.lex_state = 86},
  [134] = {.lex_state = 86},
  [135] = {.lex_state = 86},
  [136] = {.lex_state = 86},
  [137] = {.lex_state = 86},
  [138] = {.lex_state = 86},
  [139] = {.lex_state = 86},
  [140] = {.lex_state = 86},
  [141] = {.lex_state = 86},
  [142] = {.lex_state = 86},
  [143] = {.lex_state = 86},
  [144] = {.lex_state = 86},
  [145] = {.lex_state = 86},
  [146] = {.lex_state = 86},
  [147] = {.lex_state = 86},
  [148] = {.lex_state = 86},
  [149] = {.lex_state = 86},
  [150] = {.lex_state = 86},
  [151] = {.lex_state = 86},
  [152] = {.lex_state = 86},
  [153] = {.lex_state = 86},
  [154] = {.lex_state = 86},
  [155] = {.lex_state = 86},
  [156] = {.lex_state = 86},
  [157] = {.lex_state = 86},
  [158] = {.lex_state = 86},
  [159] = {.lex_state = 86},
  [160] = {.lex_state = 86},
  [161] = {.lex_state = 86},
  [162] = {.lex_state = 86},
  [163] = {.lex_state = 86},
  [164] = {.lex_state = 86},
  [165] = {.lex_state = 86},
  [166] = {.lex_state = 86},
  [167] = {.lex_state = 86},
  [168] = {.lex_state = 86},
  [169] = {.lex_state = 86},
  [170] = {.lex_state = 86},
  [171] = {.lex_state = 86},
  [172] = {.lex_state = 86},
  [173] = {.lex_state = 86},
  [174] = {.lex_state = 86},
  [175] = {.lex_state = 86},
  [176] = {.lex_state = 86},
  [177] = {.lex_state = 86},
  [178] = {.lex_state = 86},
  [179] = {.lex_state = 86},
  [180] = {.lex_state = 86},
  [181] = {.lex_state = 86},
  [182] = {.lex_state = 86},
  [183] = {.lex_state = 86},
  [184] = {.lex_state = 86},
  [185] = {.lex_state = 86},
  [186] = {.lex_state = 86},
  [187] = {.lex_state = 86},
  [188] = {.lex_state = 86},
  [189] = {.lex_state = 86},
  [190] = {.lex_state = 86},
  [191] = {.lex_state = 86},
  [192] = {.lex_state = 86},
  [193] = {.lex_state = 86},
  [194] = {.lex_state = 86},
  [195] = {.lex_state = 86},
  [196] = {.lex_state = 86},
  [197] = {.lex_state = 86},
  [198] = {.lex_state = 86},
  [199] = {.lex_state = 86},
  [200] = {.lex_state = 86},
  [201] = {.lex_state = 86},
  [202] = {.lex_state = 86},
  [203] = {.lex_state = 86},
  [204] = {.lex_state = 86},
  [205] = {.lex_state = 86},
  [206] = {.lex_state = 86},
  [207] = {.lex_state = 86},
  [208] = {.lex_state = 86},
  [209] = {.lex_state = 86},
  [210] = {.lex_state = 86},
  [211] = {.lex_state = 86},
  [212] = {.lex_state = 86},
  [213] = {.lex_state = 86},
  [214] = {.lex_state = 86},
  [215] = {.lex_state = 86},
  [216] = {.lex_state = 86},
  [217] = {.lex_state = 86},
  [218] = {.lex_state = 86},
  [219] = {.lex_state = 86},
  [220] = {.lex_state = 86},
  [221] = {.lex_state = 86},
  [222] = {.lex_state = 86},
  [223] = {.lex_state = 86},
  [224] = {.lex_state = 86},
  [225] = {.lex_state = 86},
  [226] = {.lex_state = 86},
  [227] = {.lex_state = 86},
  [228] = {.lex_state = 86},
  [229] = {.lex_state = 86},
  [230] = {.lex_state = 86},
  [231] = {.lex_state = 86},
  [232] = {.lex_state = 86},
  [233] = {.lex_state = 86},
  [234] = {.lex_state = 86},
  [235] = {.lex_state = 86},
  [236] = {.lex_state = 86},
  [237] = {.lex_state = 86},
  [238] = {.lex_state = 86},
  [239] = {.lex_state = 86},
  [240] = {.lex_state = 86},
  [241] = {.lex_state = 86},
  [242] = {.lex_state = 86},
  [243] = {.lex_state = 86},
  [244] = {.lex_state = 86},
  [245] = {.lex_state = 86},
  [246] = {.lex_state = 86},
  [247] = {.lex_state = 86},
  [248] = {.lex_state = 86},
  [249] = {.lex_state = 86},
  [250] = {.lex_state = 86},
  [251] = {.lex_state = 86},
  [252] = {.lex_state = 86},
  [253] = {.lex_state = 86},
  [254] = {.lex_state = 86},
  [255] = {.lex_state = 86},
  [256] = {.lex_state = 86},
  [257] = {.lex_state = 86},
  [258] = {.lex_state = 86},
  [259] = {.lex_state = 86},
  [260] = {.lex_state = 86},
  [261] = {.lex_state = 86},
  [262] = {.lex_state = 86},
  [263] = {.lex_state = 86},
  [264] = {.lex_state = 86},
  [265] = {.lex_state = 86},
  [266] = {.lex_state = 86},
  [267] = {.lex_state = 86},
  [268] = {.lex_state = 86},
  [269] = {.lex_state = 86},
  [270] = {.lex_state = 86},
  [271] = {.lex_state = 86},
  [272] = {.lex_state = 86},
  [273] = {.lex_state = 86},
  [274] = {.lex_state = 86},
  [275] = {.lex_state = 86},
  [276] = {.lex_state = 86},
  [277] = {.lex_state = 86},
  [278] = {.lex_state = 86},
  [279] = {.lex_state = 86},
  [280] = {.lex_state = 86},
  [281] = {.lex_state = 86},
  [282] = {.lex_state = 86},
  [283] = {.lex_state = 86},
  [284] = {.lex_state = 86},
  [285] = {.lex_state = 86},
  [286] = {.lex_state = 86},
  [287] = {.lex_state = 86},
  [288] = {.lex_state = 86},
  [289] = {.lex_state = 86},
  [290] = {.lex_state = 86},
  [291] = {.lex_state = 86},
  [292] = {.lex_state = 86},
  [293] = {.lex_state = 86},
  [294] = {.lex_state = 86},
  [295] = {.lex_state = 86},
  [296] = {.lex_state = 86},
  [297] = {.lex_state = 86},
  [298] = {.lex_state = 86},
  [299] = {.lex_state = 86},
  [300] = {.lex_state = 86},
  [301] = {.lex_state = 86},
  [302] = {.lex_state = 86},
  [303] = {.lex_state = 86},
  [304] = {.lex_state = 86},
  [305] = {.lex_state = 86},
  [306] = {.lex_state = 86},
  [307] = {.lex_state = 86},
  [308] = {.lex_state = 86},
  [309] = {.lex_state = 86},
  [310] = {.lex_state = 86},
  [311] = {.lex_state = 86},
  [312] = {.lex_state = 86},
  [313] = {.lex_state = 86},
  [314] = {.lex_state = 86},
  [315] = {.lex_state = 86},
  [316] = {.lex_state = 86},
  [317] = {.lex_state = 86},
  [318] = {.lex_state = 86},
  [319] = {.lex_state = 86},
  [320] = {.lex_state = 86},
  [321] = {.lex_state = 86},
  [322] = {.lex_state = 86},
  [323] = {.lex_state = 86},
  [324] = {.lex_state = 86},
  [325] = {.lex_state = 86},
  [326] = {.lex_state = 86},
  [327] = {.lex_state = 86},
  [328] = {.lex_state = 86},
  [329] = {.lex_state = 86},
  [330] = {.lex_state = 86},
  [331] = {.lex_state = 86},
  [332] = {.lex_state = 86},
  [333] = {.lex_state = 86},
  [334] = {.lex_state = 86},
  [335] = {.lex_state = 86},
  [336] = {.lex_state = 86},
  [337] = {.lex_state = 86},
  [338] = {.lex_state = 86},
  [339] = {.lex_state = 86},
  [340] = {.lex_state = 86},
  [341] = {.lex_state = 86},
  [342] = {.lex_state = 86},
  [343] = {.lex_state = 86},
  [344] = {.lex_state = 86},
  [345] = {.lex_state = 86},
  [346] = {.lex_state = 86},
  [347] = {.lex_state = 86},
  [348] = {.lex_state = 86},
  [349] = {.lex_state = 86},
  [350] = {.lex_state = 86},
  [351] = {.lex_state = 86},
  [352] = {.lex_state = 86},
  [353] = {.lex_state = 86},
  [354] = {.lex_state = 86},
  [355] = {.lex_state = 86},
  [356] = {.lex_state = 86},
  [357] = {.lex_state = 86},
  [358] = {.lex_state = 86},
  [359] = {.lex_state = 86},
  [360] = {.lex_state = 86},
  [361] = {.lex_state = 86},
  [362] = {.lex_state = 86},
  [363] = {.lex_state = 86},
  [364] = {.lex_state = 86},
  [365] = {.lex_state = 86},
  [366] = {.lex_state = 86},
  [367] = {.lex_state = 86},
  [368] = {.lex_state = 86},
  [369] = {.lex_state = 86},
  [370] = {.lex_state = 86},
  [371] = {.lex_state = 86},
  [372] = {.lex_state = 86},
  [373] = {.lex_state = 86},
  [374] = {.lex_state = 86},
  [375] = {.lex_state = 86},
  [376] = {.lex_state = 86},
  [377] = {.lex_state = 86},
  [378] = {.lex_state = 86},
  [379] = {.lex_state = 86},
  [380] = {.lex_state = 86},
  [381] = {.lex_state = 86},
  [382] = {.lex_state = 86},
  [383] = {.lex_state = 86},
  [384] = {.lex_state = 86},
  [385] = {.lex_state = 86},
  [386] = {.lex_state = 86},
  [387] = {.lex_state = 86},
  [388] = {.lex_state = 86},
  [389] = {.lex_state = 86},
  [390] = {.lex_state = 86},
  [391] = {.lex_state = 86},
  [392] = {.lex_state = 86},
  [393] = {.lex_state = 86},
  [394] = {.lex_state = 86},
  [395] = {.lex_state = 86},
  [396] = {.lex_state = 86},
  [397] = {.lex_state = 86},
  [398] = {.lex_state = 86},
  [399] = {.lex_state = 86},
  [400] = {.lex_state = 86},
  [401] = {.lex_state = 86},
  [402] = {.lex_state = 86},
  [403] = {.lex_state = 86},
  [404] = {.lex_state = 86},
  [405] = {.lex_state = 86},
  [406] = {.lex_state = 86},
  [407] = {.lex_state = 86},
  [408] = {.lex_state = 86},
  [409] = {.lex_state = 86},
  [410] = {.lex_state = 86},
  [411] = {.lex_state = 86},
  [412] = {.lex_state = 86},
  [413] = {.lex_state = 86},
  [414] = {.lex_state = 86},
  [415] = {.lex_state = 3},
  [416] = {.lex_state = 86},
  [417] = {.lex_state = 86},
  [418] = {.lex_state = 86},
  [419] = {.lex_state = 86},
  [420] = {.lex_state = 86},
  [421] = {.lex_state = 86},
  [422] = {.lex_state = 3},
  [423] = {.lex_state = 86},
  [424] = {.lex_state = 86},
  [425] = {.lex_state = 86},
  [426] = {.lex_state = 86},
  [427] = {.lex_state = 86},
  [428] = {.lex_state = 86},
  [429] = {.lex_state = 86},
  [430] = {.lex_state = 86},
  [431] = {.lex_state = 86},
  [432] = {.lex_state = 86},
  [433] = {.lex_state = 86},
  [434] = {.lex_state = 86},
  [435] = {.lex_state = 86},
  [436] = {.lex_state = 86},
  [437] = {.lex_state = 86},
  [438] = {.lex_state = 3},
  [439] = {.lex_state = 86},
  [440] = {.lex_state = 86},
  [441] = {.lex_state = 86},
  [442] = {.lex_state = 86},
  [443] = {.lex_state = 86},
  [444] = {.lex_state = 86},
  [445] = {.lex_state = 86},
  [446] = {.lex_state = 86},
  [447] = {.lex_state = 86},
  [448] = {.lex_state = 86},
  [449] = {.lex_state = 86},
  [450] = {.lex_state = 86},
  [451] = {.lex_state = 86},
  [452] = {.lex_state = 3},
  [453] = {.lex_state = 86},
  [454] = {.lex_state = 86},
  [455] = {.lex_state = 3},
  [456] = {.lex_state = 3},
  [457] = {.lex_state = 86},
  [458] = {.lex_state = 86},
  [459] = {.lex_state = 86},
  [460] = {.lex_state = 86},
  [461] = {.lex_state = 3},
  [462] = {.lex_state = 3},
  [463] = {.lex_state = 3},
  [464] = {.lex_state = 3},
  [465] = {.lex_state = 3},
  [466] = {.lex_state = 3},
  [467] = {.lex_state = 3},
  [468] = {.lex_state = 3},
  [469] = {.lex_state = 86},
  [470] = {.lex_state = 86},
  [471] = {.lex_state = 86},
  [472] = {.lex_state = 86},
  [473] = {.lex_state = 86},
  [474] = {.lex_state = 86},
  [475] = {.lex_state = 86},
  [476] = {.lex_state = 86},
  [477] = {.lex_state = 86},
  [478] = {.lex_state = 86},
  [479] = {.lex_state = 86},
  [480] = {.lex_state = 86},
  [481] = {.lex_state = 3},
  [482] = {.lex_state = 3},
  [483] = {.lex_state = 3},
  [484] = {.lex_state = 3},
  [485] = {.lex_state = 3},
  [486] = {.lex_state = 3},
  [487] = {.lex_state = 3},
  [488] = {.lex_state = 3},
  [489] = {.lex_state = 3},
  [490] = {.lex_state = 3},
  [491] = {.lex_state = 3},
  [492] = {.lex_state = 3},
  [493] = {.lex_state = 3},
  [494] = {.lex_state = 3},
  [495] = {.lex_state = 3},
  [496] = {.lex_state = 3},
  [497] = {.lex_state = 3},
  [498] = {.lex_state = 3},
  [499] = {.lex_state = 3},
  [500] = {.lex_state = 3},
  [501] = {.lex_state = 3},
  [502] = {.lex_state = 3},
  [503] = {.lex_state = 3},
  [504] = {.lex_state = 3},
  [505] = {.lex_state = 3},
  [506] = {.lex_state = 3},
  [507] = {.lex_state = 3},
  [508] = {.lex_state = 3},
  [509] = {.lex_state = 3},
  [510] = {.lex_state = 3},
  [511] = {.lex_state = 3},
  [512] = {.lex_state = 3},
  [513] = {.lex_state = 3},
  [514] = {.lex_state = 3},
  [515] = {.lex_state = 3},
  [516] = {.lex_state = 3},
  [517] = {.lex_state = 3},
  [518] = {.lex_state = 3},
  [519] = {.lex_state = 2},
  [520] = {.lex_state = 2},
  [521] = {.lex_state = 2},
  [522] = {.lex_state = 2},
  [523] = {.lex_state = 86},
  [524] = {.lex_state = 86},
  [525] = {.lex_state = 86},
  [526] = {.lex_state = 2},
  [527] = {.lex_state = 2},
  [528] = {.lex_state = 2},
  [529] = {.lex_state = 86},
  [530] = {.lex_state = 2},
  [531] = {.lex_state = 86},
  [532] = {.lex_state = 2},
  [533] = {.lex_state = 86},
  [534] = {.lex_state = 86},
  [535] = {.lex_state = 2},
  [536] = {.lex_state = 2},
  [537] = {.lex_state = 86},
  [538] = {.lex_state = 2},
  [539] = {.lex_state = 2},
  [540] = {.lex_state = 2},
  [541] = {.lex_state = 86},
  [542] = {.lex_state = 2},
  [543] = {.lex_state = 86},
  [544] = {.lex_state = 2},
  [545] = {.lex_state = 2},
  [546] = {.lex_state = 2},
  [547] = {.lex_state = 2},
  [548] = {.lex_state = 86},
  [549] = {.lex_state = 2},
  [550] = {.lex_state = 2},
  [551] = {.lex_state = 2},
  [552] = {.lex_state = 86},
  [553] = {.lex_state = 86},
  [554] = {.lex_state = 86},
  [555] = {.lex_state = 86},
  [556] = {.lex_state = 86},
  [557] = {.lex_state = 86},
  [558] = {.lex_state = 86},
  [559] = {.lex_state = 86},
  [560] = {.lex_state = 4},
  [561] = {.lex_state = 5},
  [562] = {.lex_state = 4},
  [563] = {.lex_state = 5},
  [564] = {.lex_state = 4},
  [565] = {.lex_state = 5},
  [566] = {.lex_state = 2},
  [567] = {.lex_state = 2},
  [568] = {.lex_state = 86},
  [569] = {.lex_state = 5},
  [570] = {.lex_state = 86},
  [571] = {.lex_state = 86},
  [572] = {.lex_state = 4},
  [573] = {.lex_state = 5},
  [574] = {.lex_state = 4},
  [575] = {.lex_state = 5},
  [576] = {.lex_state = 0},
  [577] = {.lex_state = 0},
  [578] = {.lex_state = 86},
  [579] = {.lex_state = 4},
  [580] = {.lex_state = 5},
  [581] = {.lex_state = 4},
  [582] = {.lex_state = 5},
  [583] = {.lex_state = 4},
  [584] = {.lex_state = 5},
  [585] = {.lex_state = 4},
  [586] = {.lex_state = 2},
  [587] = {.lex_state = 2},
  [588] = {.lex_state = 86},
  [589] = {.lex_state = 0},
  [590] = {.lex_state = 0},
  [591] = {.lex_state = 2},
  [592] = {.lex_state = 2},
  [593] = {.lex_state = 86},
  [594] = {.lex_state = 2},
  [595] = {.lex_state = 86},
  [596] = {.lex_state = 86},
  [597] = {.lex_state = 86},
  [598] = {.lex_state = 2},
  [599] = {.lex_state = 86},
  [600] = {.lex_state = 0},
  [601] = {.lex_state = 0},
  [602] = {.lex_state = 0},
  [603] = {.lex_state = 2},
  [604] = {.lex_state = 2},
  [605] = {.lex_state = 2},
  [606] = {.lex_state = 2},
  [607] = {.lex_state = 2},
  [608] = {.lex_state = 86},
  [609] = {.lex_state = 2},
  [610] = {.lex_state = 86},
  [611] = {.lex_state = 86},
  [612] = {.lex_state = 86},
  [613] = {.lex_state = 86},
  [614] = {.lex_state = 86},
  [615] = {.lex_state = 86},
  [616] = {.lex_state = 86},
  [617] = {.lex_state = 86},
  [618] = {.lex_state = 86},
  [619] = {.lex_state = 86},
  [620] = {.lex_state = 86},
  [621] = {.lex_state = 2},
  [622] = {.lex_state = 86},
  [623] = {.lex_state = 86},
  [624] = {.lex_state = 86},
  [625] = {.lex_state = 86},
  [626] = {.lex_state = 86},
  [627] = {.lex_state = 86},
  [628] = {.lex_state = 86},
  [629] = {.lex_state = 86},
  [630] = {.lex_state = 86},
  [631] = {.lex_state = 86},
  [632] = {.lex_state = 86},
  [633] = {.lex_state = 86},
  [634] = {.lex_state = 0},
  [635] = {.lex_state = 86},
  [636] = {.lex_state = 86},
  [637] = {.lex_state = 86},
  [638] = {.lex_state = 2},
  [639] = {.lex_state = 86},
  [640] = {.lex_state = 86},
  [641] = {.lex_state = 2},
  [642] = {.lex_state = 86},
  [643] = {.lex_state = 0},
  [644] = {.lex_state = 86},
  [645] = {.lex_state = 2},
  [646] = {.lex_state = 2},
  [647] = {.lex_state = 86},
  [648] = {.lex_state = 0},
  [649] = {.lex_state = 86},
  [650] = {.lex_state = 0},
  [651] = {.lex_state = 86},
  [652] = {.lex_state = 86},
  [653] = {.lex_state = 0},
  [654] = {.lex_state = 2},
  [655] = {.lex_state = 2},
  [656] = {.lex_state = 86},
  [657] = {.lex_state = 86},
  [658] = {.lex_state = 2},
  [659] = {.lex_state = 2},
  [660] = {.lex_state = 86},
  [661] = {.lex_state = 86},
  [662] = {.lex_state = 2},
  [663] = {.lex_state = 2},
  [664] = {.lex_state = 86},
  [665] = {.lex_state = 2},
  [666] = {.lex_state = 0},
  [667] = {.lex_state = 86},
  [668] = {.lex_state = 2},
  [669] = {.lex_state = 86},
  [670] = {.lex_state = 86},
  [671] = {.lex_state = 2},
  [672] = {.lex_state = 0},
  [673] = {.lex_state = 86},
  [674] = {.lex_state = 0},
  [675] = {.lex_state = 86},
  [676] = {.lex_state = 0},
  [677] = {.lex_state = 86},
  [678] = {.lex_state = 2},
  [679] = {.lex_state = 0},
  [680] = {.lex_state = 2},
  [681] = {.lex_state = 0},
  [682] = {.lex_state = 2},
  [683] = {.lex_state = 0},
  [684] = {.lex_state = 86},
  [685] = {.lex_state = 86},
  [686] = {.lex_state = 86},
  [687] = {.lex_state = 2},
  [688] = {.lex_state = 0},
  [689] = {.lex_state = 86},
  [690] = {.lex_state = 2},
  [691] = {.lex_state = 0},
  [692] = {.lex_state = 2},
  [693] = {.lex_state = 2},
  [694] = {.lex_state = 0},
  [695] = {.lex_state = 86},
  [696] = {.lex_state = 2},
  [697] = {.lex_state = 2},
  [698] = {.lex_state = 0},
  [699] = {.lex_state = 2},
  [700] = {.lex_state = 2},
  [701] = {.lex_state = 0},
  [702] = {.lex_state = 2},
  [703] = {.lex_state = 0},
  [704] = {.lex_state = 2},
  [705] = {.lex_state = 0},
  [706] = {.lex_state = 86},
  [707] = {.lex_state = 2},
  [708] = {.lex_state = 0},
  [709] = {.lex_state = 2},
  [710] = {.lex_state = 2},
  [711] = {.lex_state = 2},
  [712] = {.lex_state = 2},
  [713] = {.lex_state = 2},
  [714] = {.lex_state = 0},
  [715] = {.lex_state = 0},
  [716] = {.lex_state = 86},
  [717] = {.lex_state = 0},
  [718] = {.lex_state = 0},
  [719] = {.lex_state = 86},
  [720] = {.lex_state = 0},
  [721] = {.lex_state = 86},
  [722] = {.lex_state = 2},
  [723] = {.lex_state = 86},
  [724] = {.lex_state = 0},
  [725] = {.lex_state = 86},
  [726] = {.lex_state = 0},
  [727] = {.lex_state = 0},
  [728] = {.lex_state = 2},
  [729] = {.lex_state = 0},
  [730] = {.lex_state = 0},
  [731] = {.lex_state = 0},
  [732] = {.lex_state = 86},
  [733] = {.lex_state = 86},
  [734] = {.lex_state = 0},
  [735] = {.lex_state = 0},
  [736] = {.lex_state = 86},
  [737] = {.lex_state = 0},
  [738] = {.lex_state = 86},
  [739] = {.lex_state = 0},
  [740] = {.lex_state = 0},
  [741] = {.lex_state = 0},
  [742] = {.lex_state = 86},
  [743] = {.lex_state = 0},
  [744] = {.lex_state = 0},
  [745] = {.lex_state = 0},
  [746] = {.lex_state = 0},
  [747] = {.lex_state = 86},
  [748] = {.lex_state = 0},
  [749] = {.lex_state = 86},
  [750] = {.lex_state = 0},
  [751] = {.lex_state = 86},
  [752] = {.lex_state = 86},
  [753] = {.lex_state = 0},
  [754] = {.lex_state = 86},
  [755] = {.lex_state = 0},
  [756] = {.lex_state = 86},
  [757] = {.lex_state = 86},
  [758] = {.lex_state = 86},
  [759] = {.lex_state = 0},
  [760] = {.lex_state = 0},
  [761] = {.lex_state = 86},
  [762] = {.lex_state = 0},
  [763] = {.lex_state = 86},
  [764] = {.lex_state = 86},
  [765] = {.lex_state = 86},
  [766] = {.lex_state = 2},
  [767] = {.lex_state = 2},
  [768] = {.lex_state = 86},
  [769] = {.lex_state = 2},
  [770] = {.lex_state = 86},
  [771] = {.lex_state = 2},
  [772] = {.lex_state = 86},
  [773] = {.lex_state = 86},
  [774] = {.lex_state = 86},
  [775] = {.lex_state = 0},
  [776] = {.lex_state = 86},
  [777] = {.lex_state = 0},
  [778] = {.lex_state = 86},
  [779] = {.lex_state = 86},
  [780] = {.lex_state = 86},
  [781] = {.lex_state = 86},
  [782] = {.lex_state = 0},
  [783] = {.lex_state = 86},
  [784] = {.lex_state = 86},
  [785] = {.lex_state = 2},
  [786] = {.lex_state = 86},
  [787] = {.lex_state = 86},
  [788] = {.lex_state = 86},
  [789] = {.lex_state = 0},
  [790] = {.lex_state = 86},
  [791] = {.lex_state = 86},
  [792] = {.lex_state = 86},
  [793] = {.lex_state = 86},
  [794] = {.lex_state = 0},
  [795] = {.lex_state = 0},
  [796] = {.lex_state = 86},
  [797] = {.lex_state = 0},
  [798] = {.lex_state = 0},
  [799] = {.lex_state = 0},
  [800] = {.lex_state = 0},
  [801] = {.lex_state = 0},
  [802] = {.lex_state = 86},
  [803] = {.lex_state = 2},
  [804] = {.lex_state = 2},
  [805] = {.lex_state = 86},
  [806] = {.lex_state = 2},
  [807] = {.lex_state = 86},
  [808] = {.lex_state = 86},
  [809] = {.lex_state = 2},
  [810] = {.lex_state = 2},
  [811] = {.lex_state = 2},
  [812] = {.lex_state = 0},
  [813] = {.lex_state = 2},
  [814] = {.lex_state = 86},
  [815] = {.lex_state = 0},
  [816] = {.lex_state = 0},
  [817] = {.lex_state = 0},
  [818] = {.lex_state = 86},
  [819] = {.lex_state = 0},
  [820] = {.lex_state = 86},
  [821] = {.lex_state = 0},
  [822] = {.lex_state = 0},
  [823] = {.lex_state = 2},
  [824] = {.lex_state = 2},
  [825] = {.lex_state = 86},
  [826] = {.lex_state = 0},
  [827] = {.lex_state = 86},
  [828] = {.lex_state = 0},
  [829] = {.lex_state = 86},
  [830] = {.lex_state = 86},
  [831] = {.lex_state = 0},
  [832] = {.lex_state = 0},
  [833] = {.lex_state = 86},
  [834] = {.lex_state = 0},
  [835] = {.lex_state = 0},
  [836] = {.lex_state = 0},
  [837] = {.lex_state = 86},
  [838] = {.lex_state = 0},
  [839] = {.lex_state = 86},
  [840] = {.lex_state = 0},
  [841] = {.lex_state = 0},
  [842] = {.lex_state = 0},
  [843] = {.lex_state = 86},
  [844] = {.lex_state = 86},
  [845] = {.lex_state = 86},
  [846] = {.lex_state = 86},
  [847] = {.lex_state = 86},
  [848] = {.lex_state = 0},
  [849] = {.lex_state = 0},
  [850] = {.lex_state = 86},
  [851] = {.lex_state = 0},
  [852] = {.lex_state = 86},
  [853] = {.lex_state = 86},
  [854] = {.lex_state = 0},
  [855] = {.lex_state = 0},
  [856] = {.lex_state = 0},
  [857] = {.lex_state = 0},
  [858] = {.lex_state = 0},
  [859] = {.lex_state = 0},
  [860] = {.lex_state = 0},
  [861] = {.lex_state = 86},
  [862] = {.lex_state = 0},
  [863] = {.lex_state = 86},
  [864] = {.lex_state = 0},
  [865] = {.lex_state = 86},
  [866] = {.lex_state = 0},
  [867] = {.lex_state = 86},
  [868] = {.lex_state = 0},
  [869] = {.lex_state = 0},
  [870] = {.lex_state = 0},
  [871] = {.lex_state = 86},
  [872] = {.lex_state = 0},
  [873] = {.lex_state = 0},
  [874] = {.lex_state = 86},
  [875] = {.lex_state = 86},
  [876] = {.lex_state = 0},
  [877] = {.lex_state = 0},
  [878] = {.lex_state = 86},
  [879] = {.lex_state = 0},
  [880] = {.lex_state = 0},
  [881] = {.lex_state = 0},
  [882] = {.lex_state = 86},
  [883] = {.lex_state = 86},
  [884] = {.lex_state = 0},
  [885] = {.lex_state = 0},
  [886] = {.lex_state = 86},
  [887] = {.lex_state = 86},
  [888] = {.lex_state = 86},
  [889] = {.lex_state = 0},
  [890] = {.lex_state = 0},
  [891] = {.lex_state = 0},
  [892] = {.lex_state = 86},
  [893] = {.lex_state = 0},
  [894] = {.lex_state = 0},
  [895] = {.lex_state = 86},
  [896] = {.lex_state = 86},
  [897] = {.lex_state = 0},
  [898] = {.lex_state = 0},
  [899] = {.lex_state = 86},
  [900] = {.lex_state = 86},
  [901] = {.lex_state = 0},
  [902] = {.lex_state = 0},
  [903] = {.lex_state = 0},
  [904] = {.lex_state = 0},
  [905] = {.lex_state = 0},
  [906] = {.lex_state = 86},
  [907] = {.lex_state = 0},
  [908] = {.lex_state = 0},
  [909] = {.lex_state = 0},
  [910] = {.lex_state = 0},
  [911] = {.lex_state = 0},
  [912] = {.lex_state = 0},
  [913] = {.lex_state = 0},
  [914] = {.lex_state = 0},
  [915] = {.lex_state = 0},
  [916] = {.lex_state = 0},
  [917] = {.lex_state = 0},
  [918] = {.lex_state = 86},
  [919] = {.lex_state = 86},
  [920] = {.lex_state = 0},
  [921] = {.lex_state = 0},
  [922] = {.lex_state = 0},
  [923] = {.lex_state = 86},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_include] = ACTIONS(1),
    [anon_sym_cpp_include] = ACTIONS(1),
    [anon_sym_namespace] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_package] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_as3] = ACTIONS(1),
    [anon_sym_c_glib] = ACTIONS(1),
    [anon_sym_cl] = ACTIONS(1),
    [anon_sym_cocoa] = ACTIONS(1),
    [anon_sym_cpp] = ACTIONS(1),
    [anon_sym_cpp2] = ACTIONS(1),
    [anon_sym_cpp_DOTnoexist] = ACTIONS(1),
    [anon_sym_csharp] = ACTIONS(1),
    [anon_sym_d] = ACTIONS(1),
    [anon_sym_dart] = ACTIONS(1),
    [anon_sym_delphi] = ACTIONS(1),
    [anon_sym_erl] = ACTIONS(1),
    [anon_sym_go] = ACTIONS(1),
    [anon_sym_haxe] = ACTIONS(1),
    [anon_sym_java] = ACTIONS(1),
    [anon_sym_javame] = ACTIONS(1),
    [anon_sym_js] = ACTIONS(1),
    [anon_sym_kotlin] = ACTIONS(1),
    [anon_sym_lua] = ACTIONS(1),
    [anon_sym_netcore] = ACTIONS(1),
    [anon_sym_netstd] = ACTIONS(1),
    [anon_sym_nodejs] = ACTIONS(1),
    [anon_sym_nodets] = ACTIONS(1),
    [anon_sym_noexist] = ACTIONS(1),
    [anon_sym_ocaml] = ACTIONS(1),
    [anon_sym_perl] = ACTIONS(1),
    [anon_sym_php] = ACTIONS(1),
    [anon_sym_php_DOTpath] = ACTIONS(1),
    [anon_sym_py] = ACTIONS(1),
    [anon_sym_py_DOTtwisted] = ACTIONS(1),
    [anon_sym_rb] = ACTIONS(1),
    [anon_sym_rs] = ACTIONS(1),
    [anon_sym_smalltalk_DOTprefix] = ACTIONS(1),
    [anon_sym_smalltalk_DOTcategory] = ACTIONS(1),
    [anon_sym_st] = ACTIONS(1),
    [anon_sym_swift] = ACTIONS(1),
    [anon_sym_ts] = ACTIONS(1),
    [anon_sym_xml] = ACTIONS(1),
    [anon_sym_xsd] = ACTIONS(1),
    [anon_sym_cocoa_prefix] = ACTIONS(1),
    [anon_sym_cpp_namespace] = ACTIONS(1),
    [anon_sym_csharp_namespace] = ACTIONS(1),
    [anon_sym_delphi_namespace] = ACTIONS(1),
    [anon_sym_java_package] = ACTIONS(1),
    [anon_sym_perl_package] = ACTIONS(1),
    [anon_sym_php_namespace] = ACTIONS(1),
    [anon_sym_py_module] = ACTIONS(1),
    [anon_sym_ruby_namespace] = ACTIONS(1),
    [anon_sym_smalltalk_category] = ACTIONS(1),
    [anon_sym_smalltalk_prefix] = ACTIONS(1),
    [anon_sym_xsd_namespace] = ACTIONS(1),
    [anon_sym_android] = ACTIONS(1),
    [anon_sym_hack] = ACTIONS(1),
    [anon_sym_hack_DOTmodule] = ACTIONS(1),
    [anon_sym_hs] = ACTIONS(1),
    [anon_sym_hs2] = ACTIONS(1),
    [anon_sym_java_DOTswift] = ACTIONS(1),
    [anon_sym_java_DOTswift_DOTconstants] = ACTIONS(1),
    [anon_sym_json] = ACTIONS(1),
    [anon_sym_py_DOTasyncio] = ACTIONS(1),
    [anon_sym_py3] = ACTIONS(1),
    [anon_sym_rust] = ACTIONS(1),
    [anon_sym_scala] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_uri] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_typedef] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_senum] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_xsd_all] = ACTIONS(1),
    [anon_sym_union] = ACTIONS(1),
    [anon_sym_exception] = ACTIONS(1),
    [anon_sym_client] = ACTIONS(1),
    [anon_sym_permanent] = ACTIONS(1),
    [anon_sym_server] = ACTIONS(1),
    [anon_sym_safe] = ACTIONS(1),
    [anon_sym_stateful] = ACTIONS(1),
    [anon_sym_transient] = ACTIONS(1),
    [anon_sym_service] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_performs] = ACTIONS(1),
    [anon_sym_interaction] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_xsd_optional] = ACTIONS(1),
    [anon_sym_xsd_nillable] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_required] = ACTIONS(1),
    [anon_sym_optional] = ACTIONS(1),
    [anon_sym_xsd_attrs] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_oneway] = ACTIONS(1),
    [anon_sym_readonly] = ACTIONS(1),
    [anon_sym_idempotent] = ACTIONS(1),
    [anon_sym_throws] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_binary] = ACTIONS(1),
    [anon_sym_bool] = ACTIONS(1),
    [anon_sym_byte] = ACTIONS(1),
    [anon_sym_i8] = ACTIONS(1),
    [anon_sym_i16] = ACTIONS(1),
    [anon_sym_i32] = ACTIONS(1),
    [anon_sym_i64] = ACTIONS(1),
    [anon_sym_float] = ACTIONS(1),
    [anon_sym_double] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_slist] = ACTIONS(1),
    [anon_sym_list] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_map] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [anon_sym_sink] = ACTIONS(1),
    [anon_sym_stream] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [sym_double] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [aux_sym__escape_sequence_token1] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
  },
  [1] = {
    [sym_document] = STATE(832),
    [sym_header] = STATE(9),
    [sym_include_statement] = STATE(329),
    [sym_namespace_declaration] = STATE(329),
    [sym_package_declaration] = STATE(329),
    [sym_definition] = STATE(98),
    [sym_const_definition] = STATE(432),
    [sym_typedef_definition] = STATE(432),
    [sym_enum_definition] = STATE(432),
    [sym_senum_definition] = STATE(432),
    [sym_struct_definition] = STATE(432),
    [sym_union_definition] = STATE(432),
    [sym_exception_definition] = STATE(432),
    [sym_exception_modifier] = STATE(525),
    [sym_service_definition] = STATE(432),
    [sym_interaction_definition] = STATE(432),
    [sym_fb_annotation_definition] = STATE(357),
    [aux_sym_document_repeat1] = STATE(9),
    [aux_sym_document_repeat2] = STATE(98),
    [aux_sym_package_declaration_repeat1] = STATE(357),
    [aux_sym_exception_definition_repeat1] = STATE(525),
    [ts_builtin_sym_end] = ACTIONS(5),
    [anon_sym_include] = ACTIONS(7),
    [anon_sym_cpp_include] = ACTIONS(7),
    [anon_sym_namespace] = ACTIONS(9),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_const] = ACTIONS(13),
    [anon_sym_typedef] = ACTIONS(15),
    [anon_sym_enum] = ACTIONS(17),
    [anon_sym_senum] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_union] = ACTIONS(23),
    [anon_sym_exception] = ACTIONS(25),
    [anon_sym_client] = ACTIONS(27),
    [anon_sym_permanent] = ACTIONS(27),
    [anon_sym_server] = ACTIONS(27),
    [anon_sym_safe] = ACTIONS(27),
    [anon_sym_stateful] = ACTIONS(27),
    [anon_sym_transient] = ACTIONS(27),
    [anon_sym_service] = ACTIONS(29),
    [anon_sym_interaction] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [2] = {
    [sym_namespace_scope] = STATE(642),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_as3] = ACTIONS(35),
    [anon_sym_c_glib] = ACTIONS(35),
    [anon_sym_cl] = ACTIONS(35),
    [anon_sym_cocoa] = ACTIONS(37),
    [anon_sym_cpp] = ACTIONS(37),
    [anon_sym_cpp2] = ACTIONS(35),
    [anon_sym_cpp_DOTnoexist] = ACTIONS(35),
    [anon_sym_csharp] = ACTIONS(37),
    [anon_sym_d] = ACTIONS(37),
    [anon_sym_dart] = ACTIONS(35),
    [anon_sym_delphi] = ACTIONS(37),
    [anon_sym_erl] = ACTIONS(35),
    [anon_sym_go] = ACTIONS(35),
    [anon_sym_haxe] = ACTIONS(35),
    [anon_sym_java] = ACTIONS(37),
    [anon_sym_javame] = ACTIONS(35),
    [anon_sym_js] = ACTIONS(37),
    [anon_sym_kotlin] = ACTIONS(35),
    [anon_sym_lua] = ACTIONS(35),
    [anon_sym_netcore] = ACTIONS(35),
    [anon_sym_netstd] = ACTIONS(35),
    [anon_sym_nodejs] = ACTIONS(35),
    [anon_sym_nodets] = ACTIONS(35),
    [anon_sym_noexist] = ACTIONS(35),
    [anon_sym_ocaml] = ACTIONS(35),
    [anon_sym_perl] = ACTIONS(37),
    [anon_sym_php] = ACTIONS(37),
    [anon_sym_php_DOTpath] = ACTIONS(35),
    [anon_sym_py] = ACTIONS(37),
    [anon_sym_py_DOTtwisted] = ACTIONS(35),
    [anon_sym_rb] = ACTIONS(35),
    [anon_sym_rs] = ACTIONS(35),
    [anon_sym_smalltalk_DOTprefix] = ACTIONS(35),
    [anon_sym_smalltalk_DOTcategory] = ACTIONS(35),
    [anon_sym_st] = ACTIONS(35),
    [anon_sym_swift] = ACTIONS(35),
    [anon_sym_ts] = ACTIONS(35),
    [anon_sym_xml] = ACTIONS(35),
    [anon_sym_xsd] = ACTIONS(37),
    [anon_sym_cocoa_prefix] = ACTIONS(35),
    [anon_sym_cpp_namespace] = ACTIONS(35),
    [anon_sym_csharp_namespace] = ACTIONS(35),
    [anon_sym_delphi_namespace] = ACTIONS(35),
    [anon_sym_java_package] = ACTIONS(35),
    [anon_sym_perl_package] = ACTIONS(35),
    [anon_sym_php_namespace] = ACTIONS(35),
    [anon_sym_py_module] = ACTIONS(35),
    [anon_sym_ruby_namespace] = ACTIONS(35),
    [anon_sym_smalltalk_category] = ACTIONS(35),
    [anon_sym_smalltalk_prefix] = ACTIONS(35),
    [anon_sym_xsd_namespace] = ACTIONS(35),
    [anon_sym_android] = ACTIONS(35),
    [anon_sym_hack] = ACTIONS(37),
    [anon_sym_hack_DOTmodule] = ACTIONS(35),
    [anon_sym_hs] = ACTIONS(37),
    [anon_sym_hs2] = ACTIONS(35),
    [anon_sym_java_DOTswift] = ACTIONS(37),
    [anon_sym_java_DOTswift_DOTconstants] = ACTIONS(35),
    [anon_sym_json] = ACTIONS(35),
    [anon_sym_py_DOTasyncio] = ACTIONS(35),
    [anon_sym_py3] = ACTIONS(35),
    [anon_sym_rust] = ACTIONS(35),
    [anon_sym_scala] = ACTIONS(35),
    [sym_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_DOT,
    STATE(3), 1,
      aux_sym__type_identifier_repeat1,
    ACTIONS(41), 11,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_AT,
      sym_number,
    ACTIONS(39), 44,
      anon_sym_package,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_xsd_all,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_extends,
      anon_sym_xsd_optional,
      anon_sym_xsd_nillable,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_xsd_attrs,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
      anon_sym_throws,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [69] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 12,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_AT,
      sym_number,
      anon_sym_DOT,
    ACTIONS(39), 44,
      anon_sym_package,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_xsd_all,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_extends,
      anon_sym_xsd_optional,
      anon_sym_xsd_nillable,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_xsd_attrs,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
      anon_sym_throws,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [133] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(50), 1,
      anon_sym_DOT,
    STATE(6), 1,
      aux_sym__type_identifier_repeat1,
    ACTIONS(48), 6,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      sym_number,
    ACTIONS(46), 38,
      anon_sym_package,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [191] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(50), 1,
      anon_sym_DOT,
    STATE(3), 1,
      aux_sym__type_identifier_repeat1,
    ACTIONS(54), 6,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      sym_number,
    ACTIONS(52), 38,
      anon_sym_package,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [249] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(58), 1,
      anon_sym_AT,
    ACTIONS(61), 1,
      sym_number,
    STATE(7), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    ACTIONS(56), 38,
      anon_sym_package,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [303] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 2,
      anon_sym_AT,
      sym_number,
    ACTIONS(63), 38,
      anon_sym_package,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [354] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9), 1,
      anon_sym_namespace,
    ACTIONS(11), 1,
      anon_sym_package,
    ACTIONS(13), 1,
      anon_sym_const,
    ACTIONS(15), 1,
      anon_sym_typedef,
    ACTIONS(17), 1,
      anon_sym_enum,
    ACTIONS(19), 1,
      anon_sym_senum,
    ACTIONS(21), 1,
      anon_sym_struct,
    ACTIONS(23), 1,
      anon_sym_union,
    ACTIONS(25), 1,
      anon_sym_exception,
    ACTIONS(29), 1,
      anon_sym_service,
    ACTIONS(31), 1,
      anon_sym_interaction,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(69), 1,
      ts_builtin_sym_end,
    ACTIONS(7), 2,
      anon_sym_include,
      anon_sym_cpp_include,
    STATE(103), 2,
      sym_definition,
      aux_sym_document_repeat2,
    STATE(176), 2,
      sym_header,
      aux_sym_document_repeat1,
    STATE(357), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(525), 2,
      sym_exception_modifier,
      aux_sym_exception_definition_repeat1,
    STATE(329), 3,
      sym_include_statement,
      sym_namespace_declaration,
      sym_package_declaration,
    ACTIONS(27), 6,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
    STATE(432), 9,
      sym_const_definition,
      sym_typedef_definition,
      sym_enum_definition,
      sym_senum_definition,
      sym_struct_definition,
      sym_union_definition,
      sym_exception_definition,
      sym_service_definition,
      sym_interaction_definition,
  [441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(73), 2,
      anon_sym_AT,
      sym_number,
    ACTIONS(71), 38,
      anon_sym_package,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(77), 2,
      anon_sym_AT,
      sym_number,
    ACTIONS(75), 38,
      anon_sym_package,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [537] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(81), 1,
      anon_sym_RBRACE,
    ACTIONS(83), 1,
      anon_sym_performs,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(91), 1,
      anon_sym_list,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    STATE(215), 1,
      sym_function_modifier,
    STATE(631), 1,
      sym_type,
    STATE(26), 2,
      sym_function_definition,
      aux_sym_service_definition_repeat1,
    STATE(85), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    ACTIONS(85), 4,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [615] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_performs,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(91), 1,
      anon_sym_list,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(101), 1,
      anon_sym_RBRACE,
    STATE(215), 1,
      sym_function_modifier,
    STATE(631), 1,
      sym_type,
    STATE(18), 2,
      sym_function_definition,
      aux_sym_service_definition_repeat1,
    STATE(85), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    ACTIONS(85), 4,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [693] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_performs,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(91), 1,
      anon_sym_list,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(103), 1,
      anon_sym_RBRACE,
    STATE(215), 1,
      sym_function_modifier,
    STATE(631), 1,
      sym_type,
    STATE(18), 2,
      sym_function_definition,
      aux_sym_service_definition_repeat1,
    STATE(85), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    ACTIONS(85), 4,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [771] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_performs,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(91), 1,
      anon_sym_list,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(105), 1,
      anon_sym_RBRACE,
    STATE(215), 1,
      sym_function_modifier,
    STATE(631), 1,
      sym_type,
    STATE(20), 2,
      sym_function_definition,
      aux_sym_service_definition_repeat1,
    STATE(85), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    ACTIONS(85), 4,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [849] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_performs,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(91), 1,
      anon_sym_list,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(107), 1,
      anon_sym_RBRACE,
    STATE(215), 1,
      sym_function_modifier,
    STATE(631), 1,
      sym_type,
    STATE(14), 2,
      sym_function_definition,
      aux_sym_service_definition_repeat1,
    STATE(85), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    ACTIONS(85), 4,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [927] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_performs,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(91), 1,
      anon_sym_list,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(109), 1,
      anon_sym_RBRACE,
    STATE(215), 1,
      sym_function_modifier,
    STATE(631), 1,
      sym_type,
    STATE(21), 2,
      sym_function_definition,
      aux_sym_service_definition_repeat1,
    STATE(85), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    ACTIONS(85), 4,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [1005] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(111), 1,
      sym_identifier,
    ACTIONS(114), 1,
      anon_sym_RBRACE,
    ACTIONS(116), 1,
      anon_sym_performs,
    ACTIONS(122), 1,
      anon_sym_void,
    ACTIONS(128), 1,
      anon_sym_list,
    ACTIONS(131), 1,
      anon_sym_map,
    ACTIONS(134), 1,
      anon_sym_set,
    ACTIONS(137), 1,
      anon_sym_sink,
    ACTIONS(140), 1,
      anon_sym_stream,
    ACTIONS(143), 1,
      anon_sym_AT,
    STATE(215), 1,
      sym_function_modifier,
    STATE(631), 1,
      sym_type,
    STATE(18), 2,
      sym_function_definition,
      aux_sym_service_definition_repeat1,
    STATE(85), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    ACTIONS(119), 4,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(125), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [1083] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_performs,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(91), 1,
      anon_sym_list,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(146), 1,
      anon_sym_RBRACE,
    STATE(215), 1,
      sym_function_modifier,
    STATE(631), 1,
      sym_type,
    STATE(22), 2,
      sym_function_definition,
      aux_sym_service_definition_repeat1,
    STATE(85), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    ACTIONS(85), 4,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [1161] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_performs,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(91), 1,
      anon_sym_list,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(148), 1,
      anon_sym_RBRACE,
    STATE(215), 1,
      sym_function_modifier,
    STATE(631), 1,
      sym_type,
    STATE(18), 2,
      sym_function_definition,
      aux_sym_service_definition_repeat1,
    STATE(85), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    ACTIONS(85), 4,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [1239] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_performs,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(91), 1,
      anon_sym_list,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(150), 1,
      anon_sym_RBRACE,
    STATE(215), 1,
      sym_function_modifier,
    STATE(631), 1,
      sym_type,
    STATE(18), 2,
      sym_function_definition,
      aux_sym_service_definition_repeat1,
    STATE(85), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    ACTIONS(85), 4,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [1317] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_performs,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(91), 1,
      anon_sym_list,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(152), 1,
      anon_sym_RBRACE,
    STATE(215), 1,
      sym_function_modifier,
    STATE(631), 1,
      sym_type,
    STATE(18), 2,
      sym_function_definition,
      aux_sym_service_definition_repeat1,
    STATE(85), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    ACTIONS(85), 4,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [1395] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_performs,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(91), 1,
      anon_sym_list,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(154), 1,
      anon_sym_RBRACE,
    STATE(215), 1,
      sym_function_modifier,
    STATE(631), 1,
      sym_type,
    STATE(27), 2,
      sym_function_definition,
      aux_sym_service_definition_repeat1,
    STATE(85), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    ACTIONS(85), 4,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [1473] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_performs,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(91), 1,
      anon_sym_list,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(156), 1,
      anon_sym_RBRACE,
    STATE(215), 1,
      sym_function_modifier,
    STATE(631), 1,
      sym_type,
    STATE(28), 2,
      sym_function_definition,
      aux_sym_service_definition_repeat1,
    STATE(85), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    ACTIONS(85), 4,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [1551] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_performs,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(91), 1,
      anon_sym_list,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(158), 1,
      anon_sym_RBRACE,
    STATE(215), 1,
      sym_function_modifier,
    STATE(631), 1,
      sym_type,
    STATE(30), 2,
      sym_function_definition,
      aux_sym_service_definition_repeat1,
    STATE(85), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    ACTIONS(85), 4,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [1629] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_performs,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(91), 1,
      anon_sym_list,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(160), 1,
      anon_sym_RBRACE,
    STATE(215), 1,
      sym_function_modifier,
    STATE(631), 1,
      sym_type,
    STATE(18), 2,
      sym_function_definition,
      aux_sym_service_definition_repeat1,
    STATE(85), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    ACTIONS(85), 4,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [1707] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_performs,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(91), 1,
      anon_sym_list,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(162), 1,
      anon_sym_RBRACE,
    STATE(215), 1,
      sym_function_modifier,
    STATE(631), 1,
      sym_type,
    STATE(18), 2,
      sym_function_definition,
      aux_sym_service_definition_repeat1,
    STATE(85), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    ACTIONS(85), 4,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [1785] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_performs,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(91), 1,
      anon_sym_list,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(164), 1,
      anon_sym_RBRACE,
    STATE(215), 1,
      sym_function_modifier,
    STATE(631), 1,
      sym_type,
    STATE(18), 2,
      sym_function_definition,
      aux_sym_service_definition_repeat1,
    STATE(85), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    ACTIONS(85), 4,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [1863] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_performs,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(91), 1,
      anon_sym_list,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(166), 1,
      anon_sym_RBRACE,
    STATE(215), 1,
      sym_function_modifier,
    STATE(631), 1,
      sym_type,
    STATE(33), 2,
      sym_function_definition,
      aux_sym_service_definition_repeat1,
    STATE(85), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    ACTIONS(85), 4,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [1941] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_performs,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(91), 1,
      anon_sym_list,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(168), 1,
      anon_sym_RBRACE,
    STATE(215), 1,
      sym_function_modifier,
    STATE(631), 1,
      sym_type,
    STATE(18), 2,
      sym_function_definition,
      aux_sym_service_definition_repeat1,
    STATE(85), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    ACTIONS(85), 4,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [2019] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_performs,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(91), 1,
      anon_sym_list,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(170), 1,
      anon_sym_RBRACE,
    STATE(215), 1,
      sym_function_modifier,
    STATE(631), 1,
      sym_type,
    STATE(34), 2,
      sym_function_definition,
      aux_sym_service_definition_repeat1,
    STATE(85), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    ACTIONS(85), 4,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [2097] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_performs,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(91), 1,
      anon_sym_list,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(172), 1,
      anon_sym_RBRACE,
    STATE(215), 1,
      sym_function_modifier,
    STATE(631), 1,
      sym_type,
    STATE(35), 2,
      sym_function_definition,
      aux_sym_service_definition_repeat1,
    STATE(85), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    ACTIONS(85), 4,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [2175] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_performs,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(91), 1,
      anon_sym_list,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(174), 1,
      anon_sym_RBRACE,
    STATE(215), 1,
      sym_function_modifier,
    STATE(631), 1,
      sym_type,
    STATE(18), 2,
      sym_function_definition,
      aux_sym_service_definition_repeat1,
    STATE(85), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    ACTIONS(85), 4,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [2253] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_performs,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(91), 1,
      anon_sym_list,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(176), 1,
      anon_sym_RBRACE,
    STATE(215), 1,
      sym_function_modifier,
    STATE(631), 1,
      sym_type,
    STATE(18), 2,
      sym_function_definition,
      aux_sym_service_definition_repeat1,
    STATE(85), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    ACTIONS(85), 4,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [2331] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_performs,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(91), 1,
      anon_sym_list,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(178), 1,
      anon_sym_RBRACE,
    STATE(215), 1,
      sym_function_modifier,
    STATE(631), 1,
      sym_type,
    STATE(18), 2,
      sym_function_definition,
      aux_sym_service_definition_repeat1,
    STATE(85), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    ACTIONS(85), 4,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [2409] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(83), 1,
      anon_sym_performs,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(91), 1,
      anon_sym_list,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(180), 1,
      anon_sym_RBRACE,
    STATE(215), 1,
      sym_function_modifier,
    STATE(631), 1,
      sym_type,
    STATE(13), 2,
      sym_function_definition,
      aux_sym_service_definition_repeat1,
    STATE(85), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    ACTIONS(85), 4,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [2487] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(182), 1,
      sym_identifier,
    ACTIONS(184), 1,
      anon_sym_RBRACE,
    ACTIONS(188), 1,
      anon_sym_void,
    ACTIONS(192), 1,
      anon_sym_list,
    ACTIONS(194), 1,
      anon_sym_map,
    ACTIONS(196), 1,
      anon_sym_set,
    ACTIONS(198), 1,
      anon_sym_sink,
    ACTIONS(200), 1,
      anon_sym_stream,
    ACTIONS(202), 1,
      sym_number,
    STATE(163), 1,
      sym_field_id,
    STATE(210), 1,
      sym_field_modifier,
    STATE(609), 1,
      sym_type,
    ACTIONS(186), 2,
      anon_sym_required,
      anon_sym_optional,
    STATE(62), 2,
      sym_field,
      aux_sym_struct_definition_repeat1,
    STATE(86), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(766), 2,
      sym_primitive,
      sym_container_type,
    STATE(769), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(190), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [2566] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(182), 1,
      sym_identifier,
    ACTIONS(188), 1,
      anon_sym_void,
    ACTIONS(192), 1,
      anon_sym_list,
    ACTIONS(194), 1,
      anon_sym_map,
    ACTIONS(196), 1,
      anon_sym_set,
    ACTIONS(198), 1,
      anon_sym_sink,
    ACTIONS(200), 1,
      anon_sym_stream,
    ACTIONS(202), 1,
      sym_number,
    ACTIONS(204), 1,
      anon_sym_RBRACE,
    STATE(163), 1,
      sym_field_id,
    STATE(210), 1,
      sym_field_modifier,
    STATE(609), 1,
      sym_type,
    ACTIONS(186), 2,
      anon_sym_required,
      anon_sym_optional,
    STATE(54), 2,
      sym_field,
      aux_sym_struct_definition_repeat1,
    STATE(86), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(766), 2,
      sym_primitive,
      sym_container_type,
    STATE(769), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(190), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [2645] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(182), 1,
      sym_identifier,
    ACTIONS(188), 1,
      anon_sym_void,
    ACTIONS(192), 1,
      anon_sym_list,
    ACTIONS(194), 1,
      anon_sym_map,
    ACTIONS(196), 1,
      anon_sym_set,
    ACTIONS(198), 1,
      anon_sym_sink,
    ACTIONS(200), 1,
      anon_sym_stream,
    ACTIONS(202), 1,
      sym_number,
    ACTIONS(204), 1,
      anon_sym_RBRACE,
    STATE(163), 1,
      sym_field_id,
    STATE(210), 1,
      sym_field_modifier,
    STATE(609), 1,
      sym_type,
    ACTIONS(186), 2,
      anon_sym_required,
      anon_sym_optional,
    STATE(52), 2,
      sym_field,
      aux_sym_struct_definition_repeat1,
    STATE(86), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(766), 2,
      sym_primitive,
      sym_container_type,
    STATE(769), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(190), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [2724] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(182), 1,
      sym_identifier,
    ACTIONS(188), 1,
      anon_sym_void,
    ACTIONS(192), 1,
      anon_sym_list,
    ACTIONS(194), 1,
      anon_sym_map,
    ACTIONS(196), 1,
      anon_sym_set,
    ACTIONS(198), 1,
      anon_sym_sink,
    ACTIONS(200), 1,
      anon_sym_stream,
    ACTIONS(202), 1,
      sym_number,
    ACTIONS(206), 1,
      anon_sym_RBRACE,
    STATE(163), 1,
      sym_field_id,
    STATE(210), 1,
      sym_field_modifier,
    STATE(609), 1,
      sym_type,
    ACTIONS(186), 2,
      anon_sym_required,
      anon_sym_optional,
    STATE(54), 2,
      sym_field,
      aux_sym_struct_definition_repeat1,
    STATE(86), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(766), 2,
      sym_primitive,
      sym_container_type,
    STATE(769), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(190), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [2803] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(182), 1,
      sym_identifier,
    ACTIONS(188), 1,
      anon_sym_void,
    ACTIONS(192), 1,
      anon_sym_list,
    ACTIONS(194), 1,
      anon_sym_map,
    ACTIONS(196), 1,
      anon_sym_set,
    ACTIONS(198), 1,
      anon_sym_sink,
    ACTIONS(200), 1,
      anon_sym_stream,
    ACTIONS(202), 1,
      sym_number,
    ACTIONS(208), 1,
      anon_sym_RBRACE,
    STATE(163), 1,
      sym_field_id,
    STATE(210), 1,
      sym_field_modifier,
    STATE(609), 1,
      sym_type,
    ACTIONS(186), 2,
      anon_sym_required,
      anon_sym_optional,
    STATE(74), 2,
      sym_field,
      aux_sym_struct_definition_repeat1,
    STATE(86), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(766), 2,
      sym_primitive,
      sym_container_type,
    STATE(769), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(190), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [2882] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(182), 1,
      sym_identifier,
    ACTIONS(188), 1,
      anon_sym_void,
    ACTIONS(192), 1,
      anon_sym_list,
    ACTIONS(194), 1,
      anon_sym_map,
    ACTIONS(196), 1,
      anon_sym_set,
    ACTIONS(198), 1,
      anon_sym_sink,
    ACTIONS(200), 1,
      anon_sym_stream,
    ACTIONS(202), 1,
      sym_number,
    ACTIONS(210), 1,
      anon_sym_RBRACE,
    STATE(163), 1,
      sym_field_id,
    STATE(210), 1,
      sym_field_modifier,
    STATE(609), 1,
      sym_type,
    ACTIONS(186), 2,
      anon_sym_required,
      anon_sym_optional,
    STATE(76), 2,
      sym_field,
      aux_sym_struct_definition_repeat1,
    STATE(86), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(766), 2,
      sym_primitive,
      sym_container_type,
    STATE(769), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(190), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [2961] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(182), 1,
      sym_identifier,
    ACTIONS(188), 1,
      anon_sym_void,
    ACTIONS(192), 1,
      anon_sym_list,
    ACTIONS(194), 1,
      anon_sym_map,
    ACTIONS(196), 1,
      anon_sym_set,
    ACTIONS(198), 1,
      anon_sym_sink,
    ACTIONS(200), 1,
      anon_sym_stream,
    ACTIONS(202), 1,
      sym_number,
    ACTIONS(206), 1,
      anon_sym_RBRACE,
    STATE(163), 1,
      sym_field_id,
    STATE(210), 1,
      sym_field_modifier,
    STATE(609), 1,
      sym_type,
    ACTIONS(186), 2,
      anon_sym_required,
      anon_sym_optional,
    STATE(56), 2,
      sym_field,
      aux_sym_struct_definition_repeat1,
    STATE(86), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(766), 2,
      sym_primitive,
      sym_container_type,
    STATE(769), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(190), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [3040] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(91), 1,
      anon_sym_list,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(202), 1,
      sym_number,
    ACTIONS(212), 1,
      anon_sym_RPAREN,
    STATE(166), 1,
      sym_field_id,
    STATE(224), 1,
      sym_field_modifier,
    STATE(786), 1,
      sym_type,
    ACTIONS(186), 2,
      anon_sym_required,
      anon_sym_optional,
    STATE(77), 2,
      sym_parameter,
      aux_sym_parameters_repeat1,
    STATE(84), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [3119] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(182), 1,
      sym_identifier,
    ACTIONS(188), 1,
      anon_sym_void,
    ACTIONS(192), 1,
      anon_sym_list,
    ACTIONS(194), 1,
      anon_sym_map,
    ACTIONS(196), 1,
      anon_sym_set,
    ACTIONS(198), 1,
      anon_sym_sink,
    ACTIONS(200), 1,
      anon_sym_stream,
    ACTIONS(202), 1,
      sym_number,
    ACTIONS(214), 1,
      anon_sym_RBRACE,
    STATE(163), 1,
      sym_field_id,
    STATE(210), 1,
      sym_field_modifier,
    STATE(609), 1,
      sym_type,
    ACTIONS(186), 2,
      anon_sym_required,
      anon_sym_optional,
    STATE(54), 2,
      sym_field,
      aux_sym_struct_definition_repeat1,
    STATE(86), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(766), 2,
      sym_primitive,
      sym_container_type,
    STATE(769), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(190), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [3198] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(182), 1,
      sym_identifier,
    ACTIONS(188), 1,
      anon_sym_void,
    ACTIONS(192), 1,
      anon_sym_list,
    ACTIONS(194), 1,
      anon_sym_map,
    ACTIONS(196), 1,
      anon_sym_set,
    ACTIONS(198), 1,
      anon_sym_sink,
    ACTIONS(200), 1,
      anon_sym_stream,
    ACTIONS(202), 1,
      sym_number,
    ACTIONS(216), 1,
      anon_sym_RBRACE,
    STATE(163), 1,
      sym_field_id,
    STATE(210), 1,
      sym_field_modifier,
    STATE(609), 1,
      sym_type,
    ACTIONS(186), 2,
      anon_sym_required,
      anon_sym_optional,
    STATE(54), 2,
      sym_field,
      aux_sym_struct_definition_repeat1,
    STATE(86), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(766), 2,
      sym_primitive,
      sym_container_type,
    STATE(769), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(190), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [3277] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(182), 1,
      sym_identifier,
    ACTIONS(188), 1,
      anon_sym_void,
    ACTIONS(192), 1,
      anon_sym_list,
    ACTIONS(194), 1,
      anon_sym_map,
    ACTIONS(196), 1,
      anon_sym_set,
    ACTIONS(198), 1,
      anon_sym_sink,
    ACTIONS(200), 1,
      anon_sym_stream,
    ACTIONS(202), 1,
      sym_number,
    ACTIONS(218), 1,
      anon_sym_RBRACE,
    STATE(163), 1,
      sym_field_id,
    STATE(210), 1,
      sym_field_modifier,
    STATE(609), 1,
      sym_type,
    ACTIONS(186), 2,
      anon_sym_required,
      anon_sym_optional,
    STATE(38), 2,
      sym_field,
      aux_sym_struct_definition_repeat1,
    STATE(86), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(766), 2,
      sym_primitive,
      sym_container_type,
    STATE(769), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(190), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [3356] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(182), 1,
      sym_identifier,
    ACTIONS(188), 1,
      anon_sym_void,
    ACTIONS(192), 1,
      anon_sym_list,
    ACTIONS(194), 1,
      anon_sym_map,
    ACTIONS(196), 1,
      anon_sym_set,
    ACTIONS(198), 1,
      anon_sym_sink,
    ACTIONS(200), 1,
      anon_sym_stream,
    ACTIONS(202), 1,
      sym_number,
    ACTIONS(220), 1,
      anon_sym_RBRACE,
    STATE(163), 1,
      sym_field_id,
    STATE(210), 1,
      sym_field_modifier,
    STATE(609), 1,
      sym_type,
    ACTIONS(186), 2,
      anon_sym_required,
      anon_sym_optional,
    STATE(40), 2,
      sym_field,
      aux_sym_struct_definition_repeat1,
    STATE(86), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(766), 2,
      sym_primitive,
      sym_container_type,
    STATE(769), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(190), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [3435] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(182), 1,
      sym_identifier,
    ACTIONS(188), 1,
      anon_sym_void,
    ACTIONS(192), 1,
      anon_sym_list,
    ACTIONS(194), 1,
      anon_sym_map,
    ACTIONS(196), 1,
      anon_sym_set,
    ACTIONS(198), 1,
      anon_sym_sink,
    ACTIONS(200), 1,
      anon_sym_stream,
    ACTIONS(202), 1,
      sym_number,
    ACTIONS(220), 1,
      anon_sym_RBRACE,
    STATE(163), 1,
      sym_field_id,
    STATE(210), 1,
      sym_field_modifier,
    STATE(609), 1,
      sym_type,
    ACTIONS(186), 2,
      anon_sym_required,
      anon_sym_optional,
    STATE(54), 2,
      sym_field,
      aux_sym_struct_definition_repeat1,
    STATE(86), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(766), 2,
      sym_primitive,
      sym_container_type,
    STATE(769), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(190), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [3514] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(182), 1,
      sym_identifier,
    ACTIONS(184), 1,
      anon_sym_RBRACE,
    ACTIONS(188), 1,
      anon_sym_void,
    ACTIONS(192), 1,
      anon_sym_list,
    ACTIONS(194), 1,
      anon_sym_map,
    ACTIONS(196), 1,
      anon_sym_set,
    ACTIONS(198), 1,
      anon_sym_sink,
    ACTIONS(200), 1,
      anon_sym_stream,
    ACTIONS(202), 1,
      sym_number,
    STATE(163), 1,
      sym_field_id,
    STATE(210), 1,
      sym_field_modifier,
    STATE(609), 1,
      sym_type,
    ACTIONS(186), 2,
      anon_sym_required,
      anon_sym_optional,
    STATE(54), 2,
      sym_field,
      aux_sym_struct_definition_repeat1,
    STATE(86), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(766), 2,
      sym_primitive,
      sym_container_type,
    STATE(769), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(190), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [3593] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(182), 1,
      sym_identifier,
    ACTIONS(188), 1,
      anon_sym_void,
    ACTIONS(192), 1,
      anon_sym_list,
    ACTIONS(194), 1,
      anon_sym_map,
    ACTIONS(196), 1,
      anon_sym_set,
    ACTIONS(198), 1,
      anon_sym_sink,
    ACTIONS(200), 1,
      anon_sym_stream,
    ACTIONS(202), 1,
      sym_number,
    ACTIONS(222), 1,
      anon_sym_RBRACE,
    STATE(163), 1,
      sym_field_id,
    STATE(210), 1,
      sym_field_modifier,
    STATE(609), 1,
      sym_type,
    ACTIONS(186), 2,
      anon_sym_required,
      anon_sym_optional,
    STATE(55), 2,
      sym_field,
      aux_sym_struct_definition_repeat1,
    STATE(86), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(766), 2,
      sym_primitive,
      sym_container_type,
    STATE(769), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(190), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [3672] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(182), 1,
      sym_identifier,
    ACTIONS(188), 1,
      anon_sym_void,
    ACTIONS(192), 1,
      anon_sym_list,
    ACTIONS(194), 1,
      anon_sym_map,
    ACTIONS(196), 1,
      anon_sym_set,
    ACTIONS(198), 1,
      anon_sym_sink,
    ACTIONS(200), 1,
      anon_sym_stream,
    ACTIONS(202), 1,
      sym_number,
    ACTIONS(224), 1,
      anon_sym_RBRACE,
    STATE(163), 1,
      sym_field_id,
    STATE(210), 1,
      sym_field_modifier,
    STATE(609), 1,
      sym_type,
    ACTIONS(186), 2,
      anon_sym_required,
      anon_sym_optional,
    STATE(54), 2,
      sym_field,
      aux_sym_struct_definition_repeat1,
    STATE(86), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(766), 2,
      sym_primitive,
      sym_container_type,
    STATE(769), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(190), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [3751] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(182), 1,
      sym_identifier,
    ACTIONS(188), 1,
      anon_sym_void,
    ACTIONS(192), 1,
      anon_sym_list,
    ACTIONS(194), 1,
      anon_sym_map,
    ACTIONS(196), 1,
      anon_sym_set,
    ACTIONS(198), 1,
      anon_sym_sink,
    ACTIONS(200), 1,
      anon_sym_stream,
    ACTIONS(202), 1,
      sym_number,
    ACTIONS(224), 1,
      anon_sym_RBRACE,
    STATE(163), 1,
      sym_field_id,
    STATE(210), 1,
      sym_field_modifier,
    STATE(609), 1,
      sym_type,
    ACTIONS(186), 2,
      anon_sym_required,
      anon_sym_optional,
    STATE(63), 2,
      sym_field,
      aux_sym_struct_definition_repeat1,
    STATE(86), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(766), 2,
      sym_primitive,
      sym_container_type,
    STATE(769), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(190), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [3830] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(226), 1,
      sym_identifier,
    ACTIONS(229), 1,
      anon_sym_RBRACE,
    ACTIONS(234), 1,
      anon_sym_void,
    ACTIONS(240), 1,
      anon_sym_list,
    ACTIONS(243), 1,
      anon_sym_map,
    ACTIONS(246), 1,
      anon_sym_set,
    ACTIONS(249), 1,
      anon_sym_sink,
    ACTIONS(252), 1,
      anon_sym_stream,
    ACTIONS(255), 1,
      anon_sym_AT,
    ACTIONS(258), 1,
      sym_number,
    STATE(163), 1,
      sym_field_id,
    STATE(210), 1,
      sym_field_modifier,
    STATE(609), 1,
      sym_type,
    ACTIONS(231), 2,
      anon_sym_required,
      anon_sym_optional,
    STATE(54), 2,
      sym_field,
      aux_sym_struct_definition_repeat1,
    STATE(86), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(766), 2,
      sym_primitive,
      sym_container_type,
    STATE(769), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(237), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [3909] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(182), 1,
      sym_identifier,
    ACTIONS(188), 1,
      anon_sym_void,
    ACTIONS(192), 1,
      anon_sym_list,
    ACTIONS(194), 1,
      anon_sym_map,
    ACTIONS(196), 1,
      anon_sym_set,
    ACTIONS(198), 1,
      anon_sym_sink,
    ACTIONS(200), 1,
      anon_sym_stream,
    ACTIONS(202), 1,
      sym_number,
    ACTIONS(261), 1,
      anon_sym_RBRACE,
    STATE(163), 1,
      sym_field_id,
    STATE(210), 1,
      sym_field_modifier,
    STATE(609), 1,
      sym_type,
    ACTIONS(186), 2,
      anon_sym_required,
      anon_sym_optional,
    STATE(54), 2,
      sym_field,
      aux_sym_struct_definition_repeat1,
    STATE(86), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(766), 2,
      sym_primitive,
      sym_container_type,
    STATE(769), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(190), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [3988] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(182), 1,
      sym_identifier,
    ACTIONS(188), 1,
      anon_sym_void,
    ACTIONS(192), 1,
      anon_sym_list,
    ACTIONS(194), 1,
      anon_sym_map,
    ACTIONS(196), 1,
      anon_sym_set,
    ACTIONS(198), 1,
      anon_sym_sink,
    ACTIONS(200), 1,
      anon_sym_stream,
    ACTIONS(202), 1,
      sym_number,
    ACTIONS(263), 1,
      anon_sym_RBRACE,
    STATE(163), 1,
      sym_field_id,
    STATE(210), 1,
      sym_field_modifier,
    STATE(609), 1,
      sym_type,
    ACTIONS(186), 2,
      anon_sym_required,
      anon_sym_optional,
    STATE(54), 2,
      sym_field,
      aux_sym_struct_definition_repeat1,
    STATE(86), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(766), 2,
      sym_primitive,
      sym_container_type,
    STATE(769), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(190), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [4067] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(182), 1,
      sym_identifier,
    ACTIONS(188), 1,
      anon_sym_void,
    ACTIONS(192), 1,
      anon_sym_list,
    ACTIONS(194), 1,
      anon_sym_map,
    ACTIONS(196), 1,
      anon_sym_set,
    ACTIONS(198), 1,
      anon_sym_sink,
    ACTIONS(200), 1,
      anon_sym_stream,
    ACTIONS(202), 1,
      sym_number,
    ACTIONS(265), 1,
      anon_sym_RBRACE,
    STATE(163), 1,
      sym_field_id,
    STATE(210), 1,
      sym_field_modifier,
    STATE(609), 1,
      sym_type,
    ACTIONS(186), 2,
      anon_sym_required,
      anon_sym_optional,
    STATE(54), 2,
      sym_field,
      aux_sym_struct_definition_repeat1,
    STATE(86), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(766), 2,
      sym_primitive,
      sym_container_type,
    STATE(769), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(190), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [4146] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(182), 1,
      sym_identifier,
    ACTIONS(188), 1,
      anon_sym_void,
    ACTIONS(192), 1,
      anon_sym_list,
    ACTIONS(194), 1,
      anon_sym_map,
    ACTIONS(196), 1,
      anon_sym_set,
    ACTIONS(198), 1,
      anon_sym_sink,
    ACTIONS(200), 1,
      anon_sym_stream,
    ACTIONS(202), 1,
      sym_number,
    ACTIONS(267), 1,
      anon_sym_RBRACE,
    STATE(163), 1,
      sym_field_id,
    STATE(210), 1,
      sym_field_modifier,
    STATE(609), 1,
      sym_type,
    ACTIONS(186), 2,
      anon_sym_required,
      anon_sym_optional,
    STATE(70), 2,
      sym_field,
      aux_sym_struct_definition_repeat1,
    STATE(86), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(766), 2,
      sym_primitive,
      sym_container_type,
    STATE(769), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(190), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [4225] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(182), 1,
      sym_identifier,
    ACTIONS(188), 1,
      anon_sym_void,
    ACTIONS(192), 1,
      anon_sym_list,
    ACTIONS(194), 1,
      anon_sym_map,
    ACTIONS(196), 1,
      anon_sym_set,
    ACTIONS(198), 1,
      anon_sym_sink,
    ACTIONS(200), 1,
      anon_sym_stream,
    ACTIONS(202), 1,
      sym_number,
    ACTIONS(261), 1,
      anon_sym_RBRACE,
    STATE(163), 1,
      sym_field_id,
    STATE(210), 1,
      sym_field_modifier,
    STATE(609), 1,
      sym_type,
    ACTIONS(186), 2,
      anon_sym_required,
      anon_sym_optional,
    STATE(45), 2,
      sym_field,
      aux_sym_struct_definition_repeat1,
    STATE(86), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(766), 2,
      sym_primitive,
      sym_container_type,
    STATE(769), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(190), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [4304] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(182), 1,
      sym_identifier,
    ACTIONS(188), 1,
      anon_sym_void,
    ACTIONS(192), 1,
      anon_sym_list,
    ACTIONS(194), 1,
      anon_sym_map,
    ACTIONS(196), 1,
      anon_sym_set,
    ACTIONS(198), 1,
      anon_sym_sink,
    ACTIONS(200), 1,
      anon_sym_stream,
    ACTIONS(202), 1,
      sym_number,
    ACTIONS(269), 1,
      anon_sym_RBRACE,
    STATE(163), 1,
      sym_field_id,
    STATE(210), 1,
      sym_field_modifier,
    STATE(609), 1,
      sym_type,
    ACTIONS(186), 2,
      anon_sym_required,
      anon_sym_optional,
    STATE(54), 2,
      sym_field,
      aux_sym_struct_definition_repeat1,
    STATE(86), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(766), 2,
      sym_primitive,
      sym_container_type,
    STATE(769), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(190), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [4383] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(182), 1,
      sym_identifier,
    ACTIONS(188), 1,
      anon_sym_void,
    ACTIONS(192), 1,
      anon_sym_list,
    ACTIONS(194), 1,
      anon_sym_map,
    ACTIONS(196), 1,
      anon_sym_set,
    ACTIONS(198), 1,
      anon_sym_sink,
    ACTIONS(200), 1,
      anon_sym_stream,
    ACTIONS(202), 1,
      sym_number,
    ACTIONS(269), 1,
      anon_sym_RBRACE,
    STATE(163), 1,
      sym_field_id,
    STATE(210), 1,
      sym_field_modifier,
    STATE(609), 1,
      sym_type,
    ACTIONS(186), 2,
      anon_sym_required,
      anon_sym_optional,
    STATE(46), 2,
      sym_field,
      aux_sym_struct_definition_repeat1,
    STATE(86), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(766), 2,
      sym_primitive,
      sym_container_type,
    STATE(769), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(190), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [4462] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(182), 1,
      sym_identifier,
    ACTIONS(188), 1,
      anon_sym_void,
    ACTIONS(192), 1,
      anon_sym_list,
    ACTIONS(194), 1,
      anon_sym_map,
    ACTIONS(196), 1,
      anon_sym_set,
    ACTIONS(198), 1,
      anon_sym_sink,
    ACTIONS(200), 1,
      anon_sym_stream,
    ACTIONS(202), 1,
      sym_number,
    ACTIONS(271), 1,
      anon_sym_RBRACE,
    STATE(163), 1,
      sym_field_id,
    STATE(210), 1,
      sym_field_modifier,
    STATE(609), 1,
      sym_type,
    ACTIONS(186), 2,
      anon_sym_required,
      anon_sym_optional,
    STATE(54), 2,
      sym_field,
      aux_sym_struct_definition_repeat1,
    STATE(86), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(766), 2,
      sym_primitive,
      sym_container_type,
    STATE(769), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(190), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [4541] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(182), 1,
      sym_identifier,
    ACTIONS(188), 1,
      anon_sym_void,
    ACTIONS(192), 1,
      anon_sym_list,
    ACTIONS(194), 1,
      anon_sym_map,
    ACTIONS(196), 1,
      anon_sym_set,
    ACTIONS(198), 1,
      anon_sym_sink,
    ACTIONS(200), 1,
      anon_sym_stream,
    ACTIONS(202), 1,
      sym_number,
    ACTIONS(273), 1,
      anon_sym_RBRACE,
    STATE(163), 1,
      sym_field_id,
    STATE(210), 1,
      sym_field_modifier,
    STATE(609), 1,
      sym_type,
    ACTIONS(186), 2,
      anon_sym_required,
      anon_sym_optional,
    STATE(54), 2,
      sym_field,
      aux_sym_struct_definition_repeat1,
    STATE(86), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(766), 2,
      sym_primitive,
      sym_container_type,
    STATE(769), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(190), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [4620] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(91), 1,
      anon_sym_list,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(275), 1,
      anon_sym_RBRACE,
    STATE(215), 1,
      sym_function_modifier,
    STATE(631), 1,
      sym_type,
    STATE(71), 2,
      sym_function_definition,
      aux_sym_interaction_definition_repeat1,
    STATE(85), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    ACTIONS(85), 4,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [4695] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(91), 1,
      anon_sym_list,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(275), 1,
      anon_sym_RBRACE,
    STATE(215), 1,
      sym_function_modifier,
    STATE(631), 1,
      sym_type,
    STATE(72), 2,
      sym_function_definition,
      aux_sym_interaction_definition_repeat1,
    STATE(85), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    ACTIONS(85), 4,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [4770] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(182), 1,
      sym_identifier,
    ACTIONS(188), 1,
      anon_sym_void,
    ACTIONS(192), 1,
      anon_sym_list,
    ACTIONS(194), 1,
      anon_sym_map,
    ACTIONS(196), 1,
      anon_sym_set,
    ACTIONS(198), 1,
      anon_sym_sink,
    ACTIONS(200), 1,
      anon_sym_stream,
    ACTIONS(202), 1,
      sym_number,
    ACTIONS(265), 1,
      anon_sym_RBRACE,
    STATE(163), 1,
      sym_field_id,
    STATE(210), 1,
      sym_field_modifier,
    STATE(609), 1,
      sym_type,
    ACTIONS(186), 2,
      anon_sym_required,
      anon_sym_optional,
    STATE(60), 2,
      sym_field,
      aux_sym_struct_definition_repeat1,
    STATE(86), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(766), 2,
      sym_primitive,
      sym_container_type,
    STATE(769), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(190), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [4849] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(277), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_RPAREN,
    ACTIONS(285), 1,
      anon_sym_void,
    ACTIONS(291), 1,
      anon_sym_list,
    ACTIONS(294), 1,
      anon_sym_map,
    ACTIONS(297), 1,
      anon_sym_set,
    ACTIONS(300), 1,
      anon_sym_sink,
    ACTIONS(303), 1,
      anon_sym_stream,
    ACTIONS(306), 1,
      anon_sym_AT,
    ACTIONS(309), 1,
      sym_number,
    STATE(166), 1,
      sym_field_id,
    STATE(224), 1,
      sym_field_modifier,
    STATE(786), 1,
      sym_type,
    ACTIONS(282), 2,
      anon_sym_required,
      anon_sym_optional,
    STATE(67), 2,
      sym_parameter,
      aux_sym_parameters_repeat1,
    STATE(84), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(288), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [4928] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(182), 1,
      sym_identifier,
    ACTIONS(188), 1,
      anon_sym_void,
    ACTIONS(192), 1,
      anon_sym_list,
    ACTIONS(194), 1,
      anon_sym_map,
    ACTIONS(196), 1,
      anon_sym_set,
    ACTIONS(198), 1,
      anon_sym_sink,
    ACTIONS(200), 1,
      anon_sym_stream,
    ACTIONS(202), 1,
      sym_number,
    ACTIONS(312), 1,
      anon_sym_RBRACE,
    STATE(163), 1,
      sym_field_id,
    STATE(210), 1,
      sym_field_modifier,
    STATE(609), 1,
      sym_type,
    ACTIONS(186), 2,
      anon_sym_required,
      anon_sym_optional,
    STATE(57), 2,
      sym_field,
      aux_sym_struct_definition_repeat1,
    STATE(86), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(766), 2,
      sym_primitive,
      sym_container_type,
    STATE(769), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(190), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [5007] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(182), 1,
      sym_identifier,
    ACTIONS(188), 1,
      anon_sym_void,
    ACTIONS(192), 1,
      anon_sym_list,
    ACTIONS(194), 1,
      anon_sym_map,
    ACTIONS(196), 1,
      anon_sym_set,
    ACTIONS(198), 1,
      anon_sym_sink,
    ACTIONS(200), 1,
      anon_sym_stream,
    ACTIONS(202), 1,
      sym_number,
    ACTIONS(314), 1,
      anon_sym_RBRACE,
    STATE(163), 1,
      sym_field_id,
    STATE(210), 1,
      sym_field_modifier,
    STATE(609), 1,
      sym_type,
    ACTIONS(186), 2,
      anon_sym_required,
      anon_sym_optional,
    STATE(49), 2,
      sym_field,
      aux_sym_struct_definition_repeat1,
    STATE(86), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(766), 2,
      sym_primitive,
      sym_container_type,
    STATE(769), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(190), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [5086] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(182), 1,
      sym_identifier,
    ACTIONS(188), 1,
      anon_sym_void,
    ACTIONS(192), 1,
      anon_sym_list,
    ACTIONS(194), 1,
      anon_sym_map,
    ACTIONS(196), 1,
      anon_sym_set,
    ACTIONS(198), 1,
      anon_sym_sink,
    ACTIONS(200), 1,
      anon_sym_stream,
    ACTIONS(202), 1,
      sym_number,
    ACTIONS(316), 1,
      anon_sym_RBRACE,
    STATE(163), 1,
      sym_field_id,
    STATE(210), 1,
      sym_field_modifier,
    STATE(609), 1,
      sym_type,
    ACTIONS(186), 2,
      anon_sym_required,
      anon_sym_optional,
    STATE(54), 2,
      sym_field,
      aux_sym_struct_definition_repeat1,
    STATE(86), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(766), 2,
      sym_primitive,
      sym_container_type,
    STATE(769), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(190), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [5165] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(318), 1,
      sym_identifier,
    ACTIONS(321), 1,
      anon_sym_RBRACE,
    ACTIONS(326), 1,
      anon_sym_void,
    ACTIONS(332), 1,
      anon_sym_list,
    ACTIONS(335), 1,
      anon_sym_map,
    ACTIONS(338), 1,
      anon_sym_set,
    ACTIONS(341), 1,
      anon_sym_sink,
    ACTIONS(344), 1,
      anon_sym_stream,
    ACTIONS(347), 1,
      anon_sym_AT,
    STATE(215), 1,
      sym_function_modifier,
    STATE(631), 1,
      sym_type,
    STATE(71), 2,
      sym_function_definition,
      aux_sym_interaction_definition_repeat1,
    STATE(85), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    ACTIONS(323), 4,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(329), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [5240] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(91), 1,
      anon_sym_list,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(350), 1,
      anon_sym_RBRACE,
    STATE(215), 1,
      sym_function_modifier,
    STATE(631), 1,
      sym_type,
    STATE(71), 2,
      sym_function_definition,
      aux_sym_interaction_definition_repeat1,
    STATE(85), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    ACTIONS(85), 4,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [5315] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(91), 1,
      anon_sym_list,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(352), 1,
      anon_sym_RBRACE,
    STATE(215), 1,
      sym_function_modifier,
    STATE(631), 1,
      sym_type,
    STATE(64), 2,
      sym_function_definition,
      aux_sym_interaction_definition_repeat1,
    STATE(85), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    ACTIONS(85), 4,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [5390] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(182), 1,
      sym_identifier,
    ACTIONS(188), 1,
      anon_sym_void,
    ACTIONS(192), 1,
      anon_sym_list,
    ACTIONS(194), 1,
      anon_sym_map,
    ACTIONS(196), 1,
      anon_sym_set,
    ACTIONS(198), 1,
      anon_sym_sink,
    ACTIONS(200), 1,
      anon_sym_stream,
    ACTIONS(202), 1,
      sym_number,
    ACTIONS(354), 1,
      anon_sym_RBRACE,
    STATE(163), 1,
      sym_field_id,
    STATE(210), 1,
      sym_field_modifier,
    STATE(609), 1,
      sym_type,
    ACTIONS(186), 2,
      anon_sym_required,
      anon_sym_optional,
    STATE(54), 2,
      sym_field,
      aux_sym_struct_definition_repeat1,
    STATE(86), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(766), 2,
      sym_primitive,
      sym_container_type,
    STATE(769), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(190), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [5469] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(182), 1,
      sym_identifier,
    ACTIONS(188), 1,
      anon_sym_void,
    ACTIONS(192), 1,
      anon_sym_list,
    ACTIONS(194), 1,
      anon_sym_map,
    ACTIONS(196), 1,
      anon_sym_set,
    ACTIONS(198), 1,
      anon_sym_sink,
    ACTIONS(200), 1,
      anon_sym_stream,
    ACTIONS(202), 1,
      sym_number,
    ACTIONS(354), 1,
      anon_sym_RBRACE,
    STATE(163), 1,
      sym_field_id,
    STATE(210), 1,
      sym_field_modifier,
    STATE(609), 1,
      sym_type,
    ACTIONS(186), 2,
      anon_sym_required,
      anon_sym_optional,
    STATE(50), 2,
      sym_field,
      aux_sym_struct_definition_repeat1,
    STATE(86), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(766), 2,
      sym_primitive,
      sym_container_type,
    STATE(769), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(190), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [5548] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(182), 1,
      sym_identifier,
    ACTIONS(188), 1,
      anon_sym_void,
    ACTIONS(192), 1,
      anon_sym_list,
    ACTIONS(194), 1,
      anon_sym_map,
    ACTIONS(196), 1,
      anon_sym_set,
    ACTIONS(198), 1,
      anon_sym_sink,
    ACTIONS(200), 1,
      anon_sym_stream,
    ACTIONS(202), 1,
      sym_number,
    ACTIONS(222), 1,
      anon_sym_RBRACE,
    STATE(163), 1,
      sym_field_id,
    STATE(210), 1,
      sym_field_modifier,
    STATE(609), 1,
      sym_type,
    ACTIONS(186), 2,
      anon_sym_required,
      anon_sym_optional,
    STATE(54), 2,
      sym_field,
      aux_sym_struct_definition_repeat1,
    STATE(86), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(766), 2,
      sym_primitive,
      sym_container_type,
    STATE(769), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(190), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [5627] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(91), 1,
      anon_sym_list,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(202), 1,
      sym_number,
    ACTIONS(356), 1,
      anon_sym_RPAREN,
    STATE(166), 1,
      sym_field_id,
    STATE(224), 1,
      sym_field_modifier,
    STATE(786), 1,
      sym_type,
    ACTIONS(186), 2,
      anon_sym_required,
      anon_sym_optional,
    STATE(67), 2,
      sym_parameter,
      aux_sym_parameters_repeat1,
    STATE(84), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [5706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(360), 10,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_AT,
      sym_number,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(358), 26,
      anon_sym_performs,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
      anon_sym_throws,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [5750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(364), 10,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_AT,
      sym_number,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(362), 26,
      anon_sym_performs,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
      anon_sym_throws,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [5794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(368), 10,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_AT,
      sym_number,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(366), 26,
      anon_sym_performs,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
      anon_sym_throws,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [5838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(372), 10,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_AT,
      sym_number,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(370), 26,
      anon_sym_performs,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
      anon_sym_throws,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [5882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(376), 10,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_AT,
      sym_number,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(374), 26,
      anon_sym_performs,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
      anon_sym_throws,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [5926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(380), 10,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_AT,
      sym_number,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(378), 26,
      anon_sym_performs,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
      anon_sym_throws,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [5970] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(91), 1,
      anon_sym_list,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(202), 1,
      sym_number,
    STATE(162), 1,
      sym_field_id,
    STATE(209), 1,
      sym_field_modifier,
    STATE(706), 1,
      sym_type,
    ACTIONS(186), 2,
      anon_sym_required,
      anon_sym_optional,
    STATE(7), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [6042] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(91), 1,
      anon_sym_list,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    STATE(218), 1,
      sym_function_modifier,
    STATE(595), 1,
      sym_type,
    STATE(7), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    ACTIONS(85), 4,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [6110] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(182), 1,
      sym_identifier,
    ACTIONS(188), 1,
      anon_sym_void,
    ACTIONS(192), 1,
      anon_sym_list,
    ACTIONS(194), 1,
      anon_sym_map,
    ACTIONS(196), 1,
      anon_sym_set,
    ACTIONS(198), 1,
      anon_sym_sink,
    ACTIONS(200), 1,
      anon_sym_stream,
    ACTIONS(202), 1,
      sym_number,
    STATE(174), 1,
      sym_field_id,
    STATE(211), 1,
      sym_field_modifier,
    STATE(591), 1,
      sym_type,
    ACTIONS(186), 2,
      anon_sym_required,
      anon_sym_optional,
    STATE(7), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(766), 2,
      sym_primitive,
      sym_container_type,
    STATE(769), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(190), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [6182] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(50), 1,
      anon_sym_DOT,
    ACTIONS(386), 1,
      anon_sym_LBRACE,
    STATE(3), 1,
      aux_sym__type_identifier_repeat1,
    ACTIONS(384), 7,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      sym_number,
    ACTIONS(382), 23,
      anon_sym_xsd_optional,
      anon_sym_xsd_nillable,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_xsd_attrs,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [6229] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(50), 1,
      anon_sym_DOT,
    ACTIONS(392), 1,
      anon_sym_LBRACE,
    STATE(87), 1,
      aux_sym__type_identifier_repeat1,
    ACTIONS(390), 7,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      sym_number,
    ACTIONS(388), 23,
      anon_sym_xsd_optional,
      anon_sym_xsd_nillable,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_xsd_attrs,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [6276] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 32,
      ts_builtin_sym_end,
      anon_sym_include,
      anon_sym_cpp_include,
      anon_sym_namespace,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_RBRACE,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_throws,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
  [6314] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(402), 1,
      anon_sym_EQ,
    ACTIONS(406), 1,
      anon_sym_xsd_optional,
    ACTIONS(408), 1,
      anon_sym_xsd_nillable,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    STATE(180), 1,
      sym_xsd_attrs,
    STATE(267), 1,
      sym_annotation_definition,
    ACTIONS(398), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(404), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(396), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [6370] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    ACTIONS(416), 1,
      anon_sym_EQ,
    ACTIONS(420), 1,
      anon_sym_xsd_optional,
    ACTIONS(422), 1,
      anon_sym_xsd_nillable,
    STATE(188), 1,
      sym_xsd_attrs,
    STATE(247), 1,
      sym_annotation_definition,
    ACTIONS(414), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(418), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(412), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [6426] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    ACTIONS(428), 1,
      anon_sym_EQ,
    ACTIONS(432), 1,
      anon_sym_xsd_optional,
    ACTIONS(434), 1,
      anon_sym_xsd_nillable,
    STATE(179), 1,
      sym_xsd_attrs,
    STATE(264), 1,
      sym_annotation_definition,
    ACTIONS(426), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(430), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(424), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [6482] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    ACTIONS(440), 1,
      anon_sym_EQ,
    ACTIONS(444), 1,
      anon_sym_xsd_optional,
    ACTIONS(446), 1,
      anon_sym_xsd_nillable,
    STATE(185), 1,
      sym_xsd_attrs,
    STATE(275), 1,
      sym_annotation_definition,
    ACTIONS(438), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(442), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(436), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [6538] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    ACTIONS(452), 1,
      anon_sym_EQ,
    ACTIONS(456), 1,
      anon_sym_xsd_optional,
    ACTIONS(458), 1,
      anon_sym_xsd_nillable,
    STATE(182), 1,
      sym_xsd_attrs,
    STATE(250), 1,
      sym_annotation_definition,
    ACTIONS(450), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(454), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(448), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [6594] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(460), 32,
      ts_builtin_sym_end,
      anon_sym_include,
      anon_sym_cpp_include,
      anon_sym_namespace,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_RBRACE,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_throws,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
  [6632] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    ACTIONS(466), 1,
      anon_sym_EQ,
    ACTIONS(470), 1,
      anon_sym_xsd_optional,
    ACTIONS(472), 1,
      anon_sym_xsd_nillable,
    STATE(189), 1,
      sym_xsd_attrs,
    STATE(248), 1,
      sym_annotation_definition,
    ACTIONS(464), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(468), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(462), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [6688] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(474), 1,
      ts_builtin_sym_end,
    ACTIONS(476), 1,
      anon_sym_const,
    ACTIONS(479), 1,
      anon_sym_typedef,
    ACTIONS(482), 1,
      anon_sym_enum,
    ACTIONS(485), 1,
      anon_sym_senum,
    ACTIONS(488), 1,
      anon_sym_struct,
    ACTIONS(491), 1,
      anon_sym_union,
    ACTIONS(494), 1,
      anon_sym_exception,
    ACTIONS(500), 1,
      anon_sym_service,
    ACTIONS(503), 1,
      anon_sym_interaction,
    ACTIONS(506), 1,
      anon_sym_AT,
    STATE(97), 2,
      sym_definition,
      aux_sym_document_repeat2,
    STATE(399), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(525), 2,
      sym_exception_modifier,
      aux_sym_exception_definition_repeat1,
    ACTIONS(497), 6,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
    STATE(432), 9,
      sym_const_definition,
      sym_typedef_definition,
      sym_enum_definition,
      sym_senum_definition,
      sym_struct_definition,
      sym_union_definition,
      sym_exception_definition,
      sym_service_definition,
      sym_interaction_definition,
  [6756] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_const,
    ACTIONS(15), 1,
      anon_sym_typedef,
    ACTIONS(17), 1,
      anon_sym_enum,
    ACTIONS(19), 1,
      anon_sym_senum,
    ACTIONS(21), 1,
      anon_sym_struct,
    ACTIONS(23), 1,
      anon_sym_union,
    ACTIONS(25), 1,
      anon_sym_exception,
    ACTIONS(29), 1,
      anon_sym_service,
    ACTIONS(31), 1,
      anon_sym_interaction,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(69), 1,
      ts_builtin_sym_end,
    STATE(97), 2,
      sym_definition,
      aux_sym_document_repeat2,
    STATE(399), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(525), 2,
      sym_exception_modifier,
      aux_sym_exception_definition_repeat1,
    ACTIONS(27), 6,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
    STATE(432), 9,
      sym_const_definition,
      sym_typedef_definition,
      sym_enum_definition,
      sym_senum_definition,
      sym_struct_definition,
      sym_union_definition,
      sym_exception_definition,
      sym_service_definition,
      sym_interaction_definition,
  [6824] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    ACTIONS(513), 1,
      anon_sym_EQ,
    ACTIONS(517), 1,
      anon_sym_xsd_optional,
    ACTIONS(519), 1,
      anon_sym_xsd_nillable,
    STATE(191), 1,
      sym_xsd_attrs,
    STATE(251), 1,
      sym_annotation_definition,
    ACTIONS(511), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(515), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(509), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [6880] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    ACTIONS(525), 1,
      anon_sym_EQ,
    ACTIONS(529), 1,
      anon_sym_xsd_optional,
    ACTIONS(531), 1,
      anon_sym_xsd_nillable,
    STATE(192), 1,
      sym_xsd_attrs,
    STATE(255), 1,
      sym_annotation_definition,
    ACTIONS(523), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(527), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(521), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [6936] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    ACTIONS(537), 1,
      anon_sym_EQ,
    ACTIONS(541), 1,
      anon_sym_xsd_optional,
    ACTIONS(543), 1,
      anon_sym_xsd_nillable,
    STATE(194), 1,
      sym_xsd_attrs,
    STATE(257), 1,
      sym_annotation_definition,
    ACTIONS(535), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(539), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(533), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [6992] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    ACTIONS(549), 1,
      anon_sym_EQ,
    ACTIONS(553), 1,
      anon_sym_xsd_optional,
    ACTIONS(555), 1,
      anon_sym_xsd_nillable,
    STATE(197), 1,
      sym_xsd_attrs,
    STATE(260), 1,
      sym_annotation_definition,
    ACTIONS(547), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(551), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(545), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [7048] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_const,
    ACTIONS(15), 1,
      anon_sym_typedef,
    ACTIONS(17), 1,
      anon_sym_enum,
    ACTIONS(19), 1,
      anon_sym_senum,
    ACTIONS(21), 1,
      anon_sym_struct,
    ACTIONS(23), 1,
      anon_sym_union,
    ACTIONS(25), 1,
      anon_sym_exception,
    ACTIONS(29), 1,
      anon_sym_service,
    ACTIONS(31), 1,
      anon_sym_interaction,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(557), 1,
      ts_builtin_sym_end,
    STATE(97), 2,
      sym_definition,
      aux_sym_document_repeat2,
    STATE(399), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(525), 2,
      sym_exception_modifier,
      aux_sym_exception_definition_repeat1,
    ACTIONS(27), 6,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
    STATE(432), 9,
      sym_const_definition,
      sym_typedef_definition,
      sym_enum_definition,
      sym_senum_definition,
      sym_struct_definition,
      sym_union_definition,
      sym_exception_definition,
      sym_service_definition,
      sym_interaction_definition,
  [7116] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    ACTIONS(563), 1,
      anon_sym_EQ,
    ACTIONS(567), 1,
      anon_sym_xsd_optional,
    ACTIONS(569), 1,
      anon_sym_xsd_nillable,
    STATE(184), 1,
      sym_xsd_attrs,
    STATE(273), 1,
      sym_annotation_definition,
    ACTIONS(561), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(565), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(559), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [7172] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(577), 1,
      anon_sym_throws,
    STATE(149), 1,
      sym_throws,
    STATE(187), 1,
      sym_annotation_definition,
    ACTIONS(573), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(575), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(571), 23,
      anon_sym_performs,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [7221] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(577), 1,
      anon_sym_throws,
    STATE(168), 1,
      sym_throws,
    STATE(181), 1,
      sym_annotation_definition,
    ACTIONS(581), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(583), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(579), 23,
      anon_sym_performs,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [7270] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    ACTIONS(456), 1,
      anon_sym_xsd_optional,
    ACTIONS(458), 1,
      anon_sym_xsd_nillable,
    STATE(182), 1,
      sym_xsd_attrs,
    STATE(250), 1,
      sym_annotation_definition,
    ACTIONS(450), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(454), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(448), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [7323] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(577), 1,
      anon_sym_throws,
    STATE(173), 1,
      sym_throws,
    STATE(183), 1,
      sym_annotation_definition,
    ACTIONS(587), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(589), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(585), 23,
      anon_sym_performs,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [7372] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    ACTIONS(444), 1,
      anon_sym_xsd_optional,
    ACTIONS(446), 1,
      anon_sym_xsd_nillable,
    STATE(185), 1,
      sym_xsd_attrs,
    STATE(275), 1,
      sym_annotation_definition,
    ACTIONS(438), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(442), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(436), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [7425] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    ACTIONS(470), 1,
      anon_sym_xsd_optional,
    ACTIONS(472), 1,
      anon_sym_xsd_nillable,
    STATE(189), 1,
      sym_xsd_attrs,
    STATE(248), 1,
      sym_annotation_definition,
    ACTIONS(464), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(468), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(462), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [7478] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(577), 1,
      anon_sym_throws,
    STATE(151), 1,
      sym_throws,
    STATE(190), 1,
      sym_annotation_definition,
    ACTIONS(593), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(595), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(591), 23,
      anon_sym_performs,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [7527] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    ACTIONS(517), 1,
      anon_sym_xsd_optional,
    ACTIONS(519), 1,
      anon_sym_xsd_nillable,
    STATE(191), 1,
      sym_xsd_attrs,
    STATE(251), 1,
      sym_annotation_definition,
    ACTIONS(511), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(515), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(509), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [7580] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    ACTIONS(529), 1,
      anon_sym_xsd_optional,
    ACTIONS(531), 1,
      anon_sym_xsd_nillable,
    STATE(192), 1,
      sym_xsd_attrs,
    STATE(255), 1,
      sym_annotation_definition,
    ACTIONS(523), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(527), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(521), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [7633] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(577), 1,
      anon_sym_throws,
    STATE(169), 1,
      sym_throws,
    STATE(193), 1,
      sym_annotation_definition,
    ACTIONS(599), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(601), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(597), 23,
      anon_sym_performs,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [7682] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    ACTIONS(541), 1,
      anon_sym_xsd_optional,
    ACTIONS(543), 1,
      anon_sym_xsd_nillable,
    STATE(194), 1,
      sym_xsd_attrs,
    STATE(257), 1,
      sym_annotation_definition,
    ACTIONS(535), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(539), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(533), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [7735] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    ACTIONS(553), 1,
      anon_sym_xsd_optional,
    ACTIONS(555), 1,
      anon_sym_xsd_nillable,
    STATE(197), 1,
      sym_xsd_attrs,
    STATE(260), 1,
      sym_annotation_definition,
    ACTIONS(547), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(551), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(545), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [7788] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    ACTIONS(609), 1,
      anon_sym_xsd_optional,
    ACTIONS(611), 1,
      anon_sym_xsd_nillable,
    STATE(195), 1,
      sym_xsd_attrs,
    STATE(258), 1,
      sym_annotation_definition,
    ACTIONS(605), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(607), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(603), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [7841] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    ACTIONS(619), 1,
      anon_sym_xsd_optional,
    ACTIONS(621), 1,
      anon_sym_xsd_nillable,
    STATE(198), 1,
      sym_xsd_attrs,
    STATE(261), 1,
      sym_annotation_definition,
    ACTIONS(615), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(617), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(613), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [7894] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    ACTIONS(629), 1,
      anon_sym_xsd_optional,
    ACTIONS(631), 1,
      anon_sym_xsd_nillable,
    STATE(199), 1,
      sym_xsd_attrs,
    STATE(277), 1,
      sym_annotation_definition,
    ACTIONS(625), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(627), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(623), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [7947] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    ACTIONS(639), 1,
      anon_sym_xsd_optional,
    ACTIONS(641), 1,
      anon_sym_xsd_nillable,
    STATE(201), 1,
      sym_xsd_attrs,
    STATE(265), 1,
      sym_annotation_definition,
    ACTIONS(635), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(637), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(633), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [8000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(645), 7,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      sym_number,
    ACTIONS(643), 23,
      anon_sym_xsd_optional,
      anon_sym_xsd_nillable,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_xsd_attrs,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [8038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 6,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_AT,
    ACTIONS(647), 24,
      anon_sym_performs,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
      anon_sym_throws,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [8076] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    ACTIONS(519), 1,
      anon_sym_xsd_nillable,
    STATE(191), 1,
      sym_xsd_attrs,
    STATE(251), 1,
      sym_annotation_definition,
    ACTIONS(511), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(515), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(509), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [8126] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    ACTIONS(531), 1,
      anon_sym_xsd_nillable,
    STATE(192), 1,
      sym_xsd_attrs,
    STATE(255), 1,
      sym_annotation_definition,
    ACTIONS(523), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(527), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(521), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [8176] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    ACTIONS(458), 1,
      anon_sym_xsd_nillable,
    STATE(182), 1,
      sym_xsd_attrs,
    STATE(250), 1,
      sym_annotation_definition,
    ACTIONS(450), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(454), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(448), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [8226] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    ACTIONS(543), 1,
      anon_sym_xsd_nillable,
    STATE(194), 1,
      sym_xsd_attrs,
    STATE(257), 1,
      sym_annotation_definition,
    ACTIONS(535), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(539), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(533), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [8276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(653), 6,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_AT,
    ACTIONS(651), 24,
      anon_sym_performs,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
      anon_sym_throws,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [8314] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    ACTIONS(611), 1,
      anon_sym_xsd_nillable,
    STATE(195), 1,
      sym_xsd_attrs,
    STATE(258), 1,
      sym_annotation_definition,
    ACTIONS(605), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(607), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(603), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [8364] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(408), 1,
      anon_sym_xsd_nillable,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    STATE(180), 1,
      sym_xsd_attrs,
    STATE(267), 1,
      sym_annotation_definition,
    ACTIONS(398), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(404), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(396), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [8414] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    ACTIONS(446), 1,
      anon_sym_xsd_nillable,
    STATE(185), 1,
      sym_xsd_attrs,
    STATE(275), 1,
      sym_annotation_definition,
    ACTIONS(438), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(442), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(436), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [8464] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    ACTIONS(422), 1,
      anon_sym_xsd_nillable,
    STATE(188), 1,
      sym_xsd_attrs,
    STATE(247), 1,
      sym_annotation_definition,
    ACTIONS(414), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(418), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(412), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [8514] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    ACTIONS(621), 1,
      anon_sym_xsd_nillable,
    STATE(198), 1,
      sym_xsd_attrs,
    STATE(261), 1,
      sym_annotation_definition,
    ACTIONS(615), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(617), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(613), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [8564] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    ACTIONS(631), 1,
      anon_sym_xsd_nillable,
    STATE(199), 1,
      sym_xsd_attrs,
    STATE(277), 1,
      sym_annotation_definition,
    ACTIONS(625), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(627), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(623), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [8614] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    ACTIONS(661), 1,
      anon_sym_xsd_nillable,
    STATE(200), 1,
      sym_xsd_attrs,
    STATE(263), 1,
      sym_annotation_definition,
    ACTIONS(657), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(659), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(655), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [8664] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    ACTIONS(641), 1,
      anon_sym_xsd_nillable,
    STATE(201), 1,
      sym_xsd_attrs,
    STATE(265), 1,
      sym_annotation_definition,
    ACTIONS(635), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(637), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(633), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [8714] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    ACTIONS(669), 1,
      anon_sym_xsd_nillable,
    STATE(203), 1,
      sym_xsd_attrs,
    STATE(268), 1,
      sym_annotation_definition,
    ACTIONS(665), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(667), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(663), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [8764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(673), 7,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      sym_number,
    ACTIONS(671), 23,
      anon_sym_xsd_optional,
      anon_sym_xsd_nillable,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_xsd_attrs,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [8802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 7,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      sym_number,
    ACTIONS(675), 23,
      anon_sym_xsd_optional,
      anon_sym_xsd_nillable,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_xsd_attrs,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [8840] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    ACTIONS(472), 1,
      anon_sym_xsd_nillable,
    STATE(189), 1,
      sym_xsd_attrs,
    STATE(248), 1,
      sym_annotation_definition,
    ACTIONS(464), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(468), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(462), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [8890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(681), 7,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      sym_number,
    ACTIONS(679), 23,
      anon_sym_xsd_optional,
      anon_sym_xsd_nillable,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_xsd_attrs,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [8928] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 7,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      sym_number,
    ACTIONS(683), 23,
      anon_sym_xsd_optional,
      anon_sym_xsd_nillable,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_xsd_attrs,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [8966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(689), 7,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      sym_number,
    ACTIONS(687), 23,
      anon_sym_xsd_optional,
      anon_sym_xsd_nillable,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_xsd_attrs,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [9004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(693), 7,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      sym_number,
    ACTIONS(691), 23,
      anon_sym_xsd_optional,
      anon_sym_xsd_nillable,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_xsd_attrs,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [9042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(697), 7,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      sym_number,
    ACTIONS(695), 23,
      anon_sym_xsd_optional,
      anon_sym_xsd_nillable,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_xsd_attrs,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [9080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 7,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      sym_number,
    ACTIONS(699), 23,
      anon_sym_xsd_optional,
      anon_sym_xsd_nillable,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_xsd_attrs,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [9118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 7,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      sym_number,
    ACTIONS(703), 23,
      anon_sym_xsd_optional,
      anon_sym_xsd_nillable,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_xsd_attrs,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [9156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(460), 7,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      sym_number,
    ACTIONS(705), 23,
      anon_sym_xsd_optional,
      anon_sym_xsd_nillable,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_xsd_attrs,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [9194] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    ACTIONS(555), 1,
      anon_sym_xsd_nillable,
    STATE(197), 1,
      sym_xsd_attrs,
    STATE(260), 1,
      sym_annotation_definition,
    ACTIONS(547), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(551), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(545), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [9244] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    STATE(190), 1,
      sym_annotation_definition,
    ACTIONS(593), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(595), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(591), 23,
      anon_sym_performs,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [9287] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    STATE(188), 1,
      sym_xsd_attrs,
    STATE(247), 1,
      sym_annotation_definition,
    ACTIONS(414), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(418), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(412), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [9334] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    STATE(193), 1,
      sym_annotation_definition,
    ACTIONS(599), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(601), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(597), 23,
      anon_sym_performs,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [9377] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    STATE(199), 1,
      sym_xsd_attrs,
    STATE(277), 1,
      sym_annotation_definition,
    ACTIONS(625), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(627), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(623), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [9424] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    STATE(180), 1,
      sym_xsd_attrs,
    STATE(267), 1,
      sym_annotation_definition,
    ACTIONS(398), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(404), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(396), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [9471] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    STATE(200), 1,
      sym_xsd_attrs,
    STATE(263), 1,
      sym_annotation_definition,
    ACTIONS(657), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(659), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(655), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [9518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 6,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_AT,
    ACTIONS(707), 23,
      anon_sym_performs,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [9555] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    STATE(201), 1,
      sym_xsd_attrs,
    STATE(265), 1,
      sym_annotation_definition,
    ACTIONS(635), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(637), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(633), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [9602] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    STATE(185), 1,
      sym_xsd_attrs,
    STATE(275), 1,
      sym_annotation_definition,
    ACTIONS(438), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(442), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(436), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [9649] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    STATE(202), 1,
      sym_xsd_attrs,
    STATE(266), 1,
      sym_annotation_definition,
    ACTIONS(713), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(715), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(711), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [9696] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    STATE(194), 1,
      sym_xsd_attrs,
    STATE(257), 1,
      sym_annotation_definition,
    ACTIONS(535), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(539), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(533), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [9743] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    STATE(203), 1,
      sym_xsd_attrs,
    STATE(268), 1,
      sym_annotation_definition,
    ACTIONS(665), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(667), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(663), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [9790] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    STATE(204), 1,
      sym_xsd_attrs,
    STATE(270), 1,
      sym_annotation_definition,
    ACTIONS(719), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(721), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(717), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [9837] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(91), 1,
      anon_sym_list,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    STATE(212), 1,
      sym_field_modifier,
    STATE(790), 1,
      sym_type,
    ACTIONS(186), 2,
      anon_sym_required,
      anon_sym_optional,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [9896] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(182), 1,
      sym_identifier,
    ACTIONS(188), 1,
      anon_sym_void,
    ACTIONS(192), 1,
      anon_sym_list,
    ACTIONS(194), 1,
      anon_sym_map,
    ACTIONS(196), 1,
      anon_sym_set,
    ACTIONS(198), 1,
      anon_sym_sink,
    ACTIONS(200), 1,
      anon_sym_stream,
    STATE(211), 1,
      sym_field_modifier,
    STATE(591), 1,
      sym_type,
    ACTIONS(186), 2,
      anon_sym_required,
      anon_sym_optional,
    STATE(766), 2,
      sym_primitive,
      sym_container_type,
    STATE(769), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(190), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [9955] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    STATE(191), 1,
      sym_xsd_attrs,
    STATE(251), 1,
      sym_annotation_definition,
    ACTIONS(511), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(515), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(509), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [10002] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    STATE(195), 1,
      sym_xsd_attrs,
    STATE(258), 1,
      sym_annotation_definition,
    ACTIONS(605), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(607), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(603), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [10049] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(91), 1,
      anon_sym_list,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    STATE(209), 1,
      sym_field_modifier,
    STATE(706), 1,
      sym_type,
    ACTIONS(186), 2,
      anon_sym_required,
      anon_sym_optional,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [10108] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    STATE(189), 1,
      sym_xsd_attrs,
    STATE(248), 1,
      sym_annotation_definition,
    ACTIONS(464), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(468), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(462), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [10155] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    STATE(183), 1,
      sym_annotation_definition,
    ACTIONS(587), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(589), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(585), 23,
      anon_sym_performs,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [10198] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    STATE(196), 1,
      sym_annotation_definition,
    ACTIONS(725), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(727), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(723), 23,
      anon_sym_performs,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [10241] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    STATE(182), 1,
      sym_xsd_attrs,
    STATE(250), 1,
      sym_annotation_definition,
    ACTIONS(450), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(454), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(448), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [10288] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    STATE(197), 1,
      sym_xsd_attrs,
    STATE(260), 1,
      sym_annotation_definition,
    ACTIONS(547), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(551), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(545), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [10335] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    STATE(192), 1,
      sym_xsd_attrs,
    STATE(255), 1,
      sym_annotation_definition,
    ACTIONS(523), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(527), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(521), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [10382] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    STATE(187), 1,
      sym_annotation_definition,
    ACTIONS(573), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(575), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(571), 23,
      anon_sym_performs,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [10425] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(182), 1,
      sym_identifier,
    ACTIONS(188), 1,
      anon_sym_void,
    ACTIONS(192), 1,
      anon_sym_list,
    ACTIONS(194), 1,
      anon_sym_map,
    ACTIONS(196), 1,
      anon_sym_set,
    ACTIONS(198), 1,
      anon_sym_sink,
    ACTIONS(200), 1,
      anon_sym_stream,
    STATE(206), 1,
      sym_field_modifier,
    STATE(607), 1,
      sym_type,
    ACTIONS(186), 2,
      anon_sym_required,
      anon_sym_optional,
    STATE(766), 2,
      sym_primitive,
      sym_container_type,
    STATE(769), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(190), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [10484] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_xsd_attrs,
    STATE(198), 1,
      sym_xsd_attrs,
    STATE(261), 1,
      sym_annotation_definition,
    ACTIONS(615), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(617), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(613), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [10531] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(734), 1,
      anon_sym_namespace,
    ACTIONS(737), 1,
      anon_sym_package,
    ACTIONS(740), 1,
      anon_sym_AT,
    ACTIONS(731), 2,
      anon_sym_include,
      anon_sym_cpp_include,
    STATE(176), 2,
      sym_header,
      aux_sym_document_repeat1,
    STATE(649), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(329), 3,
      sym_include_statement,
      sym_namespace_declaration,
      sym_package_declaration,
    ACTIONS(729), 16,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
  [10579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(745), 7,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      sym_number,
    ACTIONS(743), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [10614] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(747), 1,
      anon_sym_DOT,
    STATE(178), 1,
      aux_sym__type_identifier_repeat1,
    ACTIONS(41), 25,
      ts_builtin_sym_end,
      anon_sym_include,
      anon_sym_cpp_include,
      anon_sym_namespace,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_LBRACE,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_COMMA,
      anon_sym_AT,
  [10651] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    STATE(267), 1,
      sym_annotation_definition,
    ACTIONS(398), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(404), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(396), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [10692] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    STATE(250), 1,
      sym_annotation_definition,
    ACTIONS(450), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(454), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(448), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [10733] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(587), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(589), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(585), 23,
      anon_sym_performs,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [10770] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    STATE(275), 1,
      sym_annotation_definition,
    ACTIONS(438), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(442), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(436), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [10811] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(575), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(571), 23,
      anon_sym_performs,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [10848] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    STATE(247), 1,
      sym_annotation_definition,
    ACTIONS(414), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(418), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(412), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [10889] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    STATE(248), 1,
      sym_annotation_definition,
    ACTIONS(464), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(468), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(462), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [10930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(752), 7,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      sym_number,
    ACTIONS(750), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [10965] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(593), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(595), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(591), 23,
      anon_sym_performs,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [11002] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    STATE(251), 1,
      sym_annotation_definition,
    ACTIONS(511), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(515), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(509), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [11043] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    STATE(255), 1,
      sym_annotation_definition,
    ACTIONS(523), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(527), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(521), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [11084] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(599), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(601), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(597), 23,
      anon_sym_performs,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [11121] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    STATE(257), 1,
      sym_annotation_definition,
    ACTIONS(535), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(539), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(533), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [11162] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    STATE(258), 1,
      sym_annotation_definition,
    ACTIONS(605), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(607), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(603), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [11203] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(727), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(723), 23,
      anon_sym_performs,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [11240] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    STATE(260), 1,
      sym_annotation_definition,
    ACTIONS(547), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(551), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(545), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [11281] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    STATE(261), 1,
      sym_annotation_definition,
    ACTIONS(615), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(617), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(613), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [11322] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(756), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(758), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(754), 23,
      anon_sym_performs,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [11359] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    STATE(277), 1,
      sym_annotation_definition,
    ACTIONS(625), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(627), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(623), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [11400] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    STATE(263), 1,
      sym_annotation_definition,
    ACTIONS(657), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(659), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(655), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [11441] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    STATE(265), 1,
      sym_annotation_definition,
    ACTIONS(635), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(637), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(633), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [11482] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    STATE(266), 1,
      sym_annotation_definition,
    ACTIONS(713), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(715), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(711), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [11523] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    STATE(268), 1,
      sym_annotation_definition,
    ACTIONS(665), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(667), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(663), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [11564] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    STATE(269), 1,
      sym_annotation_definition,
    ACTIONS(762), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(764), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(760), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [11605] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    STATE(270), 1,
      sym_annotation_definition,
    ACTIONS(719), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(721), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(717), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [11646] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    STATE(272), 1,
      sym_annotation_definition,
    ACTIONS(768), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(770), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(766), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [11687] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(772), 1,
      anon_sym_list,
    STATE(744), 1,
      sym_type,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [11739] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(182), 1,
      sym_identifier,
    ACTIONS(188), 1,
      anon_sym_void,
    ACTIONS(192), 1,
      anon_sym_list,
    ACTIONS(194), 1,
      anon_sym_map,
    ACTIONS(196), 1,
      anon_sym_set,
    ACTIONS(198), 1,
      anon_sym_sink,
    ACTIONS(200), 1,
      anon_sym_stream,
    STATE(594), 1,
      sym_type,
    STATE(766), 2,
      sym_primitive,
      sym_container_type,
    STATE(769), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(190), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [11791] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(772), 1,
      anon_sym_list,
    STATE(724), 1,
      sym_type,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [11843] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(772), 1,
      anon_sym_list,
    STATE(626), 1,
      sym_type,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [11895] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(91), 1,
      anon_sym_list,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    STATE(790), 1,
      sym_type,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [11947] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(182), 1,
      sym_identifier,
    ACTIONS(188), 1,
      anon_sym_void,
    ACTIONS(192), 1,
      anon_sym_list,
    ACTIONS(194), 1,
      anon_sym_map,
    ACTIONS(196), 1,
      anon_sym_set,
    ACTIONS(198), 1,
      anon_sym_sink,
    ACTIONS(200), 1,
      anon_sym_stream,
    STATE(591), 1,
      sym_type,
    STATE(766), 2,
      sym_primitive,
      sym_container_type,
    STATE(769), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(190), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [11999] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(182), 1,
      sym_identifier,
    ACTIONS(188), 1,
      anon_sym_void,
    ACTIONS(192), 1,
      anon_sym_list,
    ACTIONS(194), 1,
      anon_sym_map,
    ACTIONS(196), 1,
      anon_sym_set,
    ACTIONS(198), 1,
      anon_sym_sink,
    ACTIONS(200), 1,
      anon_sym_stream,
    STATE(607), 1,
      sym_type,
    STATE(766), 2,
      sym_primitive,
      sym_container_type,
    STATE(769), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(190), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [12051] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(91), 1,
      anon_sym_list,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    STATE(788), 1,
      sym_type,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [12103] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(91), 1,
      anon_sym_list,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    STATE(886), 1,
      sym_type,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [12155] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(776), 1,
      anon_sym_SEMI,
    ACTIONS(778), 1,
      anon_sym_LPAREN,
    ACTIONS(780), 1,
      anon_sym_DOT,
    STATE(220), 1,
      aux_sym__type_identifier_repeat1,
    STATE(311), 1,
      sym_namespace_uri,
    ACTIONS(774), 21,
      ts_builtin_sym_end,
      anon_sym_include,
      anon_sym_cpp_include,
      anon_sym_namespace,
      anon_sym_package,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [12197] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(91), 1,
      anon_sym_list,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    STATE(595), 1,
      sym_type,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [12249] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(772), 1,
      anon_sym_list,
    STATE(708), 1,
      sym_type,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [12301] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(91), 1,
      anon_sym_list,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    STATE(773), 1,
      sym_type,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [12353] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(91), 1,
      anon_sym_list,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    STATE(610), 1,
      sym_type,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [12405] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(772), 1,
      anon_sym_list,
    STATE(694), 1,
      sym_type,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [12457] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(778), 1,
      anon_sym_LPAREN,
    ACTIONS(780), 1,
      anon_sym_DOT,
    ACTIONS(784), 1,
      anon_sym_SEMI,
    STATE(178), 1,
      aux_sym__type_identifier_repeat1,
    STATE(313), 1,
      sym_namespace_uri,
    ACTIONS(782), 21,
      ts_builtin_sym_end,
      anon_sym_include,
      anon_sym_cpp_include,
      anon_sym_namespace,
      anon_sym_package,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [12499] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(772), 1,
      anon_sym_list,
    STATE(714), 1,
      sym_type,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [12551] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(772), 1,
      anon_sym_list,
    STATE(717), 1,
      sym_type,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [12603] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(772), 1,
      anon_sym_list,
    STATE(730), 1,
      sym_type,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [12655] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(91), 1,
      anon_sym_list,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    STATE(706), 1,
      sym_type,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [12707] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(772), 1,
      anon_sym_list,
    STATE(801), 1,
      sym_type,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [12759] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(772), 1,
      anon_sym_list,
    STATE(618), 1,
      sym_type,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [12811] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(91), 1,
      anon_sym_list,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    STATE(892), 1,
      sym_type,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [12863] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(772), 1,
      anon_sym_list,
    STATE(723), 1,
      sym_type,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [12915] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(772), 1,
      anon_sym_list,
    STATE(745), 1,
      sym_type,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [12967] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 26,
      ts_builtin_sym_end,
      anon_sym_include,
      anon_sym_cpp_include,
      anon_sym_namespace,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_LBRACE,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT,
  [12999] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(772), 1,
      anon_sym_list,
    STATE(588), 1,
      sym_type,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [13051] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(772), 1,
      anon_sym_list,
    STATE(734), 1,
      sym_type,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [13103] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(772), 1,
      anon_sym_list,
    STATE(735), 1,
      sym_type,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [13155] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(772), 1,
      anon_sym_list,
    STATE(736), 1,
      sym_type,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [13207] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(772), 1,
      anon_sym_list,
    STATE(739), 1,
      sym_type,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [13259] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(772), 1,
      anon_sym_list,
    STATE(746), 1,
      sym_type,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [13311] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(772), 1,
      anon_sym_list,
    STATE(627), 1,
      sym_type,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [13363] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(772), 1,
      anon_sym_list,
    STATE(753), 1,
      sym_type,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [13415] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(772), 1,
      anon_sym_list,
    STATE(629), 1,
      sym_type,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [13467] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(772), 1,
      anon_sym_list,
    STATE(760), 1,
      sym_type,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [13519] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(772), 1,
      anon_sym_list,
    STATE(630), 1,
      sym_type,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [13571] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(772), 1,
      anon_sym_list,
    STATE(676), 1,
      sym_type,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [13623] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(772), 1,
      anon_sym_list,
    STATE(799), 1,
      sym_type,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [13675] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(772), 1,
      anon_sym_list,
    STATE(611), 1,
      sym_type,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [13727] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_void,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(772), 1,
      anon_sym_list,
    STATE(593), 1,
      sym_type,
    STATE(639), 2,
      sym_primitive,
      sym_container_type,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [13779] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_list,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(786), 1,
      sym_identifier,
    STATE(695), 1,
      sym_definition_type,
    STATE(818), 2,
      sym_primitive,
      sym_container_type,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [13828] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(511), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(515), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(509), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [13863] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(527), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(521), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [13898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(597), 23,
      anon_sym_performs,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [13931] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(438), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(442), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(436), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [13966] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(535), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(539), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(533), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [14001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(575), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(571), 23,
      anon_sym_performs,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [14034] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_list,
    ACTIONS(93), 1,
      anon_sym_map,
    ACTIONS(95), 1,
      anon_sym_set,
    ACTIONS(97), 1,
      anon_sym_sink,
    ACTIONS(99), 1,
      anon_sym_stream,
    ACTIONS(786), 1,
      sym_identifier,
    STATE(725), 1,
      sym_definition_type,
    STATE(818), 2,
      sym_primitive,
      sym_container_type,
    STATE(599), 5,
      sym_list,
      sym_map,
      sym_set,
      sym_sink,
      sym_stream,
    ACTIONS(89), 11,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
  [14083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(790), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(788), 23,
      anon_sym_performs,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [14116] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(607), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(603), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [14151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(723), 23,
      anon_sym_performs,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [14184] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(547), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(551), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(545), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [14219] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(615), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(617), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(613), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [14254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(758), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(754), 23,
      anon_sym_performs,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [14287] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(625), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(627), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(623), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [14322] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(657), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(659), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(655), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [14357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(794), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(792), 23,
      anon_sym_performs,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [14390] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(713), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(715), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(711), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [14425] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(398), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(404), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(396), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [14460] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(665), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(667), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(663), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [14495] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(762), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(764), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(760), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [14530] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(450), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(454), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(448), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [14565] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(721), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(717), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [14600] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(798), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(800), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(796), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [14635] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(768), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(770), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(766), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [14670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(804), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(802), 23,
      anon_sym_performs,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [14703] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(808), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(810), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(806), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [14738] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(414), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(418), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(412), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [14773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(589), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(585), 23,
      anon_sym_performs,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [14806] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(464), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(468), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(462), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [14841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(595), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(591), 23,
      anon_sym_performs,
      anon_sym_async,
      anon_sym_oneway,
      anon_sym_readonly,
      anon_sym_idempotent,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [14874] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(635), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(637), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(633), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [14909] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(778), 1,
      anon_sym_LPAREN,
    ACTIONS(814), 1,
      anon_sym_SEMI,
    STATE(306), 1,
      sym_namespace_uri,
    ACTIONS(812), 21,
      ts_builtin_sym_end,
      anon_sym_include,
      anon_sym_cpp_include,
      anon_sym_namespace,
      anon_sym_package,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [14945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(527), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(521), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [14976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(442), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(436), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [15007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(404), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(396), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [15038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(764), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(760), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [15069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(627), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(623), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [15100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(418), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(412), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [15131] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(721), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(717), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [15162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(603), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [15193] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(800), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(796), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [15224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(655), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [15255] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(770), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(766), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [15286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(551), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(545), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [15317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(539), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(533), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [15348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(818), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(816), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [15379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(810), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(806), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [15410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(822), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(820), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [15441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(454), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(448), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [15472] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(780), 1,
      anon_sym_DOT,
    ACTIONS(824), 1,
      anon_sym_LBRACE,
    STATE(297), 1,
      aux_sym__type_identifier_repeat1,
    ACTIONS(390), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_COMMA,
      anon_sym_AT,
  [15507] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(780), 1,
      anon_sym_DOT,
    ACTIONS(826), 1,
      anon_sym_LBRACE,
    STATE(178), 1,
      aux_sym__type_identifier_repeat1,
    ACTIONS(384), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_COMMA,
      anon_sym_AT,
  [15542] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(468), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(462), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [15573] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(715), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(711), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [15604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(633), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [15635] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(617), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      sym_number,
    ACTIONS(613), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [15666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(515), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(509), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [15697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 3,
      anon_sym_RPAREN,
      anon_sym_AT,
      sym_number,
    ACTIONS(663), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [15728] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(645), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_AT,
  [15756] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(681), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_AT,
  [15784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(830), 1,
      anon_sym_SEMI,
    ACTIONS(828), 21,
      ts_builtin_sym_end,
      anon_sym_include,
      anon_sym_cpp_include,
      anon_sym_namespace,
      anon_sym_package,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [15814] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(689), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_AT,
  [15842] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(697), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_AT,
  [15870] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(693), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_AT,
  [15898] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_AT,
  [15926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(834), 1,
      anon_sym_SEMI,
    ACTIONS(832), 21,
      ts_builtin_sym_end,
      anon_sym_include,
      anon_sym_cpp_include,
      anon_sym_namespace,
      anon_sym_package,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [15956] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(673), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_AT,
  [15984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(838), 1,
      anon_sym_SEMI,
    ACTIONS(836), 21,
      ts_builtin_sym_end,
      anon_sym_include,
      anon_sym_cpp_include,
      anon_sym_namespace,
      anon_sym_package,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [16014] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(840), 22,
      ts_builtin_sym_end,
      anon_sym_include,
      anon_sym_cpp_include,
      anon_sym_namespace,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [16042] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_AT,
  [16070] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_AT,
  [16098] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(842), 21,
      ts_builtin_sym_end,
      anon_sym_include,
      anon_sym_cpp_include,
      anon_sym_namespace,
      anon_sym_package,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [16125] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(844), 21,
      ts_builtin_sym_end,
      anon_sym_include,
      anon_sym_cpp_include,
      anon_sym_namespace,
      anon_sym_package,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [16152] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(338), 1,
      sym_annotation_definition,
    ACTIONS(848), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(846), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [16185] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(341), 1,
      sym_annotation_definition,
    ACTIONS(854), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(852), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [16218] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(856), 21,
      ts_builtin_sym_end,
      anon_sym_include,
      anon_sym_cpp_include,
      anon_sym_namespace,
      anon_sym_package,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [16245] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(836), 21,
      ts_builtin_sym_end,
      anon_sym_include,
      anon_sym_cpp_include,
      anon_sym_namespace,
      anon_sym_package,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [16272] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(335), 1,
      sym_annotation_definition,
    ACTIONS(860), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(858), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [16305] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(862), 21,
      ts_builtin_sym_end,
      anon_sym_include,
      anon_sym_cpp_include,
      anon_sym_namespace,
      anon_sym_package,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [16332] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(864), 21,
      ts_builtin_sym_end,
      anon_sym_include,
      anon_sym_cpp_include,
      anon_sym_namespace,
      anon_sym_package,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [16359] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(828), 21,
      ts_builtin_sym_end,
      anon_sym_include,
      anon_sym_cpp_include,
      anon_sym_namespace,
      anon_sym_package,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [16386] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_annotation_definition,
    ACTIONS(868), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(866), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [16419] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(832), 21,
      ts_builtin_sym_end,
      anon_sym_include,
      anon_sym_cpp_include,
      anon_sym_namespace,
      anon_sym_package,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [16446] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(870), 21,
      ts_builtin_sym_end,
      anon_sym_include,
      anon_sym_cpp_include,
      anon_sym_namespace,
      anon_sym_package,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [16473] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(363), 1,
      sym_annotation_definition,
    ACTIONS(874), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(872), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [16506] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(876), 21,
      ts_builtin_sym_end,
      anon_sym_include,
      anon_sym_cpp_include,
      anon_sym_namespace,
      anon_sym_package,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [16533] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(878), 20,
      anon_sym_required,
      anon_sym_optional,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [16559] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(403), 1,
      sym_annotation_definition,
    ACTIONS(880), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [16588] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(446), 1,
      sym_annotation_definition,
    ACTIONS(882), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [16617] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(886), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(884), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [16644] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(412), 1,
      sym_annotation_definition,
    ACTIONS(888), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [16673] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(413), 1,
      sym_annotation_definition,
    ACTIONS(890), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [16702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(894), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(892), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [16729] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(414), 1,
      sym_annotation_definition,
    ACTIONS(896), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [16758] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(431), 1,
      sym_annotation_definition,
    ACTIONS(898), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [16787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(902), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(900), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [16814] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(416), 1,
      sym_annotation_definition,
    ACTIONS(904), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [16843] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(426), 1,
      sym_annotation_definition,
    ACTIONS(906), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [16872] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(428), 1,
      sym_annotation_definition,
    ACTIONS(908), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [16901] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(474), 1,
      sym_annotation_definition,
    ACTIONS(910), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [16930] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(473), 1,
      sym_annotation_definition,
    ACTIONS(912), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [16959] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(475), 1,
      sym_annotation_definition,
    ACTIONS(914), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [16988] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(476), 1,
      sym_annotation_definition,
    ACTIONS(916), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [17017] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(477), 1,
      sym_annotation_definition,
    ACTIONS(918), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [17046] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(419), 1,
      sym_annotation_definition,
    ACTIONS(920), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [17075] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(430), 1,
      sym_annotation_definition,
    ACTIONS(922), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [17104] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(407), 1,
      sym_annotation_definition,
    ACTIONS(924), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [17133] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(423), 1,
      sym_annotation_definition,
    ACTIONS(926), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [17162] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(471), 1,
      sym_annotation_definition,
    ACTIONS(928), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [17191] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(451), 1,
      sym_annotation_definition,
    ACTIONS(930), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [17220] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(433), 1,
      sym_annotation_definition,
    ACTIONS(932), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [17249] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(934), 1,
      anon_sym_package,
    ACTIONS(936), 1,
      anon_sym_const,
    ACTIONS(938), 1,
      anon_sym_typedef,
    ACTIONS(940), 1,
      anon_sym_enum,
    ACTIONS(942), 1,
      anon_sym_struct,
    ACTIONS(944), 1,
      anon_sym_union,
    ACTIONS(946), 1,
      anon_sym_exception,
    ACTIONS(948), 1,
      anon_sym_service,
    STATE(7), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(523), 2,
      sym_exception_modifier,
      aux_sym_exception_definition_repeat1,
    ACTIONS(27), 6,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
  [17296] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(449), 1,
      sym_annotation_definition,
    ACTIONS(950), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [17325] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(453), 1,
      sym_annotation_definition,
    ACTIONS(952), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [17354] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(434), 1,
      sym_annotation_definition,
    ACTIONS(954), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [17383] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(435), 1,
      sym_annotation_definition,
    ACTIONS(956), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [17412] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(478), 1,
      sym_annotation_definition,
    ACTIONS(958), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [17441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(962), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(960), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [17468] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(421), 1,
      sym_annotation_definition,
    ACTIONS(964), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [17497] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(479), 1,
      sym_annotation_definition,
    ACTIONS(966), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [17526] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(411), 1,
      sym_annotation_definition,
    ACTIONS(968), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [17555] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(460), 1,
      sym_annotation_definition,
    ACTIONS(970), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [17584] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(439), 1,
      sym_annotation_definition,
    ACTIONS(972), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [17613] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(440), 1,
      sym_annotation_definition,
    ACTIONS(974), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [17642] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(441), 1,
      sym_annotation_definition,
    ACTIONS(976), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [17671] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(442), 1,
      sym_annotation_definition,
    ACTIONS(978), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [17700] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(380), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_COMMA,
      anon_sym_AT,
  [17725] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(376), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_COMMA,
      anon_sym_AT,
  [17750] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(372), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_COMMA,
      anon_sym_AT,
  [17775] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(368), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_COMMA,
      anon_sym_AT,
  [17800] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(360), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_COMMA,
      anon_sym_AT,
  [17825] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(364), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_COMMA,
      anon_sym_AT,
  [17850] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(443), 1,
      sym_annotation_definition,
    ACTIONS(980), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [17879] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(444), 1,
      sym_annotation_definition,
    ACTIONS(982), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [17908] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(445), 1,
      sym_annotation_definition,
    ACTIONS(984), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [17937] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(480), 1,
      sym_annotation_definition,
    ACTIONS(986), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [17966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(860), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(858), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [17993] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(437), 1,
      sym_annotation_definition,
    ACTIONS(988), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [18022] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(447), 1,
      sym_annotation_definition,
    ACTIONS(990), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [18051] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(454), 1,
      sym_annotation_definition,
    ACTIONS(992), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [18080] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(409), 1,
      sym_annotation_definition,
    ACTIONS(994), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [18109] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(450), 1,
      sym_annotation_definition,
    ACTIONS(996), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [18138] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(436), 1,
      sym_annotation_definition,
    ACTIONS(998), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [18167] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(417), 1,
      sym_annotation_definition,
    ACTIONS(1000), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [18196] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(405), 1,
      sym_annotation_definition,
    ACTIONS(1002), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [18225] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(472), 1,
      sym_annotation_definition,
    ACTIONS(1004), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [18254] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(406), 1,
      sym_annotation_definition,
    ACTIONS(1006), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [18283] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(425), 1,
      sym_annotation_definition,
    ACTIONS(1008), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [18312] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(408), 1,
      sym_annotation_definition,
    ACTIONS(1010), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [18341] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(404), 1,
      sym_annotation_definition,
    ACTIONS(1012), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [18370] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(402), 1,
      sym_annotation_definition,
    ACTIONS(1014), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [18399] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_LPAREN,
    STATE(420), 1,
      sym_annotation_definition,
    ACTIONS(1016), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [18428] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1018), 18,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [18452] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(936), 1,
      anon_sym_const,
    ACTIONS(938), 1,
      anon_sym_typedef,
    ACTIONS(940), 1,
      anon_sym_enum,
    ACTIONS(942), 1,
      anon_sym_struct,
    ACTIONS(944), 1,
      anon_sym_union,
    ACTIONS(946), 1,
      anon_sym_exception,
    ACTIONS(948), 1,
      anon_sym_service,
    STATE(7), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
    STATE(523), 2,
      sym_exception_modifier,
      aux_sym_exception_definition_repeat1,
    ACTIONS(27), 6,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
  [18496] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1020), 18,
      anon_sym_void,
      anon_sym_binary,
      anon_sym_bool,
      anon_sym_byte,
      anon_sym_i8,
      anon_sym_i16,
      anon_sym_i32,
      anon_sym_i64,
      anon_sym_float,
      anon_sym_double,
      anon_sym_string,
      anon_sym_slist,
      anon_sym_list,
      anon_sym_map,
      anon_sym_set,
      anon_sym_sink,
      anon_sym_stream,
      sym_identifier,
  [18520] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1022), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [18543] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(992), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [18566] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1024), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [18589] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(932), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [18612] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1026), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [18635] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1028), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [18658] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(954), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [18681] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(978), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [18704] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1006), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [18727] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1030), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [18750] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1032), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [18773] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1034), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [18796] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(980), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [18819] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(982), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [18842] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1036), 1,
      sym_identifier,
    ACTIONS(1039), 1,
      anon_sym_LBRACE,
    ACTIONS(1042), 1,
      anon_sym_RBRACE,
    ACTIONS(1050), 1,
      anon_sym_LBRACK,
    ACTIONS(1053), 1,
      anon_sym_DQUOTE,
    ACTIONS(1056), 1,
      anon_sym_SQUOTE,
    STATE(415), 1,
      aux_sym_map_literal_repeat1,
    STATE(869), 1,
      sym_literal,
    ACTIONS(1044), 2,
      sym_number,
      sym_double,
    ACTIONS(1047), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(312), 5,
      sym_boolean,
      sym_list_literal,
      sym_map_literal,
      sym_struct_literal,
      sym_string,
  [18885] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(986), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [18908] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1059), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [18931] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1061), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [18954] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1063), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [18977] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1008), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [19000] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1014), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [19023] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1065), 1,
      sym_identifier,
    ACTIONS(1068), 1,
      anon_sym_LBRACE,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1080), 1,
      anon_sym_RBRACK,
    ACTIONS(1082), 1,
      anon_sym_DQUOTE,
    ACTIONS(1085), 1,
      anon_sym_SQUOTE,
    STATE(422), 1,
      aux_sym_list_literal_repeat1,
    STATE(515), 1,
      sym_literal,
    ACTIONS(1071), 2,
      sym_number,
      sym_double,
    ACTIONS(1074), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(506), 5,
      sym_boolean,
      sym_list_literal,
      sym_map_literal,
      sym_struct_literal,
      sym_string,
  [19066] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1088), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [19089] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(892), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [19112] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1090), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [19135] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(928), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [19158] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1092), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [19181] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(888), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [19204] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(884), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [19227] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(890), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [19250] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(972), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [19273] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1094), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [19296] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(896), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [19319] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(926), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [19342] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1096), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [19365] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(906), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [19388] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1098), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [19411] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1100), 1,
      sym_identifier,
    ACTIONS(1102), 1,
      anon_sym_LBRACE,
    ACTIONS(1104), 1,
      anon_sym_RBRACE,
    ACTIONS(1110), 1,
      anon_sym_LBRACK,
    ACTIONS(1112), 1,
      anon_sym_DQUOTE,
    ACTIONS(1114), 1,
      anon_sym_SQUOTE,
    STATE(455), 1,
      aux_sym_map_literal_repeat1,
    STATE(869), 1,
      sym_literal,
    ACTIONS(1106), 2,
      sym_number,
      sym_double,
    ACTIONS(1108), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(312), 5,
      sym_boolean,
      sym_list_literal,
      sym_map_literal,
      sym_struct_literal,
      sym_string,
  [19454] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1116), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [19477] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1118), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [19500] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [19523] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1122), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [19546] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1124), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [19569] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1126), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [19592] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1128), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [19615] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1016), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [19638] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(918), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [19661] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(900), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [19684] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1130), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [19707] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(908), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [19730] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [19753] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1132), 1,
      sym_identifier,
    ACTIONS(1134), 1,
      anon_sym_LBRACE,
    ACTIONS(1140), 1,
      anon_sym_LBRACK,
    ACTIONS(1142), 1,
      anon_sym_RBRACK,
    ACTIONS(1144), 1,
      anon_sym_DQUOTE,
    ACTIONS(1146), 1,
      anon_sym_SQUOTE,
    STATE(456), 1,
      aux_sym_list_literal_repeat1,
    STATE(515), 1,
      sym_literal,
    ACTIONS(1136), 2,
      sym_number,
      sym_double,
    ACTIONS(1138), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(506), 5,
      sym_boolean,
      sym_list_literal,
      sym_map_literal,
      sym_struct_literal,
      sym_string,
  [19796] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(880), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [19819] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(958), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [19842] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1100), 1,
      sym_identifier,
    ACTIONS(1102), 1,
      anon_sym_LBRACE,
    ACTIONS(1110), 1,
      anon_sym_LBRACK,
    ACTIONS(1112), 1,
      anon_sym_DQUOTE,
    ACTIONS(1114), 1,
      anon_sym_SQUOTE,
    ACTIONS(1148), 1,
      anon_sym_RBRACE,
    STATE(415), 1,
      aux_sym_map_literal_repeat1,
    STATE(869), 1,
      sym_literal,
    ACTIONS(1106), 2,
      sym_number,
      sym_double,
    ACTIONS(1108), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(312), 5,
      sym_boolean,
      sym_list_literal,
      sym_map_literal,
      sym_struct_literal,
      sym_string,
  [19885] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1132), 1,
      sym_identifier,
    ACTIONS(1134), 1,
      anon_sym_LBRACE,
    ACTIONS(1140), 1,
      anon_sym_LBRACK,
    ACTIONS(1144), 1,
      anon_sym_DQUOTE,
    ACTIONS(1146), 1,
      anon_sym_SQUOTE,
    ACTIONS(1150), 1,
      anon_sym_RBRACK,
    STATE(422), 1,
      aux_sym_list_literal_repeat1,
    STATE(515), 1,
      sym_literal,
    ACTIONS(1136), 2,
      sym_number,
      sym_double,
    ACTIONS(1138), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(506), 5,
      sym_boolean,
      sym_list_literal,
      sym_map_literal,
      sym_struct_literal,
      sym_string,
  [19928] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(858), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [19951] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1152), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [19974] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1154), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [19997] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(988), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [20020] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1100), 1,
      sym_identifier,
    ACTIONS(1102), 1,
      anon_sym_LBRACE,
    ACTIONS(1110), 1,
      anon_sym_LBRACK,
    ACTIONS(1112), 1,
      anon_sym_DQUOTE,
    ACTIONS(1114), 1,
      anon_sym_SQUOTE,
    ACTIONS(1156), 1,
      anon_sym_RBRACE,
    STATE(463), 1,
      aux_sym_map_literal_repeat1,
    STATE(869), 1,
      sym_literal,
    ACTIONS(1106), 2,
      sym_number,
      sym_double,
    ACTIONS(1108), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(312), 5,
      sym_boolean,
      sym_list_literal,
      sym_map_literal,
      sym_struct_literal,
      sym_string,
  [20063] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1132), 1,
      sym_identifier,
    ACTIONS(1134), 1,
      anon_sym_LBRACE,
    ACTIONS(1140), 1,
      anon_sym_LBRACK,
    ACTIONS(1144), 1,
      anon_sym_DQUOTE,
    ACTIONS(1146), 1,
      anon_sym_SQUOTE,
    ACTIONS(1158), 1,
      anon_sym_RBRACK,
    STATE(464), 1,
      aux_sym_list_literal_repeat1,
    STATE(515), 1,
      sym_literal,
    ACTIONS(1136), 2,
      sym_number,
      sym_double,
    ACTIONS(1138), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(506), 5,
      sym_boolean,
      sym_list_literal,
      sym_map_literal,
      sym_struct_literal,
      sym_string,
  [20106] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1100), 1,
      sym_identifier,
    ACTIONS(1102), 1,
      anon_sym_LBRACE,
    ACTIONS(1110), 1,
      anon_sym_LBRACK,
    ACTIONS(1112), 1,
      anon_sym_DQUOTE,
    ACTIONS(1114), 1,
      anon_sym_SQUOTE,
    ACTIONS(1160), 1,
      anon_sym_RBRACE,
    STATE(415), 1,
      aux_sym_map_literal_repeat1,
    STATE(869), 1,
      sym_literal,
    ACTIONS(1106), 2,
      sym_number,
      sym_double,
    ACTIONS(1108), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(312), 5,
      sym_boolean,
      sym_list_literal,
      sym_map_literal,
      sym_struct_literal,
      sym_string,
  [20149] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1132), 1,
      sym_identifier,
    ACTIONS(1134), 1,
      anon_sym_LBRACE,
    ACTIONS(1140), 1,
      anon_sym_LBRACK,
    ACTIONS(1144), 1,
      anon_sym_DQUOTE,
    ACTIONS(1146), 1,
      anon_sym_SQUOTE,
    ACTIONS(1162), 1,
      anon_sym_RBRACK,
    STATE(422), 1,
      aux_sym_list_literal_repeat1,
    STATE(515), 1,
      sym_literal,
    ACTIONS(1136), 2,
      sym_number,
      sym_double,
    ACTIONS(1138), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(506), 5,
      sym_boolean,
      sym_list_literal,
      sym_map_literal,
      sym_struct_literal,
      sym_string,
  [20192] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1100), 1,
      sym_identifier,
    ACTIONS(1102), 1,
      anon_sym_LBRACE,
    ACTIONS(1110), 1,
      anon_sym_LBRACK,
    ACTIONS(1112), 1,
      anon_sym_DQUOTE,
    ACTIONS(1114), 1,
      anon_sym_SQUOTE,
    ACTIONS(1164), 1,
      anon_sym_RBRACE,
    STATE(467), 1,
      aux_sym_map_literal_repeat1,
    STATE(869), 1,
      sym_literal,
    ACTIONS(1106), 2,
      sym_number,
      sym_double,
    ACTIONS(1108), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(312), 5,
      sym_boolean,
      sym_list_literal,
      sym_map_literal,
      sym_struct_literal,
      sym_string,
  [20235] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1132), 1,
      sym_identifier,
    ACTIONS(1134), 1,
      anon_sym_LBRACE,
    ACTIONS(1140), 1,
      anon_sym_LBRACK,
    ACTIONS(1144), 1,
      anon_sym_DQUOTE,
    ACTIONS(1146), 1,
      anon_sym_SQUOTE,
    ACTIONS(1166), 1,
      anon_sym_RBRACK,
    STATE(468), 1,
      aux_sym_list_literal_repeat1,
    STATE(515), 1,
      sym_literal,
    ACTIONS(1136), 2,
      sym_number,
      sym_double,
    ACTIONS(1138), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(506), 5,
      sym_boolean,
      sym_list_literal,
      sym_map_literal,
      sym_struct_literal,
      sym_string,
  [20278] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1100), 1,
      sym_identifier,
    ACTIONS(1102), 1,
      anon_sym_LBRACE,
    ACTIONS(1110), 1,
      anon_sym_LBRACK,
    ACTIONS(1112), 1,
      anon_sym_DQUOTE,
    ACTIONS(1114), 1,
      anon_sym_SQUOTE,
    ACTIONS(1168), 1,
      anon_sym_RBRACE,
    STATE(415), 1,
      aux_sym_map_literal_repeat1,
    STATE(869), 1,
      sym_literal,
    ACTIONS(1106), 2,
      sym_number,
      sym_double,
    ACTIONS(1108), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(312), 5,
      sym_boolean,
      sym_list_literal,
      sym_map_literal,
      sym_struct_literal,
      sym_string,
  [20321] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1132), 1,
      sym_identifier,
    ACTIONS(1134), 1,
      anon_sym_LBRACE,
    ACTIONS(1140), 1,
      anon_sym_LBRACK,
    ACTIONS(1144), 1,
      anon_sym_DQUOTE,
    ACTIONS(1146), 1,
      anon_sym_SQUOTE,
    ACTIONS(1170), 1,
      anon_sym_RBRACK,
    STATE(422), 1,
      aux_sym_list_literal_repeat1,
    STATE(515), 1,
      sym_literal,
    ACTIONS(1136), 2,
      sym_number,
      sym_double,
    ACTIONS(1138), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(506), 5,
      sym_boolean,
      sym_list_literal,
      sym_map_literal,
      sym_struct_literal,
      sym_string,
  [20364] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1172), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [20387] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(960), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [20410] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(966), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [20433] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(922), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [20456] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(970), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [20479] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1174), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [20502] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1176), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [20525] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1178), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [20548] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1180), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [20571] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1182), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [20594] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1184), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [20617] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1186), 17,
      ts_builtin_sym_end,
      anon_sym_const,
      anon_sym_typedef,
      anon_sym_enum,
      anon_sym_senum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
      anon_sym_service,
      anon_sym_interaction,
      anon_sym_AT,
  [20640] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1188), 1,
      sym_identifier,
    ACTIONS(1190), 1,
      anon_sym_LBRACE,
    ACTIONS(1196), 1,
      anon_sym_LBRACK,
    ACTIONS(1198), 1,
      anon_sym_DQUOTE,
    ACTIONS(1200), 1,
      anon_sym_SQUOTE,
    STATE(116), 1,
      sym_literal,
    ACTIONS(1192), 2,
      sym_number,
      sym_double,
    ACTIONS(1194), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(137), 5,
      sym_boolean,
      sym_list_literal,
      sym_map_literal,
      sym_struct_literal,
      sym_string,
  [20677] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1188), 1,
      sym_identifier,
    ACTIONS(1190), 1,
      anon_sym_LBRACE,
    ACTIONS(1196), 1,
      anon_sym_LBRACK,
    ACTIONS(1198), 1,
      anon_sym_DQUOTE,
    ACTIONS(1200), 1,
      anon_sym_SQUOTE,
    STATE(113), 1,
      sym_literal,
    ACTIONS(1192), 2,
      sym_number,
      sym_double,
    ACTIONS(1194), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(137), 5,
      sym_boolean,
      sym_list_literal,
      sym_map_literal,
      sym_struct_literal,
      sym_string,
  [20714] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1202), 1,
      anon_sym_LBRACE,
    ACTIONS(1204), 1,
      anon_sym_DOT,
    STATE(485), 1,
      aux_sym__type_identifier_repeat1,
    ACTIONS(388), 5,
      sym_number,
      sym_double,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
    ACTIONS(390), 7,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
  [20743] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1188), 1,
      sym_identifier,
    ACTIONS(1190), 1,
      anon_sym_LBRACE,
    ACTIONS(1196), 1,
      anon_sym_LBRACK,
    ACTIONS(1198), 1,
      anon_sym_DQUOTE,
    ACTIONS(1200), 1,
      anon_sym_SQUOTE,
    STATE(115), 1,
      sym_literal,
    ACTIONS(1192), 2,
      sym_number,
      sym_double,
    ACTIONS(1194), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(137), 5,
      sym_boolean,
      sym_list_literal,
      sym_map_literal,
      sym_struct_literal,
      sym_string,
  [20780] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1204), 1,
      anon_sym_DOT,
    ACTIONS(1206), 1,
      anon_sym_LBRACE,
    STATE(492), 1,
      aux_sym__type_identifier_repeat1,
    ACTIONS(382), 5,
      sym_number,
      sym_double,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
    ACTIONS(384), 7,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
  [20809] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1100), 1,
      sym_identifier,
    ACTIONS(1102), 1,
      anon_sym_LBRACE,
    ACTIONS(1110), 1,
      anon_sym_LBRACK,
    ACTIONS(1112), 1,
      anon_sym_DQUOTE,
    ACTIONS(1114), 1,
      anon_sym_SQUOTE,
    STATE(822), 1,
      sym_literal,
    ACTIONS(1106), 2,
      sym_number,
      sym_double,
    ACTIONS(1108), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(312), 5,
      sym_boolean,
      sym_list_literal,
      sym_map_literal,
      sym_struct_literal,
      sym_string,
  [20846] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1188), 1,
      sym_identifier,
    ACTIONS(1190), 1,
      anon_sym_LBRACE,
    ACTIONS(1196), 1,
      anon_sym_LBRACK,
    ACTIONS(1198), 1,
      anon_sym_DQUOTE,
    ACTIONS(1200), 1,
      anon_sym_SQUOTE,
    STATE(107), 1,
      sym_literal,
    ACTIONS(1192), 2,
      sym_number,
      sym_double,
    ACTIONS(1194), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(137), 5,
      sym_boolean,
      sym_list_literal,
      sym_map_literal,
      sym_struct_literal,
      sym_string,
  [20883] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1100), 1,
      sym_identifier,
    ACTIONS(1102), 1,
      anon_sym_LBRACE,
    ACTIONS(1110), 1,
      anon_sym_LBRACK,
    ACTIONS(1112), 1,
      anon_sym_DQUOTE,
    ACTIONS(1114), 1,
      anon_sym_SQUOTE,
    STATE(794), 1,
      sym_literal,
    ACTIONS(1106), 2,
      sym_number,
      sym_double,
    ACTIONS(1108), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(312), 5,
      sym_boolean,
      sym_list_literal,
      sym_map_literal,
      sym_struct_literal,
      sym_string,
  [20920] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1132), 1,
      sym_identifier,
    ACTIONS(1134), 1,
      anon_sym_LBRACE,
    ACTIONS(1140), 1,
      anon_sym_LBRACK,
    ACTIONS(1144), 1,
      anon_sym_DQUOTE,
    ACTIONS(1146), 1,
      anon_sym_SQUOTE,
    STATE(516), 1,
      sym_literal,
    ACTIONS(1136), 2,
      sym_number,
      sym_double,
    ACTIONS(1138), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(506), 5,
      sym_boolean,
      sym_list_literal,
      sym_map_literal,
      sym_struct_literal,
      sym_string,
  [20957] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1188), 1,
      sym_identifier,
    ACTIONS(1190), 1,
      anon_sym_LBRACE,
    ACTIONS(1196), 1,
      anon_sym_LBRACK,
    ACTIONS(1198), 1,
      anon_sym_DQUOTE,
    ACTIONS(1200), 1,
      anon_sym_SQUOTE,
    STATE(117), 1,
      sym_literal,
    ACTIONS(1192), 2,
      sym_number,
      sym_double,
    ACTIONS(1194), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(137), 5,
      sym_boolean,
      sym_list_literal,
      sym_map_literal,
      sym_struct_literal,
      sym_string,
  [20994] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1188), 1,
      sym_identifier,
    ACTIONS(1190), 1,
      anon_sym_LBRACE,
    ACTIONS(1196), 1,
      anon_sym_LBRACK,
    ACTIONS(1198), 1,
      anon_sym_DQUOTE,
    ACTIONS(1200), 1,
      anon_sym_SQUOTE,
    STATE(119), 1,
      sym_literal,
    ACTIONS(1192), 2,
      sym_number,
      sym_double,
    ACTIONS(1194), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(137), 5,
      sym_boolean,
      sym_list_literal,
      sym_map_literal,
      sym_struct_literal,
      sym_string,
  [21031] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1208), 1,
      anon_sym_DOT,
    STATE(492), 1,
      aux_sym__type_identifier_repeat1,
    ACTIONS(39), 5,
      sym_number,
      sym_double,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
    ACTIONS(41), 8,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
  [21058] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1188), 1,
      sym_identifier,
    ACTIONS(1190), 1,
      anon_sym_LBRACE,
    ACTIONS(1196), 1,
      anon_sym_LBRACK,
    ACTIONS(1198), 1,
      anon_sym_DQUOTE,
    ACTIONS(1200), 1,
      anon_sym_SQUOTE,
    STATE(112), 1,
      sym_literal,
    ACTIONS(1192), 2,
      sym_number,
      sym_double,
    ACTIONS(1194), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(137), 5,
      sym_boolean,
      sym_list_literal,
      sym_map_literal,
      sym_struct_literal,
      sym_string,
  [21095] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1188), 1,
      sym_identifier,
    ACTIONS(1190), 1,
      anon_sym_LBRACE,
    ACTIONS(1196), 1,
      anon_sym_LBRACK,
    ACTIONS(1198), 1,
      anon_sym_DQUOTE,
    ACTIONS(1200), 1,
      anon_sym_SQUOTE,
    STATE(110), 1,
      sym_literal,
    ACTIONS(1192), 2,
      sym_number,
      sym_double,
    ACTIONS(1194), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(137), 5,
      sym_boolean,
      sym_list_literal,
      sym_map_literal,
      sym_struct_literal,
      sym_string,
  [21132] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1188), 1,
      sym_identifier,
    ACTIONS(1190), 1,
      anon_sym_LBRACE,
    ACTIONS(1196), 1,
      anon_sym_LBRACK,
    ACTIONS(1198), 1,
      anon_sym_DQUOTE,
    ACTIONS(1200), 1,
      anon_sym_SQUOTE,
    STATE(120), 1,
      sym_literal,
    ACTIONS(1192), 2,
      sym_number,
      sym_double,
    ACTIONS(1194), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(137), 5,
      sym_boolean,
      sym_list_literal,
      sym_map_literal,
      sym_struct_literal,
      sym_string,
  [21169] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1134), 1,
      anon_sym_LBRACE,
    ACTIONS(1140), 1,
      anon_sym_LBRACK,
    ACTIONS(1144), 1,
      anon_sym_DQUOTE,
    ACTIONS(1146), 1,
      anon_sym_SQUOTE,
    ACTIONS(1211), 1,
      sym_identifier,
    STATE(749), 1,
      sym_literal,
    ACTIONS(1136), 2,
      sym_number,
      sym_double,
    ACTIONS(1138), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(506), 5,
      sym_boolean,
      sym_list_literal,
      sym_map_literal,
      sym_struct_literal,
      sym_string,
  [21206] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1188), 1,
      sym_identifier,
    ACTIONS(1190), 1,
      anon_sym_LBRACE,
    ACTIONS(1196), 1,
      anon_sym_LBRACK,
    ACTIONS(1198), 1,
      anon_sym_DQUOTE,
    ACTIONS(1200), 1,
      anon_sym_SQUOTE,
    STATE(109), 1,
      sym_literal,
    ACTIONS(1192), 2,
      sym_number,
      sym_double,
    ACTIONS(1194), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(137), 5,
      sym_boolean,
      sym_list_literal,
      sym_map_literal,
      sym_struct_literal,
      sym_string,
  [21243] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1102), 1,
      anon_sym_LBRACE,
    ACTIONS(1110), 1,
      anon_sym_LBRACK,
    ACTIONS(1112), 1,
      anon_sym_DQUOTE,
    ACTIONS(1114), 1,
      anon_sym_SQUOTE,
    ACTIONS(1213), 1,
      sym_identifier,
    STATE(327), 1,
      sym_literal,
    ACTIONS(1106), 2,
      sym_number,
      sym_double,
    ACTIONS(1108), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(312), 5,
      sym_boolean,
      sym_list_literal,
      sym_map_literal,
      sym_struct_literal,
      sym_string,
  [21280] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1102), 1,
      anon_sym_LBRACE,
    ACTIONS(1110), 1,
      anon_sym_LBRACK,
    ACTIONS(1112), 1,
      anon_sym_DQUOTE,
    ACTIONS(1114), 1,
      anon_sym_SQUOTE,
    ACTIONS(1213), 1,
      sym_identifier,
    STATE(323), 1,
      sym_literal,
    ACTIONS(1106), 2,
      sym_number,
      sym_double,
    ACTIONS(1108), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(312), 5,
      sym_boolean,
      sym_list_literal,
      sym_map_literal,
      sym_struct_literal,
      sym_string,
  [21317] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1100), 1,
      sym_identifier,
    ACTIONS(1102), 1,
      anon_sym_LBRACE,
    ACTIONS(1110), 1,
      anon_sym_LBRACK,
    ACTIONS(1112), 1,
      anon_sym_DQUOTE,
    ACTIONS(1114), 1,
      anon_sym_SQUOTE,
    STATE(750), 1,
      sym_literal,
    ACTIONS(1106), 2,
      sym_number,
      sym_double,
    ACTIONS(1108), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(312), 5,
      sym_boolean,
      sym_list_literal,
      sym_map_literal,
      sym_struct_literal,
      sym_string,
  [21354] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1188), 1,
      sym_identifier,
    ACTIONS(1190), 1,
      anon_sym_LBRACE,
    ACTIONS(1196), 1,
      anon_sym_LBRACK,
    ACTIONS(1198), 1,
      anon_sym_DQUOTE,
    ACTIONS(1200), 1,
      anon_sym_SQUOTE,
    STATE(118), 1,
      sym_literal,
    ACTIONS(1192), 2,
      sym_number,
      sym_double,
    ACTIONS(1194), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(137), 5,
      sym_boolean,
      sym_list_literal,
      sym_map_literal,
      sym_struct_literal,
      sym_string,
  [21391] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1100), 1,
      sym_identifier,
    ACTIONS(1102), 1,
      anon_sym_LBRACE,
    ACTIONS(1110), 1,
      anon_sym_LBRACK,
    ACTIONS(1112), 1,
      anon_sym_DQUOTE,
    ACTIONS(1114), 1,
      anon_sym_SQUOTE,
    STATE(777), 1,
      sym_literal,
    ACTIONS(1106), 2,
      sym_number,
      sym_double,
    ACTIONS(1108), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(312), 5,
      sym_boolean,
      sym_list_literal,
      sym_map_literal,
      sym_struct_literal,
      sym_string,
  [21428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 6,
      sym_number,
      sym_double,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      anon_sym_DOT,
    ACTIONS(41), 8,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
  [21450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(703), 5,
      sym_number,
      sym_double,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
    ACTIONS(394), 9,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
  [21472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(705), 5,
      sym_number,
      sym_double,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
    ACTIONS(460), 9,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
  [21494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(671), 5,
      sym_number,
      sym_double,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
    ACTIONS(673), 8,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
  [21515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(643), 5,
      sym_number,
      sym_double,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
    ACTIONS(645), 8,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
  [21536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(683), 5,
      sym_number,
      sym_double,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
    ACTIONS(685), 8,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
  [21557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(687), 5,
      sym_number,
      sym_double,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
    ACTIONS(689), 8,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
  [21578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(675), 5,
      sym_number,
      sym_double,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
    ACTIONS(677), 8,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
  [21599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(691), 5,
      sym_number,
      sym_double,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
    ACTIONS(693), 8,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
  [21620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(695), 5,
      sym_number,
      sym_double,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
    ACTIONS(697), 8,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
  [21641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 5,
      sym_number,
      sym_double,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
    ACTIONS(701), 8,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
  [21662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(679), 5,
      sym_number,
      sym_double,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
    ACTIONS(681), 8,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
  [21683] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(1215), 5,
      sym_number,
      sym_double,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
    ACTIONS(1219), 5,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
  [21705] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(1221), 5,
      sym_number,
      sym_double,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
    ACTIONS(1225), 5,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
  [21727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1080), 5,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1227), 5,
      sym_number,
      sym_double,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
  [21745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 5,
      sym_number,
      sym_double,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
    ACTIONS(1231), 5,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
  [21763] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(372), 9,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym__identifier_with_dots_token1,
  [21778] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(364), 9,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym__identifier_with_dots_token1,
  [21793] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(360), 9,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym__identifier_with_dots_token1,
  [21808] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(368), 9,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym__identifier_with_dots_token1,
  [21823] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1233), 1,
      anon_sym_exception,
    STATE(524), 2,
      sym_exception_modifier,
      aux_sym_exception_definition_repeat1,
    ACTIONS(27), 6,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
  [21842] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_exception,
    STATE(524), 2,
      sym_exception_modifier,
      aux_sym_exception_definition_repeat1,
    ACTIONS(1237), 6,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
  [21861] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(946), 1,
      anon_sym_exception,
    STATE(524), 2,
      sym_exception_modifier,
      aux_sym_exception_definition_repeat1,
    ACTIONS(27), 6,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
  [21880] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(380), 9,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym__identifier_with_dots_token1,
  [21895] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(376), 9,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym__identifier_with_dots_token1,
  [21910] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 1,
      anon_sym_LPAREN,
    ACTIONS(1244), 1,
      anon_sym_EQ,
    STATE(638), 1,
      sym_annotation_definition,
    ACTIONS(1240), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(1246), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      aux_sym__identifier_with_dots_token1,
  [21932] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(1112), 1,
      anon_sym_DQUOTE,
    ACTIONS(1114), 1,
      anon_sym_SQUOTE,
    STATE(552), 1,
      sym_annotation_definition,
    STATE(620), 1,
      sym_string,
    ACTIONS(1248), 3,
      anon_sym_COMMA,
      anon_sym_throws,
      anon_sym_GT,
  [21956] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 1,
      anon_sym_LPAREN,
    ACTIONS(1252), 1,
      anon_sym_EQ,
    STATE(603), 1,
      sym_annotation_definition,
    ACTIONS(1250), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(1254), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      aux_sym__identifier_with_dots_token1,
  [21978] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(1112), 1,
      anon_sym_DQUOTE,
    ACTIONS(1114), 1,
      anon_sym_SQUOTE,
    STATE(534), 1,
      sym_annotation_definition,
    STATE(632), 1,
      sym_string,
    ACTIONS(1256), 3,
      anon_sym_COMMA,
      anon_sym_throws,
      anon_sym_GT,
  [22002] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 1,
      anon_sym_RBRACE,
    ACTIONS(1260), 1,
      anon_sym_AT,
    ACTIONS(1262), 1,
      aux_sym__identifier_with_dots_token1,
    STATE(528), 1,
      sym__identifier_with_dots,
    STATE(538), 1,
      aux_sym_enum_definition_repeat1,
    STATE(598), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
  [22025] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(1144), 1,
      anon_sym_DQUOTE,
    ACTIONS(1146), 1,
      anon_sym_SQUOTE,
    STATE(557), 1,
      sym_annotation_definition,
    STATE(632), 1,
      sym_string,
    ACTIONS(1256), 2,
      anon_sym_COMMA,
      sym_identifier,
  [22048] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1112), 1,
      anon_sym_DQUOTE,
    ACTIONS(1114), 1,
      anon_sym_SQUOTE,
    STATE(613), 1,
      sym_string,
    ACTIONS(1264), 4,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_throws,
      anon_sym_GT,
  [22067] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1260), 1,
      anon_sym_AT,
    ACTIONS(1262), 1,
      aux_sym__identifier_with_dots_token1,
    ACTIONS(1266), 1,
      anon_sym_RBRACE,
    STATE(528), 1,
      sym__identifier_with_dots,
    STATE(547), 1,
      aux_sym_enum_definition_repeat1,
    STATE(598), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
  [22090] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 1,
      anon_sym_LPAREN,
    ACTIONS(1268), 1,
      anon_sym_DQUOTE,
    ACTIONS(1270), 1,
      anon_sym_SQUOTE,
    STATE(566), 1,
      sym_annotation_definition,
    STATE(678), 1,
      sym_string,
    ACTIONS(1248), 2,
      anon_sym_AMP,
      aux_sym__identifier_with_dots_token1,
  [22113] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1272), 7,
      anon_sym_exception,
      anon_sym_client,
      anon_sym_permanent,
      anon_sym_server,
      anon_sym_safe,
      anon_sym_stateful,
      anon_sym_transient,
  [22126] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1260), 1,
      anon_sym_AT,
    ACTIONS(1262), 1,
      aux_sym__identifier_with_dots_token1,
    ACTIONS(1274), 1,
      anon_sym_RBRACE,
    STATE(528), 1,
      sym__identifier_with_dots,
    STATE(547), 1,
      aux_sym_enum_definition_repeat1,
    STATE(598), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
  [22149] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1260), 1,
      anon_sym_AT,
    ACTIONS(1262), 1,
      aux_sym__identifier_with_dots_token1,
    ACTIONS(1276), 1,
      anon_sym_RBRACE,
    STATE(528), 1,
      sym__identifier_with_dots,
    STATE(535), 1,
      aux_sym_enum_definition_repeat1,
    STATE(598), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
  [22172] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 1,
      anon_sym_LPAREN,
    STATE(592), 1,
      sym_annotation_definition,
    ACTIONS(1278), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(1280), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      aux_sym__identifier_with_dots_token1,
  [22191] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(50), 1,
      anon_sym_DOT,
    STATE(3), 1,
      aux_sym__type_identifier_repeat1,
    ACTIONS(1282), 2,
      anon_sym_throws,
      sym_identifier,
    ACTIONS(1284), 3,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT,
  [22210] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1260), 1,
      anon_sym_AT,
    ACTIONS(1262), 1,
      aux_sym__identifier_with_dots_token1,
    ACTIONS(1286), 1,
      anon_sym_RBRACE,
    STATE(528), 1,
      sym__identifier_with_dots,
    STATE(545), 1,
      aux_sym_enum_definition_repeat1,
    STATE(598), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
  [22233] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(50), 1,
      anon_sym_DOT,
    STATE(541), 1,
      aux_sym__type_identifier_repeat1,
    ACTIONS(1288), 2,
      anon_sym_throws,
      sym_identifier,
    ACTIONS(1290), 3,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT,
  [22252] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1292), 1,
      anon_sym_DOT,
    STATE(544), 1,
      aux_sym__type_identifier_repeat1,
    ACTIONS(41), 5,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_AMP,
      anon_sym_AT,
      aux_sym__identifier_with_dots_token1,
  [22269] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1260), 1,
      anon_sym_AT,
    ACTIONS(1262), 1,
      aux_sym__identifier_with_dots_token1,
    ACTIONS(1276), 1,
      anon_sym_RBRACE,
    STATE(528), 1,
      sym__identifier_with_dots,
    STATE(547), 1,
      aux_sym_enum_definition_repeat1,
    STATE(598), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
  [22292] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1260), 1,
      anon_sym_AT,
    ACTIONS(1262), 1,
      aux_sym__identifier_with_dots_token1,
    ACTIONS(1295), 1,
      anon_sym_RBRACE,
    STATE(528), 1,
      sym__identifier_with_dots,
    STATE(550), 1,
      aux_sym_enum_definition_repeat1,
    STATE(598), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
  [22315] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 1,
      anon_sym_RBRACE,
    ACTIONS(1297), 1,
      anon_sym_AT,
    ACTIONS(1300), 1,
      aux_sym__identifier_with_dots_token1,
    STATE(528), 1,
      sym__identifier_with_dots,
    STATE(547), 1,
      aux_sym_enum_definition_repeat1,
    STATE(598), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
  [22338] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(1144), 1,
      anon_sym_DQUOTE,
    ACTIONS(1146), 1,
      anon_sym_SQUOTE,
    STATE(570), 1,
      sym_annotation_definition,
    STATE(620), 1,
      sym_string,
    ACTIONS(1248), 2,
      anon_sym_COMMA,
      sym_identifier,
  [22361] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 1,
      anon_sym_LPAREN,
    STATE(621), 1,
      sym_annotation_definition,
    ACTIONS(1303), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(1305), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      aux_sym__identifier_with_dots_token1,
  [22380] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 1,
      anon_sym_RBRACE,
    ACTIONS(1260), 1,
      anon_sym_AT,
    ACTIONS(1262), 1,
      aux_sym__identifier_with_dots_token1,
    STATE(528), 1,
      sym__identifier_with_dots,
    STATE(547), 1,
      aux_sym_enum_definition_repeat1,
    STATE(598), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
  [22403] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 1,
      anon_sym_LPAREN,
    ACTIONS(1268), 1,
      anon_sym_DQUOTE,
    ACTIONS(1270), 1,
      anon_sym_SQUOTE,
    STATE(567), 1,
      sym_annotation_definition,
    STATE(687), 1,
      sym_string,
    ACTIONS(1256), 2,
      anon_sym_AMP,
      aux_sym__identifier_with_dots_token1,
  [22426] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1112), 1,
      anon_sym_DQUOTE,
    ACTIONS(1114), 1,
      anon_sym_SQUOTE,
    STATE(632), 1,
      sym_string,
    ACTIONS(1256), 4,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_throws,
      anon_sym_GT,
  [22445] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(50), 1,
      anon_sym_DOT,
    ACTIONS(1202), 1,
      anon_sym_LBRACE,
    STATE(578), 1,
      aux_sym__type_identifier_repeat1,
    ACTIONS(390), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      sym_identifier,
  [22463] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    STATE(619), 1,
      sym_annotation_definition,
    ACTIONS(1307), 2,
      anon_sym_throws,
      sym_identifier,
    ACTIONS(1309), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [22481] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    STATE(622), 1,
      sym_annotation_definition,
    ACTIONS(1311), 2,
      anon_sym_throws,
      sym_identifier,
    ACTIONS(1313), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [22499] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    STATE(633), 1,
      sym_annotation_definition,
    ACTIONS(1315), 2,
      anon_sym_throws,
      sym_identifier,
    ACTIONS(1317), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [22517] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1144), 1,
      anon_sym_DQUOTE,
    ACTIONS(1146), 1,
      anon_sym_SQUOTE,
    STATE(613), 1,
      sym_string,
    ACTIONS(1264), 3,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      sym_identifier,
  [22535] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    STATE(614), 1,
      sym_annotation_definition,
    ACTIONS(1319), 2,
      anon_sym_throws,
      sym_identifier,
    ACTIONS(1321), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [22553] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    STATE(615), 1,
      sym_annotation_definition,
    ACTIONS(1323), 2,
      anon_sym_throws,
      sym_identifier,
    ACTIONS(1325), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [22571] = 5,
    ACTIONS(1327), 1,
      anon_sym_DQUOTE,
    ACTIONS(1329), 1,
      sym_unescaped_double_string_fragment,
    ACTIONS(1335), 1,
      sym_comment,
    ACTIONS(1332), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(560), 2,
      sym__escape_sequence,
      aux_sym_string_repeat1,
  [22589] = 5,
    ACTIONS(1335), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_SQUOTE,
    ACTIONS(1339), 1,
      sym_unescaped_single_string_fragment,
    ACTIONS(1342), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(561), 2,
      sym__escape_sequence,
      aux_sym_string_repeat2,
  [22607] = 5,
    ACTIONS(1335), 1,
      sym_comment,
    ACTIONS(1345), 1,
      anon_sym_DQUOTE,
    ACTIONS(1347), 1,
      sym_unescaped_double_string_fragment,
    ACTIONS(1349), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(564), 2,
      sym__escape_sequence,
      aux_sym_string_repeat1,
  [22625] = 5,
    ACTIONS(1335), 1,
      sym_comment,
    ACTIONS(1345), 1,
      anon_sym_SQUOTE,
    ACTIONS(1351), 1,
      sym_unescaped_single_string_fragment,
    ACTIONS(1353), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(565), 2,
      sym__escape_sequence,
      aux_sym_string_repeat2,
  [22643] = 5,
    ACTIONS(1335), 1,
      sym_comment,
    ACTIONS(1355), 1,
      anon_sym_DQUOTE,
    ACTIONS(1357), 1,
      sym_unescaped_double_string_fragment,
    ACTIONS(1359), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(560), 2,
      sym__escape_sequence,
      aux_sym_string_repeat1,
  [22661] = 5,
    ACTIONS(1335), 1,
      sym_comment,
    ACTIONS(1355), 1,
      anon_sym_SQUOTE,
    ACTIONS(1361), 1,
      sym_unescaped_single_string_fragment,
    ACTIONS(1363), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(561), 2,
      sym__escape_sequence,
      aux_sym_string_repeat2,
  [22679] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1268), 1,
      anon_sym_DQUOTE,
    ACTIONS(1270), 1,
      anon_sym_SQUOTE,
    STATE(687), 1,
      sym_string,
    ACTIONS(1256), 3,
      anon_sym_LPAREN,
      anon_sym_AMP,
      aux_sym__identifier_with_dots_token1,
  [22697] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1268), 1,
      anon_sym_DQUOTE,
    ACTIONS(1270), 1,
      anon_sym_SQUOTE,
    STATE(696), 1,
      sym_string,
    ACTIONS(1264), 3,
      anon_sym_LPAREN,
      anon_sym_AMP,
      aux_sym__identifier_with_dots_token1,
  [22715] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    STATE(617), 1,
      sym_annotation_definition,
    ACTIONS(1365), 2,
      anon_sym_throws,
      sym_identifier,
    ACTIONS(1367), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [22733] = 5,
    ACTIONS(1335), 1,
      sym_comment,
    ACTIONS(1361), 1,
      sym_unescaped_single_string_fragment,
    ACTIONS(1369), 1,
      anon_sym_SQUOTE,
    ACTIONS(1363), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(561), 2,
      sym__escape_sequence,
      aux_sym_string_repeat2,
  [22751] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1144), 1,
      anon_sym_DQUOTE,
    ACTIONS(1146), 1,
      anon_sym_SQUOTE,
    STATE(632), 1,
      sym_string,
    ACTIONS(1256), 3,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      sym_identifier,
  [22769] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    STATE(635), 1,
      sym_annotation_definition,
    ACTIONS(1371), 2,
      anon_sym_throws,
      sym_identifier,
    ACTIONS(1373), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [22787] = 5,
    ACTIONS(1335), 1,
      sym_comment,
    ACTIONS(1375), 1,
      anon_sym_DQUOTE,
    ACTIONS(1377), 1,
      sym_unescaped_double_string_fragment,
    ACTIONS(1379), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(574), 2,
      sym__escape_sequence,
      aux_sym_string_repeat1,
  [22805] = 5,
    ACTIONS(1335), 1,
      sym_comment,
    ACTIONS(1375), 1,
      anon_sym_SQUOTE,
    ACTIONS(1381), 1,
      sym_unescaped_single_string_fragment,
    ACTIONS(1383), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(575), 2,
      sym__escape_sequence,
      aux_sym_string_repeat2,
  [22823] = 5,
    ACTIONS(1335), 1,
      sym_comment,
    ACTIONS(1357), 1,
      sym_unescaped_double_string_fragment,
    ACTIONS(1385), 1,
      anon_sym_DQUOTE,
    ACTIONS(1359), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(560), 2,
      sym__escape_sequence,
      aux_sym_string_repeat1,
  [22841] = 5,
    ACTIONS(1335), 1,
      sym_comment,
    ACTIONS(1361), 1,
      sym_unescaped_single_string_fragment,
    ACTIONS(1385), 1,
      anon_sym_SQUOTE,
    ACTIONS(1363), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(561), 2,
      sym__escape_sequence,
      aux_sym_string_repeat2,
  [22859] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(50), 1,
      anon_sym_DOT,
    ACTIONS(824), 1,
      anon_sym_LBRACE,
    STATE(577), 1,
      aux_sym__type_identifier_repeat1,
    ACTIONS(390), 3,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
  [22877] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(50), 1,
      anon_sym_DOT,
    ACTIONS(826), 1,
      anon_sym_LBRACE,
    STATE(3), 1,
      aux_sym__type_identifier_repeat1,
    ACTIONS(384), 3,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
  [22895] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(50), 1,
      anon_sym_DOT,
    ACTIONS(1206), 1,
      anon_sym_LBRACE,
    STATE(3), 1,
      aux_sym__type_identifier_repeat1,
    ACTIONS(384), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      sym_identifier,
  [22913] = 5,
    ACTIONS(1335), 1,
      sym_comment,
    ACTIONS(1387), 1,
      anon_sym_DQUOTE,
    ACTIONS(1389), 1,
      sym_unescaped_double_string_fragment,
    ACTIONS(1391), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(581), 2,
      sym__escape_sequence,
      aux_sym_string_repeat1,
  [22931] = 5,
    ACTIONS(1335), 1,
      sym_comment,
    ACTIONS(1387), 1,
      anon_sym_SQUOTE,
    ACTIONS(1393), 1,
      sym_unescaped_single_string_fragment,
    ACTIONS(1395), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(582), 2,
      sym__escape_sequence,
      aux_sym_string_repeat2,
  [22949] = 5,
    ACTIONS(1335), 1,
      sym_comment,
    ACTIONS(1357), 1,
      sym_unescaped_double_string_fragment,
    ACTIONS(1397), 1,
      anon_sym_DQUOTE,
    ACTIONS(1359), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(560), 2,
      sym__escape_sequence,
      aux_sym_string_repeat1,
  [22967] = 5,
    ACTIONS(1335), 1,
      sym_comment,
    ACTIONS(1361), 1,
      sym_unescaped_single_string_fragment,
    ACTIONS(1397), 1,
      anon_sym_SQUOTE,
    ACTIONS(1363), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(561), 2,
      sym__escape_sequence,
      aux_sym_string_repeat2,
  [22985] = 5,
    ACTIONS(1335), 1,
      sym_comment,
    ACTIONS(1399), 1,
      anon_sym_DQUOTE,
    ACTIONS(1401), 1,
      sym_unescaped_double_string_fragment,
    ACTIONS(1403), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(585), 2,
      sym__escape_sequence,
      aux_sym_string_repeat1,
  [23003] = 5,
    ACTIONS(1335), 1,
      sym_comment,
    ACTIONS(1399), 1,
      anon_sym_SQUOTE,
    ACTIONS(1405), 1,
      sym_unescaped_single_string_fragment,
    ACTIONS(1407), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(569), 2,
      sym__escape_sequence,
      aux_sym_string_repeat2,
  [23021] = 5,
    ACTIONS(1335), 1,
      sym_comment,
    ACTIONS(1357), 1,
      sym_unescaped_double_string_fragment,
    ACTIONS(1369), 1,
      anon_sym_DQUOTE,
    ACTIONS(1359), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(560), 2,
      sym__escape_sequence,
      aux_sym_string_repeat1,
  [23039] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 6,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_AMP,
      anon_sym_AT,
      aux_sym__identifier_with_dots_token1,
      anon_sym_DOT,
  [23051] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DOT,
    STATE(544), 1,
      aux_sym__type_identifier_repeat1,
    ACTIONS(54), 3,
      anon_sym_LBRACE,
      anon_sym_AT,
      aux_sym__identifier_with_dots_token1,
  [23066] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(1411), 1,
      anon_sym_throws,
    ACTIONS(1413), 1,
      anon_sym_GT,
    STATE(716), 1,
      sym_annotation_definition,
    STATE(862), 1,
      sym_throws,
  [23085] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 1,
      anon_sym_RBRACE,
    ACTIONS(1417), 1,
      anon_sym_DQUOTE,
    ACTIONS(1420), 1,
      anon_sym_SQUOTE,
    STATE(589), 1,
      aux_sym_senum_definition_repeat1,
    STATE(600), 1,
      sym_string,
  [23104] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1112), 1,
      anon_sym_DQUOTE,
    ACTIONS(1114), 1,
      anon_sym_SQUOTE,
    ACTIONS(1423), 1,
      anon_sym_RBRACE,
    STATE(589), 1,
      aux_sym_senum_definition_repeat1,
    STATE(600), 1,
      sym_string,
  [23123] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 1,
      anon_sym_LPAREN,
    ACTIONS(1425), 1,
      anon_sym_AMP,
    ACTIONS(1427), 1,
      aux_sym__identifier_with_dots_token1,
    STATE(90), 1,
      sym__identifier_with_dots,
    STATE(810), 1,
      sym_annotation_definition,
  [23142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(1305), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      aux_sym__identifier_with_dots_token1,
  [23155] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(1411), 1,
      anon_sym_throws,
    ACTIONS(1429), 1,
      anon_sym_COMMA,
    STATE(768), 1,
      sym_annotation_definition,
    STATE(838), 1,
      sym_throws,
  [23174] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 1,
      anon_sym_LPAREN,
    ACTIONS(1431), 1,
      anon_sym_AMP,
    ACTIONS(1433), 1,
      aux_sym__identifier_with_dots_token1,
    STATE(93), 1,
      sym__identifier_with_dots,
    STATE(823), 1,
      sym_annotation_definition,
  [23193] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(1435), 1,
      sym_identifier,
    ACTIONS(1437), 1,
      anon_sym_COMMA,
    STATE(608), 1,
      aux_sym_function_definition_repeat1,
    STATE(844), 1,
      sym_annotation_definition,
  [23212] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(1435), 1,
      sym_identifier,
    ACTIONS(1437), 1,
      anon_sym_COMMA,
    STATE(673), 1,
      aux_sym_function_definition_repeat1,
    STATE(844), 1,
      sym_annotation_definition,
  [23231] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(1437), 1,
      anon_sym_COMMA,
    ACTIONS(1439), 1,
      sym_identifier,
    STATE(673), 1,
      aux_sym_function_definition_repeat1,
    STATE(874), 1,
      sym_annotation_definition,
  [23250] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1260), 1,
      anon_sym_AT,
    ACTIONS(1441), 1,
      aux_sym__identifier_with_dots_token1,
    STATE(530), 1,
      sym__identifier_with_dots,
    STATE(655), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
  [23267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 2,
      anon_sym_throws,
      sym_identifier,
    ACTIONS(1445), 3,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT,
  [23280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1447), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(1449), 3,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
  [23293] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1112), 1,
      anon_sym_DQUOTE,
    ACTIONS(1114), 1,
      anon_sym_SQUOTE,
    ACTIONS(1451), 1,
      anon_sym_RBRACE,
    STATE(589), 1,
      aux_sym_senum_definition_repeat1,
    STATE(600), 1,
      sym_string,
  [23312] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1112), 1,
      anon_sym_DQUOTE,
    ACTIONS(1114), 1,
      anon_sym_SQUOTE,
    ACTIONS(1451), 1,
      anon_sym_RBRACE,
    STATE(590), 1,
      aux_sym_senum_definition_repeat1,
    STATE(600), 1,
      sym_string,
  [23331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(1280), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      aux_sym__identifier_with_dots_token1,
  [23344] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DOT,
    STATE(606), 1,
      aux_sym__type_identifier_repeat1,
    ACTIONS(1290), 3,
      anon_sym_LPAREN,
      anon_sym_AMP,
      aux_sym__identifier_with_dots_token1,
  [23359] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DOT,
    STATE(587), 1,
      aux_sym__type_identifier_repeat1,
    ACTIONS(48), 3,
      anon_sym_LBRACE,
      anon_sym_AT,
      aux_sym__identifier_with_dots_token1,
  [23374] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DOT,
    STATE(544), 1,
      aux_sym__type_identifier_repeat1,
    ACTIONS(1284), 3,
      anon_sym_LPAREN,
      anon_sym_AMP,
      aux_sym__identifier_with_dots_token1,
  [23389] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 1,
      anon_sym_LPAREN,
    ACTIONS(1453), 1,
      anon_sym_AMP,
    ACTIONS(1455), 1,
      aux_sym__identifier_with_dots_token1,
    STATE(94), 1,
      sym__identifier_with_dots,
    STATE(813), 1,
      sym_annotation_definition,
  [23408] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(1437), 1,
      anon_sym_COMMA,
    ACTIONS(1457), 1,
      sym_identifier,
    STATE(673), 1,
      aux_sym_function_definition_repeat1,
    STATE(853), 1,
      sym_annotation_definition,
  [23427] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 1,
      anon_sym_LPAREN,
    ACTIONS(1459), 1,
      anon_sym_AMP,
    ACTIONS(1461), 1,
      aux_sym__identifier_with_dots_token1,
    STATE(92), 1,
      sym__identifier_with_dots,
    STATE(824), 1,
      sym_annotation_definition,
  [23446] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(1437), 1,
      anon_sym_COMMA,
    ACTIONS(1457), 1,
      sym_identifier,
    STATE(597), 1,
      aux_sym_function_definition_repeat1,
    STATE(853), 1,
      sym_annotation_definition,
  [23465] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(1411), 1,
      anon_sym_throws,
    ACTIONS(1463), 1,
      anon_sym_COMMA,
    STATE(802), 1,
      sym_annotation_definition,
    STATE(912), 1,
      sym_throws,
  [23484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1465), 2,
      anon_sym_throws,
      sym_identifier,
    ACTIONS(1467), 3,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT,
  [23497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1469), 2,
      anon_sym_throws,
      sym_identifier,
    ACTIONS(1471), 3,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT,
  [23510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1365), 2,
      anon_sym_throws,
      sym_identifier,
    ACTIONS(1367), 3,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT,
  [23523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1473), 2,
      anon_sym_throws,
      sym_identifier,
    ACTIONS(1475), 3,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT,
  [23536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1477), 2,
      anon_sym_throws,
      sym_identifier,
    ACTIONS(1479), 3,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT,
  [23549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1307), 2,
      anon_sym_throws,
      sym_identifier,
    ACTIONS(1309), 3,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT,
  [23562] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(1411), 1,
      anon_sym_throws,
    ACTIONS(1481), 1,
      anon_sym_GT,
    STATE(752), 1,
      sym_annotation_definition,
    STATE(841), 1,
      sym_throws,
  [23581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1315), 2,
      anon_sym_throws,
      sym_identifier,
    ACTIONS(1317), 3,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT,
  [23594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 2,
      anon_sym_throws,
      sym_identifier,
    ACTIONS(1256), 3,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT,
  [23607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1485), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(1487), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      aux_sym__identifier_with_dots_token1,
  [23620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 2,
      anon_sym_throws,
      sym_identifier,
    ACTIONS(1373), 3,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT,
  [23633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1489), 2,
      anon_sym_throws,
      sym_identifier,
    ACTIONS(1491), 3,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT,
  [23646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1493), 2,
      anon_sym_throws,
      sym_identifier,
    ACTIONS(1495), 3,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT,
  [23659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1497), 2,
      anon_sym_throws,
      sym_identifier,
    ACTIONS(1499), 3,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT,
  [23672] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(1411), 1,
      anon_sym_throws,
    ACTIONS(1501), 1,
      anon_sym_GT,
    STATE(770), 1,
      sym_annotation_definition,
    STATE(855), 1,
      sym_throws,
  [23691] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(1411), 1,
      anon_sym_throws,
    ACTIONS(1503), 1,
      anon_sym_GT,
    STATE(754), 1,
      sym_annotation_definition,
    STATE(842), 1,
      sym_throws,
  [23710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1505), 2,
      anon_sym_throws,
      sym_identifier,
    ACTIONS(1507), 3,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT,
  [23723] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(1411), 1,
      anon_sym_throws,
    ACTIONS(1509), 1,
      anon_sym_GT,
    STATE(761), 1,
      sym_annotation_definition,
    STATE(851), 1,
      sym_throws,
  [23742] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(1411), 1,
      anon_sym_throws,
    ACTIONS(1511), 1,
      anon_sym_GT,
    STATE(765), 1,
      sym_annotation_definition,
    STATE(857), 1,
      sym_throws,
  [23761] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(1437), 1,
      anon_sym_COMMA,
    ACTIONS(1513), 1,
      sym_identifier,
    STATE(596), 1,
      aux_sym_function_definition_repeat1,
    STATE(850), 1,
      sym_annotation_definition,
  [23780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1515), 2,
      anon_sym_throws,
      sym_identifier,
    ACTIONS(1264), 3,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT,
  [23793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1517), 2,
      anon_sym_throws,
      sym_identifier,
    ACTIONS(1519), 3,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT,
  [23806] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1112), 1,
      anon_sym_DQUOTE,
    ACTIONS(1114), 1,
      anon_sym_SQUOTE,
    ACTIONS(1521), 1,
      anon_sym_RBRACE,
    STATE(600), 1,
      sym_string,
    STATE(601), 1,
      aux_sym_senum_definition_repeat1,
  [23825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1323), 2,
      anon_sym_throws,
      sym_identifier,
    ACTIONS(1325), 3,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT,
  [23838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1523), 2,
      anon_sym_throws,
      sym_identifier,
    ACTIONS(1525), 3,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT,
  [23851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1527), 2,
      anon_sym_throws,
      sym_identifier,
    ACTIONS(1529), 3,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT,
  [23864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(1254), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      aux_sym__identifier_with_dots_token1,
  [23877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1531), 2,
      anon_sym_throws,
      sym_identifier,
    ACTIONS(1533), 3,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT,
  [23890] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(50), 1,
      anon_sym_DOT,
    STATE(3), 1,
      aux_sym__type_identifier_repeat1,
    ACTIONS(1535), 2,
      anon_sym_LPAREN,
      sym_identifier,
  [23904] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 1,
      anon_sym_LPAREN,
    STATE(680), 1,
      sym_annotation_definition,
    ACTIONS(1313), 2,
      anon_sym_AMP,
      aux_sym__identifier_with_dots_token1,
  [23918] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1112), 1,
      anon_sym_DQUOTE,
    ACTIONS(1114), 1,
      anon_sym_SQUOTE,
    ACTIONS(1537), 1,
      sym_identifier,
    STATE(278), 1,
      sym_string,
  [23934] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1112), 1,
      anon_sym_DQUOTE,
    ACTIONS(1114), 1,
      anon_sym_SQUOTE,
    ACTIONS(1539), 1,
      anon_sym_LT,
    STATE(881), 1,
      sym_string,
  [23950] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(50), 1,
      anon_sym_DOT,
    ACTIONS(1541), 1,
      anon_sym_LBRACE,
    ACTIONS(1543), 1,
      anon_sym_xsd_all,
    STATE(669), 1,
      aux_sym__type_identifier_repeat1,
  [23966] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 1,
      anon_sym_LPAREN,
    STATE(690), 1,
      sym_annotation_definition,
    ACTIONS(1373), 2,
      anon_sym_AMP,
      aux_sym__identifier_with_dots_token1,
  [23980] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 1,
      anon_sym_LPAREN,
    ACTIONS(1427), 1,
      aux_sym__identifier_with_dots_token1,
    STATE(90), 1,
      sym__identifier_with_dots,
    STATE(810), 1,
      sym_annotation_definition,
  [23996] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(50), 1,
      anon_sym_DOT,
    ACTIONS(1545), 1,
      anon_sym_LBRACE,
    ACTIONS(1547), 1,
      anon_sym_extends,
    STATE(3), 1,
      aux_sym__type_identifier_repeat1,
  [24012] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1549), 1,
      anon_sym_EQ,
    ACTIONS(1551), 1,
      anon_sym_RPAREN,
    ACTIONS(1553), 1,
      anon_sym_COMMA,
    STATE(688), 1,
      aux_sym_annotation_definition_repeat1,
  [24028] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_AT,
    ACTIONS(934), 1,
      anon_sym_package,
    STATE(7), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
  [24042] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1555), 1,
      anon_sym_EQ,
    ACTIONS(1557), 1,
      anon_sym_RPAREN,
    ACTIONS(1559), 1,
      anon_sym_COMMA,
    STATE(743), 1,
      aux_sym_annotation_definition_repeat1,
  [24058] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(50), 1,
      anon_sym_DOT,
    ACTIONS(1561), 1,
      anon_sym_LBRACE,
    ACTIONS(1563), 1,
      anon_sym_extends,
    STATE(3), 1,
      aux_sym__type_identifier_repeat1,
  [24074] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(50), 1,
      anon_sym_DOT,
    ACTIONS(1565), 1,
      anon_sym_LBRACE,
    ACTIONS(1567), 1,
      anon_sym_xsd_all,
    STATE(664), 1,
      aux_sym__type_identifier_repeat1,
  [24090] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1112), 1,
      anon_sym_DQUOTE,
    ACTIONS(1114), 1,
      anon_sym_SQUOTE,
    ACTIONS(1569), 1,
      anon_sym_LT,
    STATE(904), 1,
      sym_string,
  [24106] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 1,
      anon_sym_LPAREN,
    ACTIONS(1571), 1,
      aux_sym__identifier_with_dots_token1,
    STATE(96), 1,
      sym__identifier_with_dots,
    STATE(806), 1,
      sym_annotation_definition,
  [24122] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      aux_sym__identifier_with_dots_token1,
    ACTIONS(1573), 1,
      anon_sym_AT,
    STATE(655), 2,
      sym_fb_annotation_definition,
      aux_sym_package_declaration_repeat1,
  [24136] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(50), 1,
      anon_sym_DOT,
    ACTIONS(1576), 1,
      anon_sym_LBRACE,
    ACTIONS(1578), 1,
      anon_sym_extends,
    STATE(651), 1,
      aux_sym__type_identifier_repeat1,
  [24152] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(50), 1,
      anon_sym_DOT,
    ACTIONS(1580), 1,
      anon_sym_LBRACE,
    ACTIONS(1582), 1,
      anon_sym_xsd_all,
    STATE(3), 1,
      aux_sym__type_identifier_repeat1,
  [24168] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 1,
      anon_sym_LPAREN,
    STATE(697), 1,
      sym_annotation_definition,
    ACTIONS(1321), 2,
      anon_sym_AMP,
      aux_sym__identifier_with_dots_token1,
  [24182] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 1,
      anon_sym_LPAREN,
    STATE(699), 1,
      sym_annotation_definition,
    ACTIONS(1325), 2,
      anon_sym_AMP,
      aux_sym__identifier_with_dots_token1,
  [24196] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(50), 1,
      anon_sym_DOT,
    STATE(640), 1,
      aux_sym__type_identifier_repeat1,
    ACTIONS(1584), 2,
      anon_sym_LPAREN,
      sym_identifier,
  [24210] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(50), 1,
      anon_sym_DOT,
    ACTIONS(1586), 1,
      anon_sym_LBRACE,
    ACTIONS(1588), 1,
      anon_sym_extends,
    STATE(647), 1,
      aux_sym__type_identifier_repeat1,
  [24226] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 1,
      anon_sym_LPAREN,
    STATE(702), 1,
      sym_annotation_definition,
    ACTIONS(1367), 2,
      anon_sym_AMP,
      aux_sym__identifier_with_dots_token1,
  [24240] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 1,
      anon_sym_LPAREN,
    ACTIONS(1433), 1,
      aux_sym__identifier_with_dots_token1,
    STATE(93), 1,
      sym__identifier_with_dots,
    STATE(823), 1,
      sym_annotation_definition,
  [24256] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(50), 1,
      anon_sym_DOT,
    ACTIONS(1590), 1,
      anon_sym_LBRACE,
    ACTIONS(1592), 1,
      anon_sym_xsd_all,
    STATE(3), 1,
      aux_sym__type_identifier_repeat1,
  [24272] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 1,
      anon_sym_LPAREN,
    STATE(707), 1,
      sym_annotation_definition,
    ACTIONS(1309), 2,
      anon_sym_AMP,
      aux_sym__identifier_with_dots_token1,
  [24286] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1594), 1,
      anon_sym_EQ,
    ACTIONS(1596), 1,
      anon_sym_RPAREN,
    ACTIONS(1598), 1,
      anon_sym_COMMA,
    STATE(775), 1,
      aux_sym_annotation_definition_repeat1,
  [24302] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(50), 1,
      anon_sym_DOT,
    ACTIONS(1600), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      anon_sym_xsd_all,
    STATE(3), 1,
      aux_sym__type_identifier_repeat1,
  [24318] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 1,
      anon_sym_LPAREN,
    STATE(710), 1,
      sym_annotation_definition,
    ACTIONS(1317), 2,
      anon_sym_AMP,
      aux_sym__identifier_with_dots_token1,
  [24332] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(50), 1,
      anon_sym_DOT,
    ACTIONS(1604), 1,
      anon_sym_LBRACE,
    ACTIONS(1606), 1,
      anon_sym_xsd_all,
    STATE(3), 1,
      aux_sym__type_identifier_repeat1,
  [24348] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(50), 1,
      anon_sym_DOT,
    ACTIONS(1608), 1,
      anon_sym_LBRACE,
    ACTIONS(1610), 1,
      anon_sym_xsd_all,
    STATE(657), 1,
      aux_sym__type_identifier_repeat1,
  [24364] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 1,
      anon_sym_LPAREN,
    ACTIONS(1455), 1,
      aux_sym__identifier_with_dots_token1,
    STATE(94), 1,
      sym__identifier_with_dots,
    STATE(813), 1,
      sym_annotation_definition,
  [24380] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1112), 1,
      anon_sym_DQUOTE,
    ACTIONS(1114), 1,
      anon_sym_SQUOTE,
    ACTIONS(1612), 1,
      anon_sym_LT,
    STATE(907), 1,
      sym_string,
  [24396] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_COMMA,
    STATE(673), 1,
      aux_sym_function_definition_repeat1,
    ACTIONS(1614), 2,
      anon_sym_LPAREN,
      sym_identifier,
  [24410] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1112), 1,
      anon_sym_DQUOTE,
    ACTIONS(1114), 1,
      anon_sym_SQUOTE,
    ACTIONS(1619), 1,
      anon_sym_LT,
    STATE(922), 1,
      sym_string,
  [24426] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(50), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      anon_sym_LBRACE,
    ACTIONS(1623), 1,
      anon_sym_xsd_all,
    STATE(667), 1,
      aux_sym__type_identifier_repeat1,
  [24442] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(1625), 1,
      anon_sym_GT,
    STATE(894), 1,
      sym_annotation_definition,
  [24455] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1629), 1,
      anon_sym_RBRACE,
    STATE(791), 1,
      aux_sym_fb_annotation_definition_repeat1,
  [24468] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1256), 3,
      anon_sym_LPAREN,
      anon_sym_AMP,
      aux_sym__identifier_with_dots_token1,
  [24477] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(50), 1,
      anon_sym_DOT,
    ACTIONS(1631), 1,
      anon_sym_LBRACE,
    STATE(3), 1,
      aux_sym__type_identifier_repeat1,
  [24490] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 3,
      anon_sym_LPAREN,
      anon_sym_AMP,
      aux_sym__identifier_with_dots_token1,
  [24499] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(50), 1,
      anon_sym_DOT,
    ACTIONS(1633), 1,
      anon_sym_LBRACE,
    STATE(3), 1,
      aux_sym__type_identifier_repeat1,
  [24512] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1507), 3,
      anon_sym_LPAREN,
      anon_sym_AMP,
      aux_sym__identifier_with_dots_token1,
  [24521] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(50), 1,
      anon_sym_DOT,
    ACTIONS(1635), 1,
      anon_sym_LBRACE,
    STATE(720), 1,
      aux_sym__type_identifier_repeat1,
  [24534] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1637), 1,
      sym_identifier,
    ACTIONS(1639), 1,
      anon_sym_RPAREN,
    STATE(795), 1,
      sym_annotation_identifier,
  [24547] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1641), 1,
      anon_sym_RBRACE,
    STATE(747), 1,
      aux_sym_fb_annotation_definition_repeat1,
  [24560] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1641), 1,
      anon_sym_RBRACE,
    STATE(719), 1,
      aux_sym_fb_annotation_definition_repeat1,
  [24573] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1264), 3,
      anon_sym_LPAREN,
      anon_sym_AMP,
      aux_sym__identifier_with_dots_token1,
  [24582] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1639), 1,
      anon_sym_RPAREN,
    ACTIONS(1643), 1,
      anon_sym_COMMA,
    STATE(797), 1,
      aux_sym_annotation_definition_repeat1,
  [24595] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1637), 1,
      sym_identifier,
    ACTIONS(1645), 1,
      anon_sym_RPAREN,
    STATE(795), 1,
      sym_annotation_identifier,
  [24608] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1325), 3,
      anon_sym_LPAREN,
      anon_sym_AMP,
      aux_sym__identifier_with_dots_token1,
  [24617] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1645), 1,
      anon_sym_RPAREN,
    ACTIONS(1647), 1,
      anon_sym_COMMA,
    STATE(797), 1,
      aux_sym_annotation_definition_repeat1,
  [24630] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1525), 3,
      anon_sym_LPAREN,
      anon_sym_AMP,
      aux_sym__identifier_with_dots_token1,
  [24639] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      aux_sym__identifier_with_dots_token1,
  [24648] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(1649), 1,
      anon_sym_GT,
    STATE(858), 1,
      sym_annotation_definition,
  [24661] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(1651), 1,
      sym_identifier,
    STATE(887), 1,
      sym_annotation_definition,
  [24674] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1471), 3,
      anon_sym_LPAREN,
      anon_sym_AMP,
      aux_sym__identifier_with_dots_token1,
  [24683] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 3,
      anon_sym_LPAREN,
      anon_sym_AMP,
      aux_sym__identifier_with_dots_token1,
  [24692] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(50), 1,
      anon_sym_DOT,
    ACTIONS(1653), 1,
      anon_sym_LBRACE,
    STATE(755), 1,
      aux_sym__type_identifier_repeat1,
  [24705] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1475), 3,
      anon_sym_LPAREN,
      anon_sym_AMP,
      aux_sym__identifier_with_dots_token1,
  [24714] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1479), 3,
      anon_sym_LPAREN,
      anon_sym_AMP,
      aux_sym__identifier_with_dots_token1,
  [24723] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(50), 1,
      anon_sym_DOT,
    ACTIONS(1655), 1,
      anon_sym_LBRACE,
    STATE(800), 1,
      aux_sym__type_identifier_repeat1,
  [24736] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 3,
      anon_sym_LPAREN,
      anon_sym_AMP,
      aux_sym__identifier_with_dots_token1,
  [24745] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(50), 1,
      anon_sym_DOT,
    ACTIONS(1657), 1,
      anon_sym_LBRACE,
    STATE(3), 1,
      aux_sym__type_identifier_repeat1,
  [24758] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1491), 3,
      anon_sym_LPAREN,
      anon_sym_AMP,
      aux_sym__identifier_with_dots_token1,
  [24767] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(50), 1,
      anon_sym_DOT,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    STATE(703), 1,
      aux_sym__type_identifier_repeat1,
  [24780] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(1661), 1,
      sym_identifier,
    STATE(847), 1,
      sym_annotation_definition,
  [24793] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1317), 3,
      anon_sym_LPAREN,
      anon_sym_AMP,
      aux_sym__identifier_with_dots_token1,
  [24802] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(1663), 1,
      anon_sym_GT,
    STATE(893), 1,
      sym_annotation_definition,
  [24815] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 3,
      anon_sym_LPAREN,
      anon_sym_AMP,
      aux_sym__identifier_with_dots_token1,
  [24824] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1519), 3,
      anon_sym_LPAREN,
      anon_sym_AMP,
      aux_sym__identifier_with_dots_token1,
  [24833] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1529), 3,
      anon_sym_LPAREN,
      anon_sym_AMP,
      aux_sym__identifier_with_dots_token1,
  [24842] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 3,
      anon_sym_LPAREN,
      anon_sym_AMP,
      aux_sym__identifier_with_dots_token1,
  [24851] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(460), 3,
      anon_sym_LPAREN,
      anon_sym_AMP,
      aux_sym__identifier_with_dots_token1,
  [24860] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(1665), 1,
      anon_sym_COMMA,
    STATE(901), 1,
      sym_annotation_definition,
  [24873] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1112), 1,
      anon_sym_DQUOTE,
    ACTIONS(1114), 1,
      anon_sym_SQUOTE,
    STATE(836), 1,
      sym_string,
  [24886] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_throws,
    ACTIONS(1481), 1,
      anon_sym_GT,
    STATE(841), 1,
      sym_throws,
  [24899] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(1667), 1,
      anon_sym_GT,
    STATE(877), 1,
      sym_annotation_definition,
  [24912] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1112), 1,
      anon_sym_DQUOTE,
    ACTIONS(1114), 1,
      anon_sym_SQUOTE,
    STATE(321), 1,
      sym_string,
  [24925] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1669), 1,
      anon_sym_RBRACE,
    STATE(747), 1,
      aux_sym_fb_annotation_definition_repeat1,
  [24938] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(50), 1,
      anon_sym_DOT,
    ACTIONS(1671), 1,
      anon_sym_LBRACE,
    STATE(3), 1,
      aux_sym__type_identifier_repeat1,
  [24951] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1637), 1,
      sym_identifier,
    ACTIONS(1673), 1,
      anon_sym_RPAREN,
    STATE(795), 1,
      sym_annotation_identifier,
  [24964] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      aux_sym__identifier_with_dots_token1,
  [24973] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_throws,
    ACTIONS(1675), 1,
      anon_sym_GT,
    STATE(854), 1,
      sym_throws,
  [24986] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(1677), 1,
      anon_sym_GT,
    STATE(835), 1,
      sym_annotation_definition,
  [24999] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(1679), 1,
      sym_identifier,
    STATE(899), 1,
      sym_annotation_definition,
  [25012] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(50), 1,
      anon_sym_DOT,
    ACTIONS(1681), 1,
      anon_sym_SEMI,
    STATE(731), 1,
      aux_sym__type_identifier_repeat1,
  [25025] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(50), 1,
      anon_sym_DOT,
    ACTIONS(1683), 1,
      anon_sym_LBRACE,
    STATE(679), 1,
      aux_sym__type_identifier_repeat1,
  [25038] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      aux_sym__identifier_with_dots_token1,
  [25047] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1112), 1,
      anon_sym_DQUOTE,
    ACTIONS(1114), 1,
      anon_sym_SQUOTE,
    STATE(325), 1,
      sym_string,
  [25060] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(1685), 1,
      anon_sym_COMMA,
    STATE(911), 1,
      sym_annotation_definition,
  [25073] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(50), 1,
      anon_sym_DOT,
    ACTIONS(1687), 1,
      anon_sym_SEMI,
    STATE(3), 1,
      aux_sym__type_identifier_repeat1,
  [25086] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1637), 1,
      sym_identifier,
    ACTIONS(1689), 1,
      anon_sym_RPAREN,
    STATE(650), 1,
      sym_annotation_identifier,
  [25099] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1691), 1,
      anon_sym_RBRACE,
    STATE(738), 1,
      aux_sym_fb_annotation_definition_repeat1,
  [25112] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(1693), 1,
      anon_sym_GT,
    STATE(873), 1,
      sym_annotation_definition,
  [25125] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(1695), 1,
      anon_sym_GT,
    STATE(876), 1,
      sym_annotation_definition,
  [25138] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_throws,
    ACTIONS(1697), 1,
      anon_sym_GT,
    STATE(898), 1,
      sym_throws,
  [25151] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(50), 1,
      anon_sym_DOT,
    ACTIONS(1699), 1,
      anon_sym_LBRACE,
    STATE(3), 1,
      aux_sym__type_identifier_repeat1,
  [25164] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1701), 1,
      anon_sym_RBRACE,
    STATE(747), 1,
      aux_sym_fb_annotation_definition_repeat1,
  [25177] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_GT,
    STATE(831), 1,
      sym_annotation_definition,
  [25190] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(50), 1,
      anon_sym_DOT,
    ACTIONS(1705), 1,
      anon_sym_LBRACE,
    STATE(741), 1,
      aux_sym__type_identifier_repeat1,
  [25203] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(50), 1,
      anon_sym_DOT,
    ACTIONS(1707), 1,
      anon_sym_LBRACE,
    STATE(3), 1,
      aux_sym__type_identifier_repeat1,
  [25216] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1637), 1,
      sym_identifier,
    ACTIONS(1709), 1,
      anon_sym_RPAREN,
    STATE(795), 1,
      sym_annotation_identifier,
  [25229] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1709), 1,
      anon_sym_RPAREN,
    ACTIONS(1711), 1,
      anon_sym_COMMA,
    STATE(797), 1,
      aux_sym_annotation_definition_repeat1,
  [25242] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(1713), 1,
      anon_sym_GT,
    STATE(860), 1,
      sym_annotation_definition,
  [25255] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(1715), 1,
      anon_sym_GT,
    STATE(848), 1,
      sym_annotation_definition,
  [25268] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(1717), 1,
      anon_sym_GT,
    STATE(840), 1,
      sym_annotation_definition,
  [25281] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 1,
      sym_identifier,
    ACTIONS(1722), 1,
      anon_sym_RBRACE,
    STATE(747), 1,
      aux_sym_fb_annotation_definition_repeat1,
  [25294] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(50), 1,
      anon_sym_DOT,
    ACTIONS(1724), 1,
      anon_sym_LBRACE,
    STATE(681), 1,
      aux_sym__type_identifier_repeat1,
  [25307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1728), 1,
      anon_sym_COMMA,
    ACTIONS(1726), 2,
      anon_sym_RBRACE,
      sym_identifier,
  [25318] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1730), 1,
      anon_sym_RPAREN,
    ACTIONS(1732), 1,
      anon_sym_COMMA,
    STATE(759), 1,
      aux_sym_annotation_definition_repeat1,
  [25331] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1637), 1,
      sym_identifier,
    ACTIONS(1730), 1,
      anon_sym_RPAREN,
    STATE(795), 1,
      sym_annotation_identifier,
  [25344] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_throws,
    ACTIONS(1734), 1,
      anon_sym_GT,
    STATE(879), 1,
      sym_throws,
  [25357] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(1736), 1,
      anon_sym_GT,
    STATE(849), 1,
      sym_annotation_definition,
  [25370] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_throws,
    ACTIONS(1509), 1,
      anon_sym_GT,
    STATE(851), 1,
      sym_throws,
  [25383] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(50), 1,
      anon_sym_DOT,
    ACTIONS(1738), 1,
      anon_sym_LBRACE,
    STATE(3), 1,
      aux_sym__type_identifier_repeat1,
  [25396] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1740), 1,
      anon_sym_RBRACE,
    STATE(747), 1,
      aux_sym_fb_annotation_definition_repeat1,
  [25409] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1740), 1,
      anon_sym_RBRACE,
    STATE(763), 1,
      aux_sym_fb_annotation_definition_repeat1,
  [25422] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1637), 1,
      sym_identifier,
    ACTIONS(1742), 1,
      anon_sym_RPAREN,
    STATE(795), 1,
      sym_annotation_identifier,
  [25435] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1742), 1,
      anon_sym_RPAREN,
    ACTIONS(1744), 1,
      anon_sym_COMMA,
    STATE(797), 1,
      aux_sym_annotation_definition_repeat1,
  [25448] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(1746), 1,
      anon_sym_GT,
    STATE(856), 1,
      sym_annotation_definition,
  [25461] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_throws,
    ACTIONS(1511), 1,
      anon_sym_GT,
    STATE(857), 1,
      sym_throws,
  [25474] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1112), 1,
      anon_sym_DQUOTE,
    ACTIONS(1114), 1,
      anon_sym_SQUOTE,
    STATE(331), 1,
      sym_string,
  [25487] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1748), 1,
      anon_sym_RBRACE,
    STATE(747), 1,
      aux_sym_fb_annotation_definition_repeat1,
  [25500] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1637), 1,
      sym_identifier,
    ACTIONS(1750), 1,
      anon_sym_RPAREN,
    STATE(795), 1,
      sym_annotation_identifier,
  [25513] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_throws,
    ACTIONS(1752), 1,
      anon_sym_GT,
    STATE(859), 1,
      sym_throws,
  [25526] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1533), 3,
      anon_sym_LPAREN,
      anon_sym_AMP,
      aux_sym__identifier_with_dots_token1,
  [25535] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 3,
      anon_sym_LPAREN,
      anon_sym_AMP,
      aux_sym__identifier_with_dots_token1,
  [25544] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_throws,
    ACTIONS(1754), 1,
      anon_sym_COMMA,
    STATE(834), 1,
      sym_throws,
  [25557] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1445), 3,
      anon_sym_LPAREN,
      anon_sym_AMP,
      aux_sym__identifier_with_dots_token1,
  [25566] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_throws,
    ACTIONS(1413), 1,
      anon_sym_GT,
    STATE(862), 1,
      sym_throws,
  [25579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1756), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 2,
      anon_sym_AT,
      aux_sym__identifier_with_dots_token1,
  [25590] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1637), 1,
      sym_identifier,
    ACTIONS(1758), 1,
      anon_sym_RPAREN,
    STATE(666), 1,
      sym_annotation_identifier,
  [25603] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1614), 3,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      sym_identifier,
  [25612] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1637), 1,
      sym_identifier,
    ACTIONS(1760), 1,
      anon_sym_RPAREN,
    STATE(795), 1,
      sym_annotation_identifier,
  [25625] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1760), 1,
      anon_sym_RPAREN,
    ACTIONS(1762), 1,
      anon_sym_COMMA,
    STATE(797), 1,
      aux_sym_annotation_definition_repeat1,
  [25638] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1764), 1,
      anon_sym_RBRACE,
    STATE(779), 1,
      aux_sym_fb_annotation_definition_repeat1,
  [25651] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1766), 1,
      anon_sym_RPAREN,
    ACTIONS(1768), 1,
      anon_sym_COMMA,
    STATE(782), 1,
      aux_sym_annotation_definition_repeat1,
  [25664] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1637), 1,
      sym_identifier,
    ACTIONS(1766), 1,
      anon_sym_RPAREN,
    STATE(795), 1,
      sym_annotation_identifier,
  [25677] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1770), 1,
      anon_sym_RBRACE,
    STATE(747), 1,
      aux_sym_fb_annotation_definition_repeat1,
  [25690] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1770), 1,
      anon_sym_RBRACE,
    STATE(783), 1,
      aux_sym_fb_annotation_definition_repeat1,
  [25703] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1637), 1,
      sym_identifier,
    ACTIONS(1772), 1,
      anon_sym_RPAREN,
    STATE(795), 1,
      sym_annotation_identifier,
  [25716] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1772), 1,
      anon_sym_RPAREN,
    ACTIONS(1774), 1,
      anon_sym_COMMA,
    STATE(797), 1,
      aux_sym_annotation_definition_repeat1,
  [25729] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1776), 1,
      anon_sym_RBRACE,
    STATE(747), 1,
      aux_sym_fb_annotation_definition_repeat1,
  [25742] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1637), 1,
      sym_identifier,
    ACTIONS(1778), 1,
      anon_sym_RPAREN,
    STATE(795), 1,
      sym_annotation_identifier,
  [25755] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1780), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      aux_sym__identifier_with_dots_token1,
  [25764] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(1782), 1,
      sym_identifier,
    STATE(882), 1,
      sym_annotation_definition,
  [25777] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1784), 3,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_identifier,
  [25786] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(1786), 1,
      sym_identifier,
    STATE(845), 1,
      sym_annotation_definition,
  [25799] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(50), 1,
      anon_sym_DOT,
    ACTIONS(1788), 1,
      anon_sym_LBRACE,
    STATE(737), 1,
      aux_sym__type_identifier_repeat1,
  [25812] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(1790), 1,
      sym_identifier,
    STATE(830), 1,
      sym_annotation_definition,
  [25825] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1792), 1,
      anon_sym_RBRACE,
    STATE(747), 1,
      aux_sym_fb_annotation_definition_repeat1,
  [25838] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1794), 1,
      anon_sym_RBRACE,
    STATE(685), 1,
      aux_sym_fb_annotation_definition_repeat1,
  [25851] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1637), 1,
      sym_identifier,
    ACTIONS(1796), 1,
      anon_sym_RPAREN,
    STATE(648), 1,
      sym_annotation_identifier,
  [25864] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1798), 1,
      anon_sym_RPAREN,
    ACTIONS(1800), 1,
      anon_sym_COMMA,
    STATE(691), 1,
      aux_sym_annotation_definition_repeat1,
  [25877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1802), 1,
      anon_sym_EQ,
    ACTIONS(1804), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [25888] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1637), 1,
      sym_identifier,
    ACTIONS(1798), 1,
      anon_sym_RPAREN,
    STATE(795), 1,
      sym_annotation_identifier,
  [25901] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1804), 1,
      anon_sym_RPAREN,
    ACTIONS(1806), 1,
      anon_sym_COMMA,
    STATE(797), 1,
      aux_sym_annotation_definition_repeat1,
  [25914] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 3,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
  [25923] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(1809), 1,
      anon_sym_COMMA,
    STATE(910), 1,
      sym_annotation_definition,
  [25936] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(50), 1,
      anon_sym_DOT,
    ACTIONS(1811), 1,
      anon_sym_LBRACE,
    STATE(3), 1,
      aux_sym__type_identifier_repeat1,
  [25949] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_LPAREN,
    ACTIONS(1813), 1,
      anon_sym_COMMA,
    STATE(914), 1,
      sym_annotation_definition,
  [25962] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_throws,
    ACTIONS(1815), 1,
      anon_sym_COMMA,
    STATE(915), 1,
      sym_throws,
  [25975] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1280), 3,
      anon_sym_RBRACE,
      anon_sym_AT,
      aux_sym__identifier_with_dots_token1,
  [25984] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1495), 3,
      anon_sym_LPAREN,
      anon_sym_AMP,
      aux_sym__identifier_with_dots_token1,
  [25993] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1817), 1,
      anon_sym_RBRACE,
    STATE(756), 1,
      aux_sym_fb_annotation_definition_repeat1,
  [26006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1819), 1,
      aux_sym__identifier_with_dots_token1,
    STATE(100), 1,
      sym__identifier_with_dots,
  [26016] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1821), 1,
      sym_identifier,
    STATE(771), 1,
      sym_annotation_identifier,
  [26026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1637), 1,
      sym_identifier,
    STATE(795), 1,
      sym_annotation_identifier,
  [26036] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(73), 2,
      anon_sym_AT,
      aux_sym__identifier_with_dots_token1,
  [26044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      aux_sym__identifier_with_dots_token1,
    STATE(94), 1,
      sym__identifier_with_dots,
  [26054] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(77), 2,
      anon_sym_AT,
      aux_sym__identifier_with_dots_token1,
  [26062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1823), 1,
      anon_sym_LPAREN,
    STATE(108), 1,
      sym_parameters,
  [26072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1433), 1,
      aux_sym__identifier_with_dots_token1,
    STATE(93), 1,
      sym__identifier_with_dots,
  [26082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1637), 1,
      sym_identifier,
    STATE(8), 1,
      sym_annotation_identifier,
  [26092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1823), 1,
      anon_sym_LPAREN,
    STATE(155), 1,
      sym_parameters,
  [26102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1823), 1,
      anon_sym_LPAREN,
    STATE(106), 1,
      sym_parameters,
  [26112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1823), 1,
      anon_sym_LPAREN,
    STATE(105), 1,
      sym_parameters,
  [26122] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1825), 2,
      anon_sym_LPAREN,
      sym_identifier,
  [26130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1823), 1,
      anon_sym_LPAREN,
    STATE(111), 1,
      sym_parameters,
  [26140] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 2,
      anon_sym_RBRACE,
      sym_identifier,
  [26148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1823), 1,
      anon_sym_LPAREN,
    STATE(114), 1,
      sym_parameters,
  [26158] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1829), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [26166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1571), 1,
      aux_sym__identifier_with_dots_token1,
    STATE(96), 1,
      sym__identifier_with_dots,
  [26176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1427), 1,
      aux_sym__identifier_with_dots_token1,
    STATE(90), 1,
      sym__identifier_with_dots,
  [26186] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1831), 1,
      sym_identifier,
  [26193] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1833), 1,
      anon_sym_LBRACE,
  [26200] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1835), 1,
      sym_identifier,
  [26207] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1837), 1,
      anon_sym_LBRACE,
  [26214] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1839), 1,
      sym_identifier,
  [26221] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1786), 1,
      sym_identifier,
  [26228] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1841), 1,
      anon_sym_GT,
  [26235] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1843), 1,
      ts_builtin_sym_end,
  [26242] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1845), 1,
      sym_identifier,
  [26249] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_COMMA,
  [26256] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      anon_sym_GT,
  [26263] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1849), 1,
      anon_sym_RPAREN,
  [26270] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1851), 1,
      sym_number,
  [26277] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1754), 1,
      anon_sym_COMMA,
  [26284] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1853), 1,
      sym_identifier,
  [26291] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1736), 1,
      anon_sym_GT,
  [26298] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1734), 1,
      anon_sym_GT,
  [26305] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1509), 1,
      anon_sym_GT,
  [26312] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1855), 1,
      sym_identifier,
  [26319] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1457), 1,
      sym_identifier,
  [26326] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1857), 1,
      sym_identifier,
  [26333] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1859), 1,
      sym_identifier,
  [26340] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1790), 1,
      sym_identifier,
  [26347] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1649), 1,
      anon_sym_GT,
  [26354] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1746), 1,
      anon_sym_GT,
  [26361] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1435), 1,
      sym_identifier,
  [26368] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1511), 1,
      anon_sym_GT,
  [26375] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1861), 1,
      sym_identifier,
  [26382] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 1,
      sym_identifier,
  [26389] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1863), 1,
      anon_sym_GT,
  [26396] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1413), 1,
      anon_sym_GT,
  [26403] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_GT,
  [26410] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1752), 1,
      anon_sym_GT,
  [26417] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1867), 1,
      anon_sym_GT,
  [26424] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym_GT,
  [26431] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1871), 1,
      anon_sym_GT,
  [26438] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1873), 1,
      sym_identifier,
  [26445] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1481), 1,
      anon_sym_GT,
  [26452] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1875), 1,
      sym_identifier,
  [26459] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1877), 1,
      anon_sym_LBRACE,
  [26466] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1879), 1,
      sym_identifier,
  [26473] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1881), 1,
      anon_sym_EQ,
  [26480] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1883), 1,
      sym_identifier,
  [26487] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1600), 1,
      anon_sym_LBRACE,
  [26494] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1885), 1,
      anon_sym_COLON,
  [26501] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1887), 1,
      anon_sym_LT,
  [26508] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1889), 1,
      sym_identifier,
  [26515] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1580), 1,
      anon_sym_LBRACE,
  [26522] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_GT,
  [26529] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1893), 1,
      sym_identifier,
  [26536] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1895), 1,
      sym_identifier,
  [26543] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1703), 1,
      anon_sym_GT,
  [26550] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1713), 1,
      anon_sym_GT,
  [26557] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1897), 1,
      sym_identifier,
  [26564] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1899), 1,
      anon_sym_GT,
  [26571] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1901), 1,
      anon_sym_LBRACE,
  [26578] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1903), 1,
      anon_sym_LT,
  [26585] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1661), 1,
      sym_identifier,
  [26592] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1905), 1,
      sym_identifier,
  [26599] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1907), 1,
      anon_sym_LBRACE,
  [26606] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1909), 1,
      anon_sym_EQ,
  [26613] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1911), 1,
      sym_identifier,
  [26620] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1913), 1,
      sym_identifier,
  [26627] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1915), 1,
      sym_identifier,
  [26634] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1917), 1,
      anon_sym_EQ,
  [26641] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1919), 1,
      anon_sym_LT,
  [26648] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1604), 1,
      anon_sym_LBRACE,
  [26655] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1921), 1,
      sym_identifier,
  [26662] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_GT,
  [26669] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1925), 1,
      anon_sym_GT,
  [26676] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1927), 1,
      sym_identifier,
  [26683] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1929), 1,
      anon_sym_uri,
  [26690] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1931), 1,
      anon_sym_LT,
  [26697] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_GT,
  [26704] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1651), 1,
      sym_identifier,
  [26711] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1935), 1,
      sym_identifier,
  [26718] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1685), 1,
      anon_sym_COMMA,
  [26725] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1937), 1,
      anon_sym_LBRACE,
  [26732] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1939), 1,
      anon_sym_LT,
  [26739] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      anon_sym_LT,
  [26746] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LT,
  [26753] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1945), 1,
      sym_identifier,
  [26760] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1947), 1,
      anon_sym_LT,
  [26767] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LBRACE,
  [26774] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1949), 1,
      anon_sym_LBRACE,
  [26781] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1813), 1,
      anon_sym_COMMA,
  [26788] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1951), 1,
      anon_sym_COMMA,
  [26795] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1815), 1,
      anon_sym_COMMA,
  [26802] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1953), 1,
      anon_sym_COLON,
  [26809] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1955), 1,
      anon_sym_COMMA,
  [26816] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1957), 1,
      anon_sym_COMMA,
  [26823] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1959), 1,
      anon_sym_LT,
  [26830] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1961), 1,
      anon_sym_EQ,
  [26837] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1963), 1,
      sym_identifier,
  [26844] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      sym_number,
  [26851] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1967), 1,
      anon_sym_LBRACE,
  [26858] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1969), 1,
      anon_sym_LT,
  [26865] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1971), 1,
      anon_sym_LT,
  [26872] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1973), 1,
      sym_identifier,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(3)] = 0,
  [SMALL_STATE(4)] = 69,
  [SMALL_STATE(5)] = 133,
  [SMALL_STATE(6)] = 191,
  [SMALL_STATE(7)] = 249,
  [SMALL_STATE(8)] = 303,
  [SMALL_STATE(9)] = 354,
  [SMALL_STATE(10)] = 441,
  [SMALL_STATE(11)] = 489,
  [SMALL_STATE(12)] = 537,
  [SMALL_STATE(13)] = 615,
  [SMALL_STATE(14)] = 693,
  [SMALL_STATE(15)] = 771,
  [SMALL_STATE(16)] = 849,
  [SMALL_STATE(17)] = 927,
  [SMALL_STATE(18)] = 1005,
  [SMALL_STATE(19)] = 1083,
  [SMALL_STATE(20)] = 1161,
  [SMALL_STATE(21)] = 1239,
  [SMALL_STATE(22)] = 1317,
  [SMALL_STATE(23)] = 1395,
  [SMALL_STATE(24)] = 1473,
  [SMALL_STATE(25)] = 1551,
  [SMALL_STATE(26)] = 1629,
  [SMALL_STATE(27)] = 1707,
  [SMALL_STATE(28)] = 1785,
  [SMALL_STATE(29)] = 1863,
  [SMALL_STATE(30)] = 1941,
  [SMALL_STATE(31)] = 2019,
  [SMALL_STATE(32)] = 2097,
  [SMALL_STATE(33)] = 2175,
  [SMALL_STATE(34)] = 2253,
  [SMALL_STATE(35)] = 2331,
  [SMALL_STATE(36)] = 2409,
  [SMALL_STATE(37)] = 2487,
  [SMALL_STATE(38)] = 2566,
  [SMALL_STATE(39)] = 2645,
  [SMALL_STATE(40)] = 2724,
  [SMALL_STATE(41)] = 2803,
  [SMALL_STATE(42)] = 2882,
  [SMALL_STATE(43)] = 2961,
  [SMALL_STATE(44)] = 3040,
  [SMALL_STATE(45)] = 3119,
  [SMALL_STATE(46)] = 3198,
  [SMALL_STATE(47)] = 3277,
  [SMALL_STATE(48)] = 3356,
  [SMALL_STATE(49)] = 3435,
  [SMALL_STATE(50)] = 3514,
  [SMALL_STATE(51)] = 3593,
  [SMALL_STATE(52)] = 3672,
  [SMALL_STATE(53)] = 3751,
  [SMALL_STATE(54)] = 3830,
  [SMALL_STATE(55)] = 3909,
  [SMALL_STATE(56)] = 3988,
  [SMALL_STATE(57)] = 4067,
  [SMALL_STATE(58)] = 4146,
  [SMALL_STATE(59)] = 4225,
  [SMALL_STATE(60)] = 4304,
  [SMALL_STATE(61)] = 4383,
  [SMALL_STATE(62)] = 4462,
  [SMALL_STATE(63)] = 4541,
  [SMALL_STATE(64)] = 4620,
  [SMALL_STATE(65)] = 4695,
  [SMALL_STATE(66)] = 4770,
  [SMALL_STATE(67)] = 4849,
  [SMALL_STATE(68)] = 4928,
  [SMALL_STATE(69)] = 5007,
  [SMALL_STATE(70)] = 5086,
  [SMALL_STATE(71)] = 5165,
  [SMALL_STATE(72)] = 5240,
  [SMALL_STATE(73)] = 5315,
  [SMALL_STATE(74)] = 5390,
  [SMALL_STATE(75)] = 5469,
  [SMALL_STATE(76)] = 5548,
  [SMALL_STATE(77)] = 5627,
  [SMALL_STATE(78)] = 5706,
  [SMALL_STATE(79)] = 5750,
  [SMALL_STATE(80)] = 5794,
  [SMALL_STATE(81)] = 5838,
  [SMALL_STATE(82)] = 5882,
  [SMALL_STATE(83)] = 5926,
  [SMALL_STATE(84)] = 5970,
  [SMALL_STATE(85)] = 6042,
  [SMALL_STATE(86)] = 6110,
  [SMALL_STATE(87)] = 6182,
  [SMALL_STATE(88)] = 6229,
  [SMALL_STATE(89)] = 6276,
  [SMALL_STATE(90)] = 6314,
  [SMALL_STATE(91)] = 6370,
  [SMALL_STATE(92)] = 6426,
  [SMALL_STATE(93)] = 6482,
  [SMALL_STATE(94)] = 6538,
  [SMALL_STATE(95)] = 6594,
  [SMALL_STATE(96)] = 6632,
  [SMALL_STATE(97)] = 6688,
  [SMALL_STATE(98)] = 6756,
  [SMALL_STATE(99)] = 6824,
  [SMALL_STATE(100)] = 6880,
  [SMALL_STATE(101)] = 6936,
  [SMALL_STATE(102)] = 6992,
  [SMALL_STATE(103)] = 7048,
  [SMALL_STATE(104)] = 7116,
  [SMALL_STATE(105)] = 7172,
  [SMALL_STATE(106)] = 7221,
  [SMALL_STATE(107)] = 7270,
  [SMALL_STATE(108)] = 7323,
  [SMALL_STATE(109)] = 7372,
  [SMALL_STATE(110)] = 7425,
  [SMALL_STATE(111)] = 7478,
  [SMALL_STATE(112)] = 7527,
  [SMALL_STATE(113)] = 7580,
  [SMALL_STATE(114)] = 7633,
  [SMALL_STATE(115)] = 7682,
  [SMALL_STATE(116)] = 7735,
  [SMALL_STATE(117)] = 7788,
  [SMALL_STATE(118)] = 7841,
  [SMALL_STATE(119)] = 7894,
  [SMALL_STATE(120)] = 7947,
  [SMALL_STATE(121)] = 8000,
  [SMALL_STATE(122)] = 8038,
  [SMALL_STATE(123)] = 8076,
  [SMALL_STATE(124)] = 8126,
  [SMALL_STATE(125)] = 8176,
  [SMALL_STATE(126)] = 8226,
  [SMALL_STATE(127)] = 8276,
  [SMALL_STATE(128)] = 8314,
  [SMALL_STATE(129)] = 8364,
  [SMALL_STATE(130)] = 8414,
  [SMALL_STATE(131)] = 8464,
  [SMALL_STATE(132)] = 8514,
  [SMALL_STATE(133)] = 8564,
  [SMALL_STATE(134)] = 8614,
  [SMALL_STATE(135)] = 8664,
  [SMALL_STATE(136)] = 8714,
  [SMALL_STATE(137)] = 8764,
  [SMALL_STATE(138)] = 8802,
  [SMALL_STATE(139)] = 8840,
  [SMALL_STATE(140)] = 8890,
  [SMALL_STATE(141)] = 8928,
  [SMALL_STATE(142)] = 8966,
  [SMALL_STATE(143)] = 9004,
  [SMALL_STATE(144)] = 9042,
  [SMALL_STATE(145)] = 9080,
  [SMALL_STATE(146)] = 9118,
  [SMALL_STATE(147)] = 9156,
  [SMALL_STATE(148)] = 9194,
  [SMALL_STATE(149)] = 9244,
  [SMALL_STATE(150)] = 9287,
  [SMALL_STATE(151)] = 9334,
  [SMALL_STATE(152)] = 9377,
  [SMALL_STATE(153)] = 9424,
  [SMALL_STATE(154)] = 9471,
  [SMALL_STATE(155)] = 9518,
  [SMALL_STATE(156)] = 9555,
  [SMALL_STATE(157)] = 9602,
  [SMALL_STATE(158)] = 9649,
  [SMALL_STATE(159)] = 9696,
  [SMALL_STATE(160)] = 9743,
  [SMALL_STATE(161)] = 9790,
  [SMALL_STATE(162)] = 9837,
  [SMALL_STATE(163)] = 9896,
  [SMALL_STATE(164)] = 9955,
  [SMALL_STATE(165)] = 10002,
  [SMALL_STATE(166)] = 10049,
  [SMALL_STATE(167)] = 10108,
  [SMALL_STATE(168)] = 10155,
  [SMALL_STATE(169)] = 10198,
  [SMALL_STATE(170)] = 10241,
  [SMALL_STATE(171)] = 10288,
  [SMALL_STATE(172)] = 10335,
  [SMALL_STATE(173)] = 10382,
  [SMALL_STATE(174)] = 10425,
  [SMALL_STATE(175)] = 10484,
  [SMALL_STATE(176)] = 10531,
  [SMALL_STATE(177)] = 10579,
  [SMALL_STATE(178)] = 10614,
  [SMALL_STATE(179)] = 10651,
  [SMALL_STATE(180)] = 10692,
  [SMALL_STATE(181)] = 10733,
  [SMALL_STATE(182)] = 10770,
  [SMALL_STATE(183)] = 10811,
  [SMALL_STATE(184)] = 10848,
  [SMALL_STATE(185)] = 10889,
  [SMALL_STATE(186)] = 10930,
  [SMALL_STATE(187)] = 10965,
  [SMALL_STATE(188)] = 11002,
  [SMALL_STATE(189)] = 11043,
  [SMALL_STATE(190)] = 11084,
  [SMALL_STATE(191)] = 11121,
  [SMALL_STATE(192)] = 11162,
  [SMALL_STATE(193)] = 11203,
  [SMALL_STATE(194)] = 11240,
  [SMALL_STATE(195)] = 11281,
  [SMALL_STATE(196)] = 11322,
  [SMALL_STATE(197)] = 11359,
  [SMALL_STATE(198)] = 11400,
  [SMALL_STATE(199)] = 11441,
  [SMALL_STATE(200)] = 11482,
  [SMALL_STATE(201)] = 11523,
  [SMALL_STATE(202)] = 11564,
  [SMALL_STATE(203)] = 11605,
  [SMALL_STATE(204)] = 11646,
  [SMALL_STATE(205)] = 11687,
  [SMALL_STATE(206)] = 11739,
  [SMALL_STATE(207)] = 11791,
  [SMALL_STATE(208)] = 11843,
  [SMALL_STATE(209)] = 11895,
  [SMALL_STATE(210)] = 11947,
  [SMALL_STATE(211)] = 11999,
  [SMALL_STATE(212)] = 12051,
  [SMALL_STATE(213)] = 12103,
  [SMALL_STATE(214)] = 12155,
  [SMALL_STATE(215)] = 12197,
  [SMALL_STATE(216)] = 12249,
  [SMALL_STATE(217)] = 12301,
  [SMALL_STATE(218)] = 12353,
  [SMALL_STATE(219)] = 12405,
  [SMALL_STATE(220)] = 12457,
  [SMALL_STATE(221)] = 12499,
  [SMALL_STATE(222)] = 12551,
  [SMALL_STATE(223)] = 12603,
  [SMALL_STATE(224)] = 12655,
  [SMALL_STATE(225)] = 12707,
  [SMALL_STATE(226)] = 12759,
  [SMALL_STATE(227)] = 12811,
  [SMALL_STATE(228)] = 12863,
  [SMALL_STATE(229)] = 12915,
  [SMALL_STATE(230)] = 12967,
  [SMALL_STATE(231)] = 12999,
  [SMALL_STATE(232)] = 13051,
  [SMALL_STATE(233)] = 13103,
  [SMALL_STATE(234)] = 13155,
  [SMALL_STATE(235)] = 13207,
  [SMALL_STATE(236)] = 13259,
  [SMALL_STATE(237)] = 13311,
  [SMALL_STATE(238)] = 13363,
  [SMALL_STATE(239)] = 13415,
  [SMALL_STATE(240)] = 13467,
  [SMALL_STATE(241)] = 13519,
  [SMALL_STATE(242)] = 13571,
  [SMALL_STATE(243)] = 13623,
  [SMALL_STATE(244)] = 13675,
  [SMALL_STATE(245)] = 13727,
  [SMALL_STATE(246)] = 13779,
  [SMALL_STATE(247)] = 13828,
  [SMALL_STATE(248)] = 13863,
  [SMALL_STATE(249)] = 13898,
  [SMALL_STATE(250)] = 13931,
  [SMALL_STATE(251)] = 13966,
  [SMALL_STATE(252)] = 14001,
  [SMALL_STATE(253)] = 14034,
  [SMALL_STATE(254)] = 14083,
  [SMALL_STATE(255)] = 14116,
  [SMALL_STATE(256)] = 14151,
  [SMALL_STATE(257)] = 14184,
  [SMALL_STATE(258)] = 14219,
  [SMALL_STATE(259)] = 14254,
  [SMALL_STATE(260)] = 14287,
  [SMALL_STATE(261)] = 14322,
  [SMALL_STATE(262)] = 14357,
  [SMALL_STATE(263)] = 14390,
  [SMALL_STATE(264)] = 14425,
  [SMALL_STATE(265)] = 14460,
  [SMALL_STATE(266)] = 14495,
  [SMALL_STATE(267)] = 14530,
  [SMALL_STATE(268)] = 14565,
  [SMALL_STATE(269)] = 14600,
  [SMALL_STATE(270)] = 14635,
  [SMALL_STATE(271)] = 14670,
  [SMALL_STATE(272)] = 14703,
  [SMALL_STATE(273)] = 14738,
  [SMALL_STATE(274)] = 14773,
  [SMALL_STATE(275)] = 14806,
  [SMALL_STATE(276)] = 14841,
  [SMALL_STATE(277)] = 14874,
  [SMALL_STATE(278)] = 14909,
  [SMALL_STATE(279)] = 14945,
  [SMALL_STATE(280)] = 14976,
  [SMALL_STATE(281)] = 15007,
  [SMALL_STATE(282)] = 15038,
  [SMALL_STATE(283)] = 15069,
  [SMALL_STATE(284)] = 15100,
  [SMALL_STATE(285)] = 15131,
  [SMALL_STATE(286)] = 15162,
  [SMALL_STATE(287)] = 15193,
  [SMALL_STATE(288)] = 15224,
  [SMALL_STATE(289)] = 15255,
  [SMALL_STATE(290)] = 15286,
  [SMALL_STATE(291)] = 15317,
  [SMALL_STATE(292)] = 15348,
  [SMALL_STATE(293)] = 15379,
  [SMALL_STATE(294)] = 15410,
  [SMALL_STATE(295)] = 15441,
  [SMALL_STATE(296)] = 15472,
  [SMALL_STATE(297)] = 15507,
  [SMALL_STATE(298)] = 15542,
  [SMALL_STATE(299)] = 15573,
  [SMALL_STATE(300)] = 15604,
  [SMALL_STATE(301)] = 15635,
  [SMALL_STATE(302)] = 15666,
  [SMALL_STATE(303)] = 15697,
  [SMALL_STATE(304)] = 15728,
  [SMALL_STATE(305)] = 15756,
  [SMALL_STATE(306)] = 15784,
  [SMALL_STATE(307)] = 15814,
  [SMALL_STATE(308)] = 15842,
  [SMALL_STATE(309)] = 15870,
  [SMALL_STATE(310)] = 15898,
  [SMALL_STATE(311)] = 15926,
  [SMALL_STATE(312)] = 15956,
  [SMALL_STATE(313)] = 15984,
  [SMALL_STATE(314)] = 16014,
  [SMALL_STATE(315)] = 16042,
  [SMALL_STATE(316)] = 16070,
  [SMALL_STATE(317)] = 16098,
  [SMALL_STATE(318)] = 16125,
  [SMALL_STATE(319)] = 16152,
  [SMALL_STATE(320)] = 16185,
  [SMALL_STATE(321)] = 16218,
  [SMALL_STATE(322)] = 16245,
  [SMALL_STATE(323)] = 16272,
  [SMALL_STATE(324)] = 16305,
  [SMALL_STATE(325)] = 16332,
  [SMALL_STATE(326)] = 16359,
  [SMALL_STATE(327)] = 16386,
  [SMALL_STATE(328)] = 16419,
  [SMALL_STATE(329)] = 16446,
  [SMALL_STATE(330)] = 16473,
  [SMALL_STATE(331)] = 16506,
  [SMALL_STATE(332)] = 16533,
  [SMALL_STATE(333)] = 16559,
  [SMALL_STATE(334)] = 16588,
  [SMALL_STATE(335)] = 16617,
  [SMALL_STATE(336)] = 16644,
  [SMALL_STATE(337)] = 16673,
  [SMALL_STATE(338)] = 16702,
  [SMALL_STATE(339)] = 16729,
  [SMALL_STATE(340)] = 16758,
  [SMALL_STATE(341)] = 16787,
  [SMALL_STATE(342)] = 16814,
  [SMALL_STATE(343)] = 16843,
  [SMALL_STATE(344)] = 16872,
  [SMALL_STATE(345)] = 16901,
  [SMALL_STATE(346)] = 16930,
  [SMALL_STATE(347)] = 16959,
  [SMALL_STATE(348)] = 16988,
  [SMALL_STATE(349)] = 17017,
  [SMALL_STATE(350)] = 17046,
  [SMALL_STATE(351)] = 17075,
  [SMALL_STATE(352)] = 17104,
  [SMALL_STATE(353)] = 17133,
  [SMALL_STATE(354)] = 17162,
  [SMALL_STATE(355)] = 17191,
  [SMALL_STATE(356)] = 17220,
  [SMALL_STATE(357)] = 17249,
  [SMALL_STATE(358)] = 17296,
  [SMALL_STATE(359)] = 17325,
  [SMALL_STATE(360)] = 17354,
  [SMALL_STATE(361)] = 17383,
  [SMALL_STATE(362)] = 17412,
  [SMALL_STATE(363)] = 17441,
  [SMALL_STATE(364)] = 17468,
  [SMALL_STATE(365)] = 17497,
  [SMALL_STATE(366)] = 17526,
  [SMALL_STATE(367)] = 17555,
  [SMALL_STATE(368)] = 17584,
  [SMALL_STATE(369)] = 17613,
  [SMALL_STATE(370)] = 17642,
  [SMALL_STATE(371)] = 17671,
  [SMALL_STATE(372)] = 17700,
  [SMALL_STATE(373)] = 17725,
  [SMALL_STATE(374)] = 17750,
  [SMALL_STATE(375)] = 17775,
  [SMALL_STATE(376)] = 17800,
  [SMALL_STATE(377)] = 17825,
  [SMALL_STATE(378)] = 17850,
  [SMALL_STATE(379)] = 17879,
  [SMALL_STATE(380)] = 17908,
  [SMALL_STATE(381)] = 17937,
  [SMALL_STATE(382)] = 17966,
  [SMALL_STATE(383)] = 17993,
  [SMALL_STATE(384)] = 18022,
  [SMALL_STATE(385)] = 18051,
  [SMALL_STATE(386)] = 18080,
  [SMALL_STATE(387)] = 18109,
  [SMALL_STATE(388)] = 18138,
  [SMALL_STATE(389)] = 18167,
  [SMALL_STATE(390)] = 18196,
  [SMALL_STATE(391)] = 18225,
  [SMALL_STATE(392)] = 18254,
  [SMALL_STATE(393)] = 18283,
  [SMALL_STATE(394)] = 18312,
  [SMALL_STATE(395)] = 18341,
  [SMALL_STATE(396)] = 18370,
  [SMALL_STATE(397)] = 18399,
  [SMALL_STATE(398)] = 18428,
  [SMALL_STATE(399)] = 18452,
  [SMALL_STATE(400)] = 18496,
  [SMALL_STATE(401)] = 18520,
  [SMALL_STATE(402)] = 18543,
  [SMALL_STATE(403)] = 18566,
  [SMALL_STATE(404)] = 18589,
  [SMALL_STATE(405)] = 18612,
  [SMALL_STATE(406)] = 18635,
  [SMALL_STATE(407)] = 18658,
  [SMALL_STATE(408)] = 18681,
  [SMALL_STATE(409)] = 18704,
  [SMALL_STATE(410)] = 18727,
  [SMALL_STATE(411)] = 18750,
  [SMALL_STATE(412)] = 18773,
  [SMALL_STATE(413)] = 18796,
  [SMALL_STATE(414)] = 18819,
  [SMALL_STATE(415)] = 18842,
  [SMALL_STATE(416)] = 18885,
  [SMALL_STATE(417)] = 18908,
  [SMALL_STATE(418)] = 18931,
  [SMALL_STATE(419)] = 18954,
  [SMALL_STATE(420)] = 18977,
  [SMALL_STATE(421)] = 19000,
  [SMALL_STATE(422)] = 19023,
  [SMALL_STATE(423)] = 19066,
  [SMALL_STATE(424)] = 19089,
  [SMALL_STATE(425)] = 19112,
  [SMALL_STATE(426)] = 19135,
  [SMALL_STATE(427)] = 19158,
  [SMALL_STATE(428)] = 19181,
  [SMALL_STATE(429)] = 19204,
  [SMALL_STATE(430)] = 19227,
  [SMALL_STATE(431)] = 19250,
  [SMALL_STATE(432)] = 19273,
  [SMALL_STATE(433)] = 19296,
  [SMALL_STATE(434)] = 19319,
  [SMALL_STATE(435)] = 19342,
  [SMALL_STATE(436)] = 19365,
  [SMALL_STATE(437)] = 19388,
  [SMALL_STATE(438)] = 19411,
  [SMALL_STATE(439)] = 19454,
  [SMALL_STATE(440)] = 19477,
  [SMALL_STATE(441)] = 19500,
  [SMALL_STATE(442)] = 19523,
  [SMALL_STATE(443)] = 19546,
  [SMALL_STATE(444)] = 19569,
  [SMALL_STATE(445)] = 19592,
  [SMALL_STATE(446)] = 19615,
  [SMALL_STATE(447)] = 19638,
  [SMALL_STATE(448)] = 19661,
  [SMALL_STATE(449)] = 19684,
  [SMALL_STATE(450)] = 19707,
  [SMALL_STATE(451)] = 19730,
  [SMALL_STATE(452)] = 19753,
  [SMALL_STATE(453)] = 19796,
  [SMALL_STATE(454)] = 19819,
  [SMALL_STATE(455)] = 19842,
  [SMALL_STATE(456)] = 19885,
  [SMALL_STATE(457)] = 19928,
  [SMALL_STATE(458)] = 19951,
  [SMALL_STATE(459)] = 19974,
  [SMALL_STATE(460)] = 19997,
  [SMALL_STATE(461)] = 20020,
  [SMALL_STATE(462)] = 20063,
  [SMALL_STATE(463)] = 20106,
  [SMALL_STATE(464)] = 20149,
  [SMALL_STATE(465)] = 20192,
  [SMALL_STATE(466)] = 20235,
  [SMALL_STATE(467)] = 20278,
  [SMALL_STATE(468)] = 20321,
  [SMALL_STATE(469)] = 20364,
  [SMALL_STATE(470)] = 20387,
  [SMALL_STATE(471)] = 20410,
  [SMALL_STATE(472)] = 20433,
  [SMALL_STATE(473)] = 20456,
  [SMALL_STATE(474)] = 20479,
  [SMALL_STATE(475)] = 20502,
  [SMALL_STATE(476)] = 20525,
  [SMALL_STATE(477)] = 20548,
  [SMALL_STATE(478)] = 20571,
  [SMALL_STATE(479)] = 20594,
  [SMALL_STATE(480)] = 20617,
  [SMALL_STATE(481)] = 20640,
  [SMALL_STATE(482)] = 20677,
  [SMALL_STATE(483)] = 20714,
  [SMALL_STATE(484)] = 20743,
  [SMALL_STATE(485)] = 20780,
  [SMALL_STATE(486)] = 20809,
  [SMALL_STATE(487)] = 20846,
  [SMALL_STATE(488)] = 20883,
  [SMALL_STATE(489)] = 20920,
  [SMALL_STATE(490)] = 20957,
  [SMALL_STATE(491)] = 20994,
  [SMALL_STATE(492)] = 21031,
  [SMALL_STATE(493)] = 21058,
  [SMALL_STATE(494)] = 21095,
  [SMALL_STATE(495)] = 21132,
  [SMALL_STATE(496)] = 21169,
  [SMALL_STATE(497)] = 21206,
  [SMALL_STATE(498)] = 21243,
  [SMALL_STATE(499)] = 21280,
  [SMALL_STATE(500)] = 21317,
  [SMALL_STATE(501)] = 21354,
  [SMALL_STATE(502)] = 21391,
  [SMALL_STATE(503)] = 21428,
  [SMALL_STATE(504)] = 21450,
  [SMALL_STATE(505)] = 21472,
  [SMALL_STATE(506)] = 21494,
  [SMALL_STATE(507)] = 21515,
  [SMALL_STATE(508)] = 21536,
  [SMALL_STATE(509)] = 21557,
  [SMALL_STATE(510)] = 21578,
  [SMALL_STATE(511)] = 21599,
  [SMALL_STATE(512)] = 21620,
  [SMALL_STATE(513)] = 21641,
  [SMALL_STATE(514)] = 21662,
  [SMALL_STATE(515)] = 21683,
  [SMALL_STATE(516)] = 21705,
  [SMALL_STATE(517)] = 21727,
  [SMALL_STATE(518)] = 21745,
  [SMALL_STATE(519)] = 21763,
  [SMALL_STATE(520)] = 21778,
  [SMALL_STATE(521)] = 21793,
  [SMALL_STATE(522)] = 21808,
  [SMALL_STATE(523)] = 21823,
  [SMALL_STATE(524)] = 21842,
  [SMALL_STATE(525)] = 21861,
  [SMALL_STATE(526)] = 21880,
  [SMALL_STATE(527)] = 21895,
  [SMALL_STATE(528)] = 21910,
  [SMALL_STATE(529)] = 21932,
  [SMALL_STATE(530)] = 21956,
  [SMALL_STATE(531)] = 21978,
  [SMALL_STATE(532)] = 22002,
  [SMALL_STATE(533)] = 22025,
  [SMALL_STATE(534)] = 22048,
  [SMALL_STATE(535)] = 22067,
  [SMALL_STATE(536)] = 22090,
  [SMALL_STATE(537)] = 22113,
  [SMALL_STATE(538)] = 22126,
  [SMALL_STATE(539)] = 22149,
  [SMALL_STATE(540)] = 22172,
  [SMALL_STATE(541)] = 22191,
  [SMALL_STATE(542)] = 22210,
  [SMALL_STATE(543)] = 22233,
  [SMALL_STATE(544)] = 22252,
  [SMALL_STATE(545)] = 22269,
  [SMALL_STATE(546)] = 22292,
  [SMALL_STATE(547)] = 22315,
  [SMALL_STATE(548)] = 22338,
  [SMALL_STATE(549)] = 22361,
  [SMALL_STATE(550)] = 22380,
  [SMALL_STATE(551)] = 22403,
  [SMALL_STATE(552)] = 22426,
  [SMALL_STATE(553)] = 22445,
  [SMALL_STATE(554)] = 22463,
  [SMALL_STATE(555)] = 22481,
  [SMALL_STATE(556)] = 22499,
  [SMALL_STATE(557)] = 22517,
  [SMALL_STATE(558)] = 22535,
  [SMALL_STATE(559)] = 22553,
  [SMALL_STATE(560)] = 22571,
  [SMALL_STATE(561)] = 22589,
  [SMALL_STATE(562)] = 22607,
  [SMALL_STATE(563)] = 22625,
  [SMALL_STATE(564)] = 22643,
  [SMALL_STATE(565)] = 22661,
  [SMALL_STATE(566)] = 22679,
  [SMALL_STATE(567)] = 22697,
  [SMALL_STATE(568)] = 22715,
  [SMALL_STATE(569)] = 22733,
  [SMALL_STATE(570)] = 22751,
  [SMALL_STATE(571)] = 22769,
  [SMALL_STATE(572)] = 22787,
  [SMALL_STATE(573)] = 22805,
  [SMALL_STATE(574)] = 22823,
  [SMALL_STATE(575)] = 22841,
  [SMALL_STATE(576)] = 22859,
  [SMALL_STATE(577)] = 22877,
  [SMALL_STATE(578)] = 22895,
  [SMALL_STATE(579)] = 22913,
  [SMALL_STATE(580)] = 22931,
  [SMALL_STATE(581)] = 22949,
  [SMALL_STATE(582)] = 22967,
  [SMALL_STATE(583)] = 22985,
  [SMALL_STATE(584)] = 23003,
  [SMALL_STATE(585)] = 23021,
  [SMALL_STATE(586)] = 23039,
  [SMALL_STATE(587)] = 23051,
  [SMALL_STATE(588)] = 23066,
  [SMALL_STATE(589)] = 23085,
  [SMALL_STATE(590)] = 23104,
  [SMALL_STATE(591)] = 23123,
  [SMALL_STATE(592)] = 23142,
  [SMALL_STATE(593)] = 23155,
  [SMALL_STATE(594)] = 23174,
  [SMALL_STATE(595)] = 23193,
  [SMALL_STATE(596)] = 23212,
  [SMALL_STATE(597)] = 23231,
  [SMALL_STATE(598)] = 23250,
  [SMALL_STATE(599)] = 23267,
  [SMALL_STATE(600)] = 23280,
  [SMALL_STATE(601)] = 23293,
  [SMALL_STATE(602)] = 23312,
  [SMALL_STATE(603)] = 23331,
  [SMALL_STATE(604)] = 23344,
  [SMALL_STATE(605)] = 23359,
  [SMALL_STATE(606)] = 23374,
  [SMALL_STATE(607)] = 23389,
  [SMALL_STATE(608)] = 23408,
  [SMALL_STATE(609)] = 23427,
  [SMALL_STATE(610)] = 23446,
  [SMALL_STATE(611)] = 23465,
  [SMALL_STATE(612)] = 23484,
  [SMALL_STATE(613)] = 23497,
  [SMALL_STATE(614)] = 23510,
  [SMALL_STATE(615)] = 23523,
  [SMALL_STATE(616)] = 23536,
  [SMALL_STATE(617)] = 23549,
  [SMALL_STATE(618)] = 23562,
  [SMALL_STATE(619)] = 23581,
  [SMALL_STATE(620)] = 23594,
  [SMALL_STATE(621)] = 23607,
  [SMALL_STATE(622)] = 23620,
  [SMALL_STATE(623)] = 23633,
  [SMALL_STATE(624)] = 23646,
  [SMALL_STATE(625)] = 23659,
  [SMALL_STATE(626)] = 23672,
  [SMALL_STATE(627)] = 23691,
  [SMALL_STATE(628)] = 23710,
  [SMALL_STATE(629)] = 23723,
  [SMALL_STATE(630)] = 23742,
  [SMALL_STATE(631)] = 23761,
  [SMALL_STATE(632)] = 23780,
  [SMALL_STATE(633)] = 23793,
  [SMALL_STATE(634)] = 23806,
  [SMALL_STATE(635)] = 23825,
  [SMALL_STATE(636)] = 23838,
  [SMALL_STATE(637)] = 23851,
  [SMALL_STATE(638)] = 23864,
  [SMALL_STATE(639)] = 23877,
  [SMALL_STATE(640)] = 23890,
  [SMALL_STATE(641)] = 23904,
  [SMALL_STATE(642)] = 23918,
  [SMALL_STATE(643)] = 23934,
  [SMALL_STATE(644)] = 23950,
  [SMALL_STATE(645)] = 23966,
  [SMALL_STATE(646)] = 23980,
  [SMALL_STATE(647)] = 23996,
  [SMALL_STATE(648)] = 24012,
  [SMALL_STATE(649)] = 24028,
  [SMALL_STATE(650)] = 24042,
  [SMALL_STATE(651)] = 24058,
  [SMALL_STATE(652)] = 24074,
  [SMALL_STATE(653)] = 24090,
  [SMALL_STATE(654)] = 24106,
  [SMALL_STATE(655)] = 24122,
  [SMALL_STATE(656)] = 24136,
  [SMALL_STATE(657)] = 24152,
  [SMALL_STATE(658)] = 24168,
  [SMALL_STATE(659)] = 24182,
  [SMALL_STATE(660)] = 24196,
  [SMALL_STATE(661)] = 24210,
  [SMALL_STATE(662)] = 24226,
  [SMALL_STATE(663)] = 24240,
  [SMALL_STATE(664)] = 24256,
  [SMALL_STATE(665)] = 24272,
  [SMALL_STATE(666)] = 24286,
  [SMALL_STATE(667)] = 24302,
  [SMALL_STATE(668)] = 24318,
  [SMALL_STATE(669)] = 24332,
  [SMALL_STATE(670)] = 24348,
  [SMALL_STATE(671)] = 24364,
  [SMALL_STATE(672)] = 24380,
  [SMALL_STATE(673)] = 24396,
  [SMALL_STATE(674)] = 24410,
  [SMALL_STATE(675)] = 24426,
  [SMALL_STATE(676)] = 24442,
  [SMALL_STATE(677)] = 24455,
  [SMALL_STATE(678)] = 24468,
  [SMALL_STATE(679)] = 24477,
  [SMALL_STATE(680)] = 24490,
  [SMALL_STATE(681)] = 24499,
  [SMALL_STATE(682)] = 24512,
  [SMALL_STATE(683)] = 24521,
  [SMALL_STATE(684)] = 24534,
  [SMALL_STATE(685)] = 24547,
  [SMALL_STATE(686)] = 24560,
  [SMALL_STATE(687)] = 24573,
  [SMALL_STATE(688)] = 24582,
  [SMALL_STATE(689)] = 24595,
  [SMALL_STATE(690)] = 24608,
  [SMALL_STATE(691)] = 24617,
  [SMALL_STATE(692)] = 24630,
  [SMALL_STATE(693)] = 24639,
  [SMALL_STATE(694)] = 24648,
  [SMALL_STATE(695)] = 24661,
  [SMALL_STATE(696)] = 24674,
  [SMALL_STATE(697)] = 24683,
  [SMALL_STATE(698)] = 24692,
  [SMALL_STATE(699)] = 24705,
  [SMALL_STATE(700)] = 24714,
  [SMALL_STATE(701)] = 24723,
  [SMALL_STATE(702)] = 24736,
  [SMALL_STATE(703)] = 24745,
  [SMALL_STATE(704)] = 24758,
  [SMALL_STATE(705)] = 24767,
  [SMALL_STATE(706)] = 24780,
  [SMALL_STATE(707)] = 24793,
  [SMALL_STATE(708)] = 24802,
  [SMALL_STATE(709)] = 24815,
  [SMALL_STATE(710)] = 24824,
  [SMALL_STATE(711)] = 24833,
  [SMALL_STATE(712)] = 24842,
  [SMALL_STATE(713)] = 24851,
  [SMALL_STATE(714)] = 24860,
  [SMALL_STATE(715)] = 24873,
  [SMALL_STATE(716)] = 24886,
  [SMALL_STATE(717)] = 24899,
  [SMALL_STATE(718)] = 24912,
  [SMALL_STATE(719)] = 24925,
  [SMALL_STATE(720)] = 24938,
  [SMALL_STATE(721)] = 24951,
  [SMALL_STATE(722)] = 24964,
  [SMALL_STATE(723)] = 24973,
  [SMALL_STATE(724)] = 24986,
  [SMALL_STATE(725)] = 24999,
  [SMALL_STATE(726)] = 25012,
  [SMALL_STATE(727)] = 25025,
  [SMALL_STATE(728)] = 25038,
  [SMALL_STATE(729)] = 25047,
  [SMALL_STATE(730)] = 25060,
  [SMALL_STATE(731)] = 25073,
  [SMALL_STATE(732)] = 25086,
  [SMALL_STATE(733)] = 25099,
  [SMALL_STATE(734)] = 25112,
  [SMALL_STATE(735)] = 25125,
  [SMALL_STATE(736)] = 25138,
  [SMALL_STATE(737)] = 25151,
  [SMALL_STATE(738)] = 25164,
  [SMALL_STATE(739)] = 25177,
  [SMALL_STATE(740)] = 25190,
  [SMALL_STATE(741)] = 25203,
  [SMALL_STATE(742)] = 25216,
  [SMALL_STATE(743)] = 25229,
  [SMALL_STATE(744)] = 25242,
  [SMALL_STATE(745)] = 25255,
  [SMALL_STATE(746)] = 25268,
  [SMALL_STATE(747)] = 25281,
  [SMALL_STATE(748)] = 25294,
  [SMALL_STATE(749)] = 25307,
  [SMALL_STATE(750)] = 25318,
  [SMALL_STATE(751)] = 25331,
  [SMALL_STATE(752)] = 25344,
  [SMALL_STATE(753)] = 25357,
  [SMALL_STATE(754)] = 25370,
  [SMALL_STATE(755)] = 25383,
  [SMALL_STATE(756)] = 25396,
  [SMALL_STATE(757)] = 25409,
  [SMALL_STATE(758)] = 25422,
  [SMALL_STATE(759)] = 25435,
  [SMALL_STATE(760)] = 25448,
  [SMALL_STATE(761)] = 25461,
  [SMALL_STATE(762)] = 25474,
  [SMALL_STATE(763)] = 25487,
  [SMALL_STATE(764)] = 25500,
  [SMALL_STATE(765)] = 25513,
  [SMALL_STATE(766)] = 25526,
  [SMALL_STATE(767)] = 25535,
  [SMALL_STATE(768)] = 25544,
  [SMALL_STATE(769)] = 25557,
  [SMALL_STATE(770)] = 25566,
  [SMALL_STATE(771)] = 25579,
  [SMALL_STATE(772)] = 25590,
  [SMALL_STATE(773)] = 25603,
  [SMALL_STATE(774)] = 25612,
  [SMALL_STATE(775)] = 25625,
  [SMALL_STATE(776)] = 25638,
  [SMALL_STATE(777)] = 25651,
  [SMALL_STATE(778)] = 25664,
  [SMALL_STATE(779)] = 25677,
  [SMALL_STATE(780)] = 25690,
  [SMALL_STATE(781)] = 25703,
  [SMALL_STATE(782)] = 25716,
  [SMALL_STATE(783)] = 25729,
  [SMALL_STATE(784)] = 25742,
  [SMALL_STATE(785)] = 25755,
  [SMALL_STATE(786)] = 25764,
  [SMALL_STATE(787)] = 25777,
  [SMALL_STATE(788)] = 25786,
  [SMALL_STATE(789)] = 25799,
  [SMALL_STATE(790)] = 25812,
  [SMALL_STATE(791)] = 25825,
  [SMALL_STATE(792)] = 25838,
  [SMALL_STATE(793)] = 25851,
  [SMALL_STATE(794)] = 25864,
  [SMALL_STATE(795)] = 25877,
  [SMALL_STATE(796)] = 25888,
  [SMALL_STATE(797)] = 25901,
  [SMALL_STATE(798)] = 25914,
  [SMALL_STATE(799)] = 25923,
  [SMALL_STATE(800)] = 25936,
  [SMALL_STATE(801)] = 25949,
  [SMALL_STATE(802)] = 25962,
  [SMALL_STATE(803)] = 25975,
  [SMALL_STATE(804)] = 25984,
  [SMALL_STATE(805)] = 25993,
  [SMALL_STATE(806)] = 26006,
  [SMALL_STATE(807)] = 26016,
  [SMALL_STATE(808)] = 26026,
  [SMALL_STATE(809)] = 26036,
  [SMALL_STATE(810)] = 26044,
  [SMALL_STATE(811)] = 26054,
  [SMALL_STATE(812)] = 26062,
  [SMALL_STATE(813)] = 26072,
  [SMALL_STATE(814)] = 26082,
  [SMALL_STATE(815)] = 26092,
  [SMALL_STATE(816)] = 26102,
  [SMALL_STATE(817)] = 26112,
  [SMALL_STATE(818)] = 26122,
  [SMALL_STATE(819)] = 26130,
  [SMALL_STATE(820)] = 26140,
  [SMALL_STATE(821)] = 26148,
  [SMALL_STATE(822)] = 26158,
  [SMALL_STATE(823)] = 26166,
  [SMALL_STATE(824)] = 26176,
  [SMALL_STATE(825)] = 26186,
  [SMALL_STATE(826)] = 26193,
  [SMALL_STATE(827)] = 26200,
  [SMALL_STATE(828)] = 26207,
  [SMALL_STATE(829)] = 26214,
  [SMALL_STATE(830)] = 26221,
  [SMALL_STATE(831)] = 26228,
  [SMALL_STATE(832)] = 26235,
  [SMALL_STATE(833)] = 26242,
  [SMALL_STATE(834)] = 26249,
  [SMALL_STATE(835)] = 26256,
  [SMALL_STATE(836)] = 26263,
  [SMALL_STATE(837)] = 26270,
  [SMALL_STATE(838)] = 26277,
  [SMALL_STATE(839)] = 26284,
  [SMALL_STATE(840)] = 26291,
  [SMALL_STATE(841)] = 26298,
  [SMALL_STATE(842)] = 26305,
  [SMALL_STATE(843)] = 26312,
  [SMALL_STATE(844)] = 26319,
  [SMALL_STATE(845)] = 26326,
  [SMALL_STATE(846)] = 26333,
  [SMALL_STATE(847)] = 26340,
  [SMALL_STATE(848)] = 26347,
  [SMALL_STATE(849)] = 26354,
  [SMALL_STATE(850)] = 26361,
  [SMALL_STATE(851)] = 26368,
  [SMALL_STATE(852)] = 26375,
  [SMALL_STATE(853)] = 26382,
  [SMALL_STATE(854)] = 26389,
  [SMALL_STATE(855)] = 26396,
  [SMALL_STATE(856)] = 26403,
  [SMALL_STATE(857)] = 26410,
  [SMALL_STATE(858)] = 26417,
  [SMALL_STATE(859)] = 26424,
  [SMALL_STATE(860)] = 26431,
  [SMALL_STATE(861)] = 26438,
  [SMALL_STATE(862)] = 26445,
  [SMALL_STATE(863)] = 26452,
  [SMALL_STATE(864)] = 26459,
  [SMALL_STATE(865)] = 26466,
  [SMALL_STATE(866)] = 26473,
  [SMALL_STATE(867)] = 26480,
  [SMALL_STATE(868)] = 26487,
  [SMALL_STATE(869)] = 26494,
  [SMALL_STATE(870)] = 26501,
  [SMALL_STATE(871)] = 26508,
  [SMALL_STATE(872)] = 26515,
  [SMALL_STATE(873)] = 26522,
  [SMALL_STATE(874)] = 26529,
  [SMALL_STATE(875)] = 26536,
  [SMALL_STATE(876)] = 26543,
  [SMALL_STATE(877)] = 26550,
  [SMALL_STATE(878)] = 26557,
  [SMALL_STATE(879)] = 26564,
  [SMALL_STATE(880)] = 26571,
  [SMALL_STATE(881)] = 26578,
  [SMALL_STATE(882)] = 26585,
  [SMALL_STATE(883)] = 26592,
  [SMALL_STATE(884)] = 26599,
  [SMALL_STATE(885)] = 26606,
  [SMALL_STATE(886)] = 26613,
  [SMALL_STATE(887)] = 26620,
  [SMALL_STATE(888)] = 26627,
  [SMALL_STATE(889)] = 26634,
  [SMALL_STATE(890)] = 26641,
  [SMALL_STATE(891)] = 26648,
  [SMALL_STATE(892)] = 26655,
  [SMALL_STATE(893)] = 26662,
  [SMALL_STATE(894)] = 26669,
  [SMALL_STATE(895)] = 26676,
  [SMALL_STATE(896)] = 26683,
  [SMALL_STATE(897)] = 26690,
  [SMALL_STATE(898)] = 26697,
  [SMALL_STATE(899)] = 26704,
  [SMALL_STATE(900)] = 26711,
  [SMALL_STATE(901)] = 26718,
  [SMALL_STATE(902)] = 26725,
  [SMALL_STATE(903)] = 26732,
  [SMALL_STATE(904)] = 26739,
  [SMALL_STATE(905)] = 26746,
  [SMALL_STATE(906)] = 26753,
  [SMALL_STATE(907)] = 26760,
  [SMALL_STATE(908)] = 26767,
  [SMALL_STATE(909)] = 26774,
  [SMALL_STATE(910)] = 26781,
  [SMALL_STATE(911)] = 26788,
  [SMALL_STATE(912)] = 26795,
  [SMALL_STATE(913)] = 26802,
  [SMALL_STATE(914)] = 26809,
  [SMALL_STATE(915)] = 26816,
  [SMALL_STATE(916)] = 26823,
  [SMALL_STATE(917)] = 26830,
  [SMALL_STATE(918)] = 26837,
  [SMALL_STATE(919)] = 26844,
  [SMALL_STATE(920)] = 26851,
  [SMALL_STATE(921)] = 26858,
  [SMALL_STATE(922)] = 26865,
  [SMALL_STATE(923)] = 26872,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_document, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(787),
  [39] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__type_identifier_repeat1, 2, 0, 0),
  [41] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_identifier_repeat1, 2, 0, 0),
  [43] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(833),
  [46] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_identifier, 1, 0, 1),
  [48] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_identifier, 1, 0, 1),
  [50] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [52] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_identifier, 2, 0, 1),
  [54] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_identifier, 2, 0, 1),
  [56] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_package_declaration_repeat1, 2, 0, 0),
  [58] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(814),
  [61] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_package_declaration_repeat1, 2, 0, 0),
  [63] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fb_annotation_definition, 2, 0, 0),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [67] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fb_annotation_definition, 2, 0, 0),
  [69] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_document, 1, 0, 0),
  [71] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fb_annotation_definition, 4, 0, 0),
  [73] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fb_annotation_definition, 4, 0, 0),
  [75] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fb_annotation_definition, 5, 0, 0),
  [77] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fb_annotation_definition, 5, 0, 0),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(543),
  [81] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(918),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(398),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(612),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(643),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(653),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(870),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(897),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [111] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_service_definition_repeat1, 2, 0, 8), SHIFT_REPEAT(543),
  [114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_service_definition_repeat1, 2, 0, 8),
  [116] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_service_definition_repeat1, 2, 0, 8), SHIFT_REPEAT(918),
  [119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_service_definition_repeat1, 2, 0, 8), SHIFT_REPEAT(398),
  [122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_service_definition_repeat1, 2, 0, 8), SHIFT_REPEAT(639),
  [125] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_service_definition_repeat1, 2, 0, 8), SHIFT_REPEAT(612),
  [128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_service_definition_repeat1, 2, 0, 8), SHIFT_REPEAT(890),
  [131] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_service_definition_repeat1, 2, 0, 8), SHIFT_REPEAT(643),
  [134] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_service_definition_repeat1, 2, 0, 8), SHIFT_REPEAT(653),
  [137] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_service_definition_repeat1, 2, 0, 8), SHIFT_REPEAT(870),
  [140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_service_definition_repeat1, 2, 0, 8), SHIFT_REPEAT(897),
  [143] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_service_definition_repeat1, 2, 0, 8), SHIFT_REPEAT(814),
  [146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(604),
  [184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(766),
  [190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(767),
  [192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(903),
  [194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(672),
  [198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(905),
  [202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [226] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_struct_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(604),
  [229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_struct_definition_repeat1, 2, 0, 0),
  [231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_struct_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(400),
  [234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_struct_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(766),
  [237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_struct_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(767),
  [240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_struct_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(903),
  [243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_struct_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(674),
  [246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_struct_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(672),
  [249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_struct_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(921),
  [252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_struct_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(905),
  [255] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_struct_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(814),
  [258] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_struct_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(913),
  [261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(543),
  [280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0),
  [282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(400),
  [285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(639),
  [288] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(612),
  [291] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(890),
  [294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(643),
  [297] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(653),
  [300] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(870),
  [303] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(897),
  [306] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(814),
  [309] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(913),
  [312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interaction_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(543),
  [321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_interaction_definition_repeat1, 2, 0, 0),
  [323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interaction_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(398),
  [326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interaction_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(639),
  [329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interaction_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(612),
  [332] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interaction_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(890),
  [335] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interaction_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(643),
  [338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interaction_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(653),
  [341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interaction_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(870),
  [344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interaction_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(897),
  [347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interaction_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(814),
  [350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_definition, 6, 0, 0),
  [360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_definition, 6, 0, 0),
  [362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_definition, 7, 0, 0),
  [364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_definition, 7, 0, 0),
  [366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_definition, 5, 0, 0),
  [368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_definition, 5, 0, 0),
  [370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_definition, 4, 0, 0),
  [372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_definition, 4, 0, 0),
  [374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_definition, 3, 0, 0),
  [376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_definition, 3, 0, 0),
  [378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_definition, 2, 0, 0),
  [380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_definition, 2, 0, 0),
  [382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal, 2, 0, 1),
  [384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal, 2, 0, 1),
  [386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal, 1, 0, 1),
  [390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal, 1, 0, 1),
  [392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field, 3, 0, 0),
  [398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field, 3, 0, 0),
  [406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(125),
  [408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(828),
  [412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 3, 0, 0),
  [414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 3, 0, 0),
  [420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field, 2, 0, 0),
  [426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field, 2, 0, 0),
  [432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(153),
  [436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field, 5, 0, 0),
  [438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field, 5, 0, 0),
  [444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(139),
  [446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field, 4, 0, 0),
  [450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field, 4, 0, 0),
  [456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field, 6, 0, 0),
  [464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field, 6, 0, 0),
  [470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_document_repeat2, 2, 0, 0),
  [476] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat2, 2, 0, 0), SHIFT_REPEAT(213),
  [479] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat2, 2, 0, 0), SHIFT_REPEAT(253),
  [482] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat2, 2, 0, 0), SHIFT_REPEAT(839),
  [485] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat2, 2, 0, 0), SHIFT_REPEAT(843),
  [488] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat2, 2, 0, 0), SHIFT_REPEAT(846),
  [491] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat2, 2, 0, 0), SHIFT_REPEAT(861),
  [494] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat2, 2, 0, 0), SHIFT_REPEAT(863),
  [497] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat2, 2, 0, 0), SHIFT_REPEAT(537),
  [500] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat2, 2, 0, 0), SHIFT_REPEAT(852),
  [503] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat2, 2, 0, 0), SHIFT_REPEAT(906),
  [506] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat2, 2, 0, 0), SHIFT_REPEAT(814),
  [509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 4, 0, 0),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 4, 0, 0),
  [517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(126),
  [519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field, 7, 0, 0),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field, 7, 0, 0),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(128),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 5, 0, 0),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 5, 0, 0),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(148),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 6, 0, 0),
  [547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 6, 0, 0),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(133),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(152),
  [557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_document, 2, 0, 0),
  [559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 2, 0, 0),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 2, 0, 0),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(150),
  [571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, 0, 0),
  [573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, 0, 0),
  [577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(815),
  [579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, 0, 0),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, 0, 0),
  [585] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 0),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 0),
  [591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, 0, 0),
  [593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, 0, 0),
  [597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, 0, 0),
  [599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, 0, 0),
  [603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field, 8, 0, 0),
  [605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field, 8, 0, 0),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(132),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field, 9, 0, 0),
  [615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field, 9, 0, 0),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(134),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 7, 0, 0),
  [625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 7, 0, 0),
  [629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(135),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 8, 0, 0),
  [635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 8, 0, 0),
  [639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_literal, 2, 0, 0),
  [645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_literal, 2, 0, 0),
  [647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameters, 2, 0, 0),
  [649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 2, 0, 0),
  [651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameters, 3, 0, 0),
  [653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 3, 0, 0),
  [655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field, 10, 0, 0),
  [657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field, 10, 0, 0),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 9, 0, 0),
  [665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 9, 0, 0),
  [669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal, 1, 0, 0),
  [673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal, 1, 0, 0),
  [675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean, 1, 0, 0),
  [677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean, 1, 0, 0),
  [679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_map_literal, 2, 0, 0),
  [681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map_literal, 2, 0, 0),
  [683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_map_literal, 3, 0, 0),
  [685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map_literal, 3, 0, 0),
  [687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_literal, 3, 0, 0),
  [689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_literal, 3, 0, 0),
  [691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_literal, 3, 0, 1),
  [693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_literal, 3, 0, 1),
  [695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_literal, 4, 0, 1),
  [697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_literal, 4, 0, 1),
  [699] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_literal, 5, 0, 1),
  [701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_literal, 5, 0, 1),
  [703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throws, 2, 0, 0),
  [709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throws, 2, 0, 0),
  [711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field, 11, 0, 0),
  [713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field, 11, 0, 0),
  [717] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 10, 0, 0),
  [719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 10, 0, 0),
  [723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, 0, 0),
  [725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, 0, 0),
  [729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0),
  [731] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(762),
  [734] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(2),
  [737] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(718),
  [740] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(814),
  [743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_xsd_attrs, 3, 0, 0),
  [745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xsd_attrs, 3, 0, 0),
  [747] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(827),
  [750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_xsd_attrs, 4, 0, 0),
  [752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xsd_attrs, 4, 0, 0),
  [754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 9, 0, 0),
  [756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 9, 0, 0),
  [760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field, 12, 0, 0),
  [762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field, 12, 0, 0),
  [766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 11, 0, 0),
  [768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 11, 0, 0),
  [772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(916),
  [774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_declaration, 3, 0, 2),
  [776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_declaration, 4, 0, 4),
  [784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(660),
  [788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_service_definition_repeat1, 3, 0, 6),
  [790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_service_definition_repeat1, 3, 0, 6),
  [792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 10, 0, 0),
  [794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 10, 0, 0),
  [796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field, 13, 0, 0),
  [798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field, 13, 0, 0),
  [802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_service_definition_repeat1, 4, 0, 6),
  [804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_service_definition_repeat1, 4, 0, 6),
  [806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 12, 0, 0),
  [808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 12, 0, 0),
  [812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_declaration, 3, 0, 0),
  [814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field, 14, 0, 0),
  [818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field, 14, 0, 0),
  [820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 13, 0, 0),
  [822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 13, 0, 0),
  [824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_declaration, 4, 0, 0),
  [830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_declaration, 4, 0, 2),
  [834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_declaration, 5, 0, 4),
  [838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_uri, 5, 0, 0),
  [842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_declaration, 5, 0, 0),
  [844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_declaration, 6, 0, 4),
  [846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typedef_definition, 3, 0, 3),
  [848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typedef_definition, 5, 0, 9),
  [854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_declaration, 2, 0, 0),
  [858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_definition, 6, 0, 0),
  [860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_declaration, 5, 0, 2),
  [864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_declaration, 3, 0, 0),
  [866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_definition, 5, 0, 0),
  [868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_header, 1, 0, 0),
  [872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typedef_definition, 4, 0, 5),
  [874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_statement, 2, 0, 0),
  [878] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_id, 2, 0, 0),
  [880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_service_definition, 5, 0, 6),
  [882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interaction_definition, 4, 0, 6),
  [884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_definition, 7, 0, 0),
  [886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 7, 0, 10),
  [890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_definition, 7, 0, 10),
  [892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typedef_definition, 4, 0, 3),
  [894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_definition, 7, 0, 10),
  [898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_service_definition, 5, 0, 10),
  [900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typedef_definition, 6, 0, 9),
  [902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_service_definition, 7, 0, 16),
  [906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_definition, 5, 0, 6),
  [908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 6, 0, 10),
  [910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_service_definition, 9, 0, 22),
  [912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 4, 0, 6),
  [914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_service_definition, 9, 0, 23),
  [916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_service_definition, 9, 0, 24),
  [918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_service_definition, 9, 0, 21),
  [920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_service_definition, 7, 0, 17),
  [922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_definition, 6, 0, 10),
  [924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_definition, 5, 0, 0),
  [926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_definition, 7, 0, 0),
  [928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_definition, 6, 0, 6),
  [930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_definition, 4, 0, 0),
  [932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_definition, 6, 0, 10),
  [934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_service_definition, 5, 0, 7),
  [952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_service_definition, 4, 0, 6),
  [954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_definition, 6, 0, 0),
  [956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_service_definition, 6, 0, 13),
  [958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_definition, 7, 0, 6),
  [960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typedef_definition, 5, 0, 5),
  [962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_definition, 4, 0, 6),
  [966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_definition, 7, 0, 6),
  [968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_service_definition, 10, 0, 25),
  [970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 5, 0, 6),
  [972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_service_definition, 6, 0, 10),
  [974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_service_definition, 8, 0, 18),
  [976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_service_definition, 8, 0, 19),
  [978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_service_definition, 8, 0, 15),
  [980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_definition, 8, 0, 10),
  [982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_definition, 8, 0, 10),
  [984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_service_definition, 8, 0, 20),
  [986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_service_definition, 8, 0, 16),
  [988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 6, 0, 6),
  [990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_service_definition, 8, 0, 21),
  [992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_definition, 6, 0, 6),
  [994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_service_definition, 6, 0, 11),
  [996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 5, 0, 10),
  [998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_definition, 4, 0, 6),
  [1000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_service_definition, 6, 0, 12),
  [1002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_service_definition, 7, 0, 14),
  [1004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_definition, 5, 0, 10),
  [1006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_service_definition, 7, 0, 11),
  [1008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interaction_definition, 6, 0, 6),
  [1010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_service_definition, 7, 0, 15),
  [1012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_definition, 5, 0, 10),
  [1014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_definition, 5, 0, 6),
  [1016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interaction_definition, 5, 0, 6),
  [1018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_modifier, 1, 0, 0),
  [1020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_modifier, 1, 0, 0),
  [1022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_senum_definition, 6, 0, 6),
  [1024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_service_definition, 6, 0, 6),
  [1026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_service_definition, 8, 0, 14),
  [1028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_service_definition, 8, 0, 11),
  [1030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_definition, 8, 0, 0),
  [1032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_service_definition, 11, 0, 25),
  [1034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 8, 0, 10),
  [1036] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_map_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(576),
  [1039] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_map_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(438),
  [1042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_map_literal_repeat1, 2, 0, 0),
  [1044] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_map_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(312),
  [1047] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_map_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(315),
  [1050] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_map_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(452),
  [1053] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_map_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(562),
  [1056] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_map_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(563),
  [1059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_service_definition, 7, 0, 12),
  [1061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_senum_definition, 5, 0, 6),
  [1063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_service_definition, 8, 0, 17),
  [1065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_list_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(483),
  [1068] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(461),
  [1071] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_list_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(506),
  [1074] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_list_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(510),
  [1077] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(462),
  [1080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_list_literal_repeat1, 2, 0, 0),
  [1082] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(572),
  [1085] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(573),
  [1088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_definition, 8, 0, 0),
  [1090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interaction_definition, 7, 0, 6),
  [1092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typedef_definition, 7, 0, 9),
  [1094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_definition, 1, 0, 0),
  [1096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_service_definition, 7, 0, 13),
  [1098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 7, 0, 6),
  [1100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [1102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [1104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [1106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(312),
  [1108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(315),
  [1110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [1112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [1114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [1116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_service_definition, 7, 0, 10),
  [1118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_service_definition, 9, 0, 18),
  [1120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_service_definition, 9, 0, 19),
  [1122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_service_definition, 9, 0, 15),
  [1124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_definition, 9, 0, 10),
  [1126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_definition, 9, 0, 10),
  [1128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_service_definition, 9, 0, 20),
  [1130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_service_definition, 6, 0, 7),
  [1132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [1134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [1136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(506),
  [1138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(510),
  [1140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [1142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [1144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [1146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [1148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [1150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [1152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_senum_definition, 4, 0, 6),
  [1154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typedef_definition, 6, 0, 5),
  [1156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [1158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [1160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [1162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [1164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [1166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [1168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [1170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [1172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typedef_definition, 5, 0, 3),
  [1174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_service_definition, 10, 0, 22),
  [1176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_service_definition, 10, 0, 23),
  [1178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_service_definition, 10, 0, 24),
  [1180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_service_definition, 10, 0, 21),
  [1182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_definition, 8, 0, 6),
  [1184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_definition, 8, 0, 6),
  [1186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_service_definition, 9, 0, 16),
  [1188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(88),
  [1190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [1192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(137),
  [1194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(138),
  [1196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [1198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [1200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [1202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [1204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [1206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [1208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(888),
  [1211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(553),
  [1213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [1215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_list_literal_repeat1, 1, 0, 0),
  [1217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [1219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_list_literal_repeat1, 1, 0, 0),
  [1221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_map_literal_repeat1, 3, 0, 0),
  [1223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [1225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_map_literal_repeat1, 3, 0, 0),
  [1227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_list_literal_repeat1, 2, 0, 0),
  [1229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_map_literal_repeat1, 4, 0, 0),
  [1231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_map_literal_repeat1, 4, 0, 0),
  [1233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [1235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_exception_definition_repeat1, 2, 0, 0),
  [1237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_exception_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(537),
  [1240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [1242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [1244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [1246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 1, 0, 0),
  [1248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 4, 0, 0),
  [1250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [1252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [1254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0),
  [1256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 5, 0, 0),
  [1258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [1260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [1262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [1264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 6, 0, 0),
  [1266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [1268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [1270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [1272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_modifier, 1, 0, 0),
  [1274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [1276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [1278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [1280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 3, 0, 0),
  [1282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 2, 0, 1),
  [1284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 2, 0, 1),
  [1286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [1288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 1, 0, 1),
  [1290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 1),
  [1292] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(825),
  [1295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [1297] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(807),
  [1300] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(528),
  [1303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [1305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 4, 0, 0),
  [1307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_map, 8, 0, 0),
  [1309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map, 8, 0, 0),
  [1311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set, 4, 0, 0),
  [1313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set, 4, 0, 0),
  [1315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_map, 9, 0, 0),
  [1317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map, 9, 0, 0),
  [1319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_map, 6, 0, 0),
  [1321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map, 6, 0, 0),
  [1323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set, 6, 0, 0),
  [1325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set, 6, 0, 0),
  [1327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [1329] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(560),
  [1332] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(560),
  [1335] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [1337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0),
  [1339] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0), SHIFT_REPEAT(561),
  [1342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0), SHIFT_REPEAT(561),
  [1345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(89),
  [1347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [1349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(564),
  [1351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [1353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(565),
  [1355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(95),
  [1357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [1359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(560),
  [1361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [1363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [1365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_map, 7, 0, 0),
  [1367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map, 7, 0, 0),
  [1369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [1371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set, 5, 0, 0),
  [1373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set, 5, 0, 0),
  [1375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(504),
  [1377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [1379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(574),
  [1381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [1383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(575),
  [1385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(505),
  [1387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(146),
  [1389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [1391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(581),
  [1393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [1395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [1397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(147),
  [1399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(712),
  [1401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [1403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(585),
  [1405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [1407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [1409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [1411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [1413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [1415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_senum_definition_repeat1, 2, 0, 0),
  [1417] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_senum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(562),
  [1420] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_senum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(563),
  [1423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [1425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [1427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [1429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [1431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [1433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [1435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [1437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [1439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [1441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [1443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_container_type, 1, 0, 0),
  [1445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_container_type, 1, 0, 0),
  [1447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [1449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_senum_definition_repeat1, 1, 0, 0),
  [1451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [1453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [1455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [1457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [1459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [1461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [1463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [1465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primitive, 1, 0, 0),
  [1467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primitive, 1, 0, 0),
  [1469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 7, 0, 0),
  [1471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 7, 0, 0),
  [1473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set, 7, 0, 0),
  [1475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set, 7, 0, 0),
  [1477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sink, 7, 0, 0),
  [1479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sink, 7, 0, 0),
  [1481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [1483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 5, 0, 0),
  [1485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [1487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 5, 0, 0),
  [1489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sink, 8, 0, 0),
  [1491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sink, 8, 0, 0),
  [1493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stream, 4, 0, 0),
  [1495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stream, 4, 0, 0),
  [1497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sink, 9, 0, 0),
  [1499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sink, 9, 0, 0),
  [1501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [1503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [1505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stream, 5, 0, 0),
  [1507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stream, 5, 0, 0),
  [1509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [1511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [1513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [1515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 6, 0, 0),
  [1517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_map, 10, 0, 0),
  [1519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map, 10, 0, 0),
  [1521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [1523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sink, 6, 0, 0),
  [1525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sink, 6, 0, 0),
  [1527] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sink, 10, 0, 0),
  [1529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sink, 10, 0, 0),
  [1531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 1, 0, 0),
  [1533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 0),
  [1535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_definition_type, 2, 0, 1),
  [1537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [1539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [1541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [1543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [1545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [1547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [1549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [1551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [1553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [1555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [1557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [1559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [1561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [1563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [1565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [1567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [1569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [1571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [1573] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(807),
  [1576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [1578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [1580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [1582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [1584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_definition_type, 1, 0, 1),
  [1586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [1588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [1590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [1592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [1594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [1596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [1598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [1600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [1602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [1604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [1606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [1608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [1610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [1612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [1614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0),
  [1616] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(217),
  [1619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [1621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [1623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [1625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [1627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [1629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [1631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [1633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [1635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [1637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [1639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [1641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [1643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [1645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [1647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [1649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [1651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [1653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [1655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [1657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [1659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [1661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [1663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [1665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [1667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [1669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [1671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [1673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [1675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [1677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [1679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [1681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [1683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [1685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [1687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [1689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [1691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [1693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [1695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [1697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [1699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [1701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [1703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [1705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [1707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [1709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [1711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [1713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [1715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [1717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [1719] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_fb_annotation_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(917),
  [1722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_fb_annotation_definition_repeat1, 2, 0, 0),
  [1724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [1726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_fb_annotation_definition_repeat1, 3, 0, 0),
  [1728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [1730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [1732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [1734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [1736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [1738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [1740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [1742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [1744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [1746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [1748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [1750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [1752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [1754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [1756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [1758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [1760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [1762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [1764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [1766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [1768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [1770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [1772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [1774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [1776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [1778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [1780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 6, 0, 0),
  [1782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [1784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_scope, 1, 0, 0),
  [1786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [1788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [1790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [1792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [1794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [1796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [1798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [1800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [1802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [1804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_annotation_definition_repeat1, 2, 0, 0),
  [1806] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(808),
  [1809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [1813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [1815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [1817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [1819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [1821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [1823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [1825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_definition_type, 1, 0, 0),
  [1827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_fb_annotation_definition_repeat1, 4, 0, 0),
  [1829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_annotation_definition_repeat1, 4, 0, 0),
  [1831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [1833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [1835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [1837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [1839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [1841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [1843] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [1845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [1847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [1849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [1851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [1853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [1855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [1857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [1859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [1861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [1863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [1865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [1867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [1869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [1871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [1873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [1877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [1879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [1881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [1883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [1887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [1889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [1891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [1893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [1895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [1897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [1899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [1901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [1903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [1905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [1907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [1909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [1911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [1913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [1915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [1917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [1919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [1921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [1923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [1925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [1927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [1929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [1931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [1933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [1935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [1937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [1939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [1941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [1945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [1949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [1951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [1953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [1955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [1957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [1959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [1961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [1963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [1965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [1967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [1969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [1971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [1973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_thrift(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
